hplip (3.16.8+repack0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Difference to stretch: No -dbgsym support

 -- Didier Raboud <odyx@debian.org>  Sun, 11 Sep 2016 14:49:09 +0200

hplip (3.16.8+repack0-2) unstable; urgency=medium

  * Add patch to fix regression introduced by erroneous tabs in hpps python
    code (Closes: #836581, LP: #1619207)

 -- Didier Raboud <odyx@debian.org>  Mon, 05 Sep 2016 08:35:31 +0200

hplip (3.16.8+repack0-1) unstable; urgency=medium

  * New upstream release
    - Support for new HP printers:
      × HP OfficeJet Pro 6970 All-in-One Printer
      × HP OfficeJet Pro 6960 All-in-One Printer
      × HP OfficeJet 250 Mobile All-in-One
      × HP DeskJet 3700 All-in-One
      × HP DeskJet Ink Advantage 3700 All-in-One
    - Repack:
      × Uncompress various source files, for better upstream tracking in the
        VCS
      × Remove prnt/hpcups/ErnieFilter.{cpp,h} source files as they are
        non-free
  * Update get-orig-source target to also record the new upstream with git-dpm

 -- Didier Raboud <odyx@debian.org>  Thu, 01 Sep 2016 08:13:38 +0200

hplip (3.16.7+repack0-2) unstable; urgency=medium

  [ Simon McVittie ]
  * Migrate hplip-gui dependency from dbus-x11 to 'default-dbus-session-bus |
    dbus-session-bus' (Closes: #835911)

 -- Didier Raboud <odyx@debian.org>  Mon, 29 Aug 2016 12:47:31 +0200

hplip (3.16.7+repack0-1) unstable; urgency=medium

  * New upstream release
    - Support for new HP printers:
      × Officejet Pro 8730
      × Officejet Pro 8210 Printer
      × Pagewide P55250
      × Pagewide MFP P57750
      × Pagewide Color 556
      × Pagewide Color MFP 586
      × Pagewide Color flow MFP 586
      × DeskJet Ink Advantage Ultra 5730 All-in-One Printer
      × Color Laserjet MFP M377 fnw
    - Repack:
      × Uncompress various source files, for better upstream tracking in the
        VCS
      × Remove prnt/hpcups/ErnieFilter.{cpp,h} source files as they are
        non-free
  * Initialize git-dpm; reword most patch descriptions from the original
    commits

 -- Didier Raboud <odyx@debian.org>  Fri, 22 Jul 2016 17:43:26 +0200

hplip (3.16.5+repack1-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Difference to stretch: No -dbgsym support

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Jul 2016 07:45:22 +0200


hplip (3.16.5+repack1-1) unstable; urgency=medium

  * Repack the 3.16.5 upstream release to remove
    prnt/hpcups/ErnieFilter.{cpp,h} source files as they are non-free
    (Closes: #816870) (LP: #1553628)
  * Add patch to disable ErnieFilter usage everywhere, to cope with the repack

 -- Didier Raboud <odyx@debian.org>  Sun, 10 Jul 2016 12:34:10 +0200

hplip (3.16.5+repack0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Difference to stretch: No -dbgsym support

 -- Didier Raboud <odyx@debian.org>  Fri, 15 Jul 2016 13:55:50 +0200

hplip (3.16.5+repack0-1) unstable; urgency=medium

  * Imported Upstream version 3.16.5
  * Switch to Qt5 (Closes: #793458)
  * Bump Standards-Version to 3.9.8
  * Actually rebuild the UI files we use (Qt5), not the Qt3 ones
  * Update Vcs-Git and Vcs-Browser to use canonical HTTPS URIs
  * Rebuild UI files and make imports relative
  * Port Qt4 patches to Qt5
  * Remove 85_rebuild_python_ui.patch, rebuilding in rules now

 -- Julian Andres Klode <jak@debian.org>  Tue, 10 May 2016 10:42:14 +0200

hplip (3.16.3+repack0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Difference to stretch: No -dbgsym support

 -- Julian Andres Klode <jak@debian.org>  Fri, 25 Mar 2016 19:18:31 +0100

hplip (3.16.3+repack0-1) unstable; urgency=medium

  * Imported Upstream version 3.16.3

 -- Julian Andres Klode <jak@debian.org>  Sat, 19 Mar 2016 11:38:01 +0100

hplip (3.16.2+repack0-7) unstable; urgency=medium

  * Apply HP-LaserJet_4000-PostScript-PPD.patch like other patches
  * Do not run install actions twice in indep+arch builds (Closes: #817883)

 -- Julian Andres Klode <jak@debian.org>  Sat, 12 Mar 2016 13:58:26 +0100

hplip (3.16.2+repack0-6) unstable; urgency=medium

  * Handle building of only Architecture: any packages
  * Use --dbgsym-migration instead of --ddeb-migration

 -- Julian Andres Klode <jak@debian.org>  Fri, 11 Mar 2016 01:17:03 +0100

hplip (3.16.2+repack0-5) unstable; urgency=medium

  * Add myself as an uploader
  * Port the packaging to dh(1) and clean it up internally:
    - Drop unused patches
    - debian/rules: Drop /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk
    - Delete unused debian/tmpno directory
    - Do not set DH_ALWAYS_EXCLUDE for CVS and drop DH_VERBOSE comment
    - Drop invalid use of X-Python-Version
    - debian/rules: Port to dh(1)
    - clean: Restore uncompressed files
    - Use the standard source:Version substvar and its friends
    - Remove support for installing Linda files
    - Do not install lintian overrides manually, use dh_lintian
    - Install ppd-updater files directly using dh_install
    - Do not pass sourcedir to dh_install
    - Install FAX ppds using install files
    - Simply use dh_install --list-missing
    - Let upstream install html into /usr/share/doc/hplip-doc/
    - debian/rules: Stop patching hplip.conf
    - Do not pass variables to build/install, not needed anymore
    - Delete README.source, outdated
    - Rename README.Source to README.source and drop outdated stuff
    - Use upstream symlinks; drops hp-hpdio (not a script)
    - Clean up lintian overrides
    - hplip-data: Override two lintian tags
    - Bump Standards-Version to 3.9.7
  * Dropped stuff:
    - Do not install .la files
    - Do not install hpssd into bin, it's not executable
    - Drop hp-unload for now, it does not support Python 3
  * Install missing manual pages that are available
  * Menu entry cleanup
    - Drop hplip-gui.menu, having both .desktop and .menu is forbidden now
    - Get rid of HPmenu.xpm and hp-logo.xpm, use upstream logo
  * Build flag changes:
    - Build with as-needed
    - Use full hardening

 -- Julian Andres Klode <jak@debian.org>  Thu, 10 Mar 2016 23:35:16 +0100

hplip (3.16.2+repack0-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop ddeb migration code, lower debhelper build-depends.
    This is needed for backporting. We could re-add dbg packages,
    but that's to much work to migrate from to ddebs.
  * Add myself as uploader (for the backport)
  * debian/gbp.conf: Adjust for backports

 -- Julian Andres Klode <jak@debian.org>  Wed, 02 Mar 2016 20:26:29 +0100

hplip (3.16.2+repack0-4) unstable; urgency=medium

  * Add patch to order page sizes consistently in hp-scan, to ensure manpage
    generation reproducibility

 -- Didier Raboud <odyx@debian.org>  Thu, 25 Feb 2016 09:40:32 +0100

hplip (3.16.2+repack0-3) unstable; urgency=medium

  * Fix LD_LIBRARY_PATH to include DEB_HOST_MULTIARCH when generating python
    tools' manpages; fixes the FTBFS of -2

 -- Didier Raboud <odyx@debian.org>  Tue, 23 Feb 2016 21:03:19 +0100

hplip (3.16.2+repack0-2) unstable; urgency=medium

  * Multi-arch'ify libsane-hpaio and libhpmud0 (Closes: #813043, #804379)

 -- Didier Raboud <odyx@debian.org>  Mon, 15 Feb 2016 18:13:35 +0100

hplip (3.16.2+repack0-1) unstable; urgency=medium

  * New 3.16.2 upstream release
     - Repack the 3.16.2 upstream release
       Uncompress various source files, for better upstream tracking in the VCS
  * debian/rules - get-orig-source:
    - force upstream/latest-repack merge to use 'theirs' merge strategy and
      make it not fail the target
    - drop 'modeswitch' copy-paste leftover
  * Fix typo in previous changelog entry

 -- Didier Raboud <odyx@debian.org>  Sat, 13 Feb 2016 16:01:54 +0100

hplip (3.15.11+repack0-1) unstable; urgency=medium

  * New upstream release
     - 3.15.11
       (Closes: #767325, #794803)
     - 3.15.7 - Insecure binary driver verification
       (CVE-2015-0839, Closes: #787353).
     - Repack the 3.15.11 upstream release: Un-gzip various source files, for
       better upstream-tracking

  * Let the Debian Printing Team umbrella adopt the package, with maintainer's
    agreement:
    - Migrate from SVN to Git; import the complete history to have the upstream
      sources in the repository
    - Update Vcs-* fields
    - Add gbp.conf to reflect the branch layout
    - Add myself as uploader
  * Wrap-and-sort the debian files
  * Remove tabs in previous changelog entries
  * Recompress the files uncompressed in repack just before build, with -n for
    reproducibility
  * Add tentative get-orig-source target for the automatic repack
  * Cleanup patch queue, with raw DEP-3 headers and no dpatch leftovers
  * Refresh debian/watch, and add upstream PGP key in debian/upstream to
    enforce signature verification of new upstream releases
  * Automatically generate debug package, B-D against debhelper >= 9.20151219

 -- Didier Raboud <odyx@debian.org>  Sat, 09 Jan 2016 22:20:31 +0100

hplip (3.15.11-0ubuntu1) xenial; urgency=low

  * New upstream release
     - Added support for HP Color LaserJet Pro MFP M274n, HP LaserJet
       Enterprise M506, M506n, M506dn, M506x, M506dh series, HP Color Laserjet
       Pro M452dn, M452dw, M452nw, HP Laserjet Pro MFP M426fdn, M426fdw,
       M427dn, M427fdw, M426dw, M427dw, HP Laserjet Enterprise MFP M527dn,
       M527f, HP Laserjet Enterprise Flow MFP M527c, M527z, HP Color LaserJet
       Enterprise MFP M577, MFP M577dn, MFP M577f, HP Color LaserJet Enterprise
       Flow MFP M577z, M577c, HP LaserJet Pro M402-M403, M402-M403 n-dn,
       M402dw, M402n, M402dn, M402d, M403n, M403dw, M403dn, M403d, HP Color
       Laserjet Pro MFP M477fnw, M477fdn, M477fdw, HP Envy 5543, 5544, 5546,
       All-in-One Printer, HP Envy 5542 e-All-in-One Printer, HP DeskJet 2134,
       3633, 3634 All-in-One Printer, HP OfficeJet 4654 All-in-One Printer,
       HP ENVY 4524, 4523, 4520 All-in-One Printer, HP DeskJet Ink Advantage
       Ultra 4720, 4729 All-in-One Printer series, HP DeskJet Ink Advantage
       5640, 5645, 4675, 4676, 4535, 4536, 5570, 5575 All-in-One, HP Scanjet
       Pro 3500 f1 Flatbed Scanner, HP ENVY 5531, 5532, 5534, 5536, 5539
       e-All-in-One Printer
     - Provided custom AppArmor profiles.
     - Supported auto-discovery of network scanners.
  * debian/patches/common-definitions-h-fix.patch: Removed, included
    upstream.
  * debian/patches/85_rebuild_python_ui.dpatch: Refreshed with quilt.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 20 Sep 2015 22:05:00 -0200

hplip (3.15.7-0ubuntu4) wily; urgency=low

  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 17 Sep 2015 21:24:00 -0300

hplip (3.15.7-0ubuntu3) wily; urgency=low

  * debian/patches/common-definitions-h-fix.patch: Fixed hpcups crash,
    patch backported from HPLIP 3.15.9 (LP: #1475022, LP: #1476920,
    LP: #1480332, LP: #1483073).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 15 Sep 2015 14:03:00 -0300

hplip (3.15.7-0ubuntu2) wily; urgency=low

  * debian/rules: Do not do the PPD file uncompression twice, especially
    do not uncompress the fax PPDs, as hp-setup accesses them directly
    instead of getting them through CUPS (LP: #1470300).
  * debian/rules: When patching the PPD files, remove the *.orig files so
    that they do not get shipped with the binary packages.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 24 Aug 2015 22:33:00 -0300

hplip (3.15.7-0ubuntu1) wily; urgency=low

  * New upstream release
     - Added support for HP Deskjet 1110, 1111, 1112 Printer, HP DeskJet
       2131 All-in-One Printer, HP Deskjet Ink Advantage 1110, 1115, 1118
       Printer, HP DeskJet Ink Advantage 2130, 2135, 2138, 3630, 3635, 3636,
       3638, 3830, 3835 All-in-One Printer, HP OfficeJet 3830, 3832, 3834
       All-in-One Printer, HP Officejet 7510 Wide Format All-in-One Printer
     - Removed the duplicate collate option from HP Device Manager
     - Fixed: Traceback error occurs when trying to configure a queue of same
       name
       but with different IO type
     - Fixed: HPLIP installer prompts to set up printers, even when printers are
       already set up (LP: #1464013).
     - Fixed: Insecure binary driver verification (CVE-2015-0839, LP: #1432516).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Aug 2015 13:56:00 -0300

hplip (3.15.6-0ubuntu1) wily; urgency=low

  * New upstream release
     - Added support for HP DeskJet 2130/2132/2546B/2546P/2546R/3630/3632
       All-in-One printer, HP OfficeJet 57444 e-All-in-One
     - Fixed: Error message is displayed while running "hp-diagnose_queues"
       in a terminal.
     - Fixed: UDEV rules wrongly match on monitor hub, wrong invocation of
       systemd unti, changes confi files in UDEV rules (LP: #1433557).
     - Fixed: hp-setup creates spurious cupsd process (LP: #1438456).
  * debian/patches/musb-c-do-not-crash-on-usb-failure.patch,
    debian/patches/pcardext-python3-workaround-upstream.patch,
    debian/patches/hp-plugin-download-fix.patch: Updated for new upstream
    code.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 11 Jun 2015 19:08:00 -0300

hplip (3.15.2-0ubuntu5) wily; urgency=low

  * debian/patches/hp-plugin-download-fix.patch: Fix download and installation
    of HP's proprietary plug-in in Python3 environments (LP: #1422004).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  6 May 2015 16:50:00 -0300

hplip (3.15.2-0ubuntu4) vivid; urgency=low

  * debian/rules: Remove explicit call of /usr/bin/python when calling the
    /usr/bin/hp-config_usb_printer script so that the shebang does not get
    overridden (LP: #1425812).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 17 Mar 2015 16:04:00 +0100

hplip (3.15.2-0ubuntu3) vivid; urgency=low

  * debian/patches/hpscan-deskjet-3520-aio-allow-non-jpeg-scanning.patch:
    Allow non-JPEG scanning on the HP DeskJet 3520 All-in-One and similar
    devices. Thanks to Lubos Dolezel for the patch (LP: #1245578).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  2 Mar 2015 17:48:00 +0100

hplip (3.15.2-0ubuntu2) vivid; urgency=low

  * debian/patches/pcardext-python3-workaround-upstream.patch: Workaround
    patch for missing Python3 transition of the old (pre-USB-storage) photo
    memory card support (pcardext) as this part builds in Python3 environments
    but with pointer-related warnings which are fatal errors for Ubuntu's build
    servers. The patch silences the warnings but the memory card support is
    dropped in Python3 environments. This patch is supplied by the HPLIP
    upstream developers and will be replaced by a more proper solution in the
    next upstream release of HPLIP (see LP: #1275353).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  6 Feb 2015 11:18:00 -0200

hplip (3.15.2-0ubuntu1) vivid; urgency=low

  * New upstream release
    - Python3 support for HPLIP
    - Doesn't build against libjpeg-turbo 1.3.90 (LP: #1388126)
    - hpcups crashes if DEVICE_URI not set in environment (LP: #1395676)
    - Incorrect call to hpmudext.device_open (LP: #1388007)
    - plugin download fails if python links to python3 (LP: #1187055)
    - Incorrect IEEE 1284 Device IDs for many models (LP: #802999)
  * debian/patches/85_rebuild_python_ui.dpatch: Manually updated to apply to new
    upstream source code.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/hpfax-bug-function-used-before-importing-log.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch,
    debian/patches/hpaio-option-duplex.diff,
    debian/patches/musb-c-do-not-crash-on-usb-failure.patch,
    debian/patches/process-events-for-systray.patch: Refreshed with quilt.
  * debian/rules: Force Python3 build using PYTHON=python3 ./configure option
  * debian/rules: Use py3versions to get system's Python3 interpreter version
  * debian/rules: Use relative symlink for /usr/sbin/hpssd, so that shebang
    correction works.
  * debian/rules: Make sure that the Python interpreter paths in all executables
    use python3.
  * debian/rules: Use dh_python3 instead of dh_python2.
  * debian/control: Replaced all Python-related dependencies by their
    Python3 equivalent.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  4 Feb 2015 21:18:00 -0200

hplip (3.14.6-1ubuntu1) utopic; urgency=medium

  * Add process-events-for-systray.patch to enable sni-qt compatiblity to
    allow hp-systray to continue working in Plasma 5.x workspaces.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 29 Jul 2014 22:51:04 +0200

hplip (3.14.6-1) unstable; urgency=low

  * New upstream release
    - Fixed Device Communication Error on launching HP Device Manager
    - Unable to add/remove file in 'hp-sendfax' wizard
    - Fax cover page does not get changed after changing recipient second time
    - Improved scan performance for 'hp-scan' utility
    - Fixes "hplip is outdated in jessie : please upgrade" (Closes: #748132)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Jun 2014 16:42:46 +1000

hplip (3.14.3-0ubuntu5) utopic; urgency=low

  * debian/rules: Corrected copy-and-paste error in previous release which
    deactivated hpcups printer support completely (LP: #1315864, LP: #1311697).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  7 May 2014 12:40:00 +0200

hplip (3.14.3-0ubuntu4) utopic; urgency=low

  * debian/rules: Remove hpcups support for the HP Officejet Pro K550 as it is
    known to not work. This way hpijs (which works) will be used (LP: #981473,
    LP: #1311697).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 29 Apr 2014 12:06:00 +0200

hplip (3.14.3-0ubuntu3) trusty; urgency=low

  * debian/patches/musb-c-do-not-crash-on-usb-failure.patch: Make sure that
    the HPLIP components which access the USB (especially the CUPS backends
    "hp" and "hpfax") do not crash when libusb fails to connect to the USB,
    for example on machines without USB or with the USB kernel modules not
    loaded (LP: #1302437).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  4 Apr 2014 17:00:00 +0200

hplip (3.14.3-0ubuntu2) trusty; urgency=low

  * debian/local/HP-LaserJet_4000-PostScript-PPD.patch, debian/rules: Patch
    PPD file for the HP LaserJet 4000 to use the same JobPatchFile as the
    LaserJet 4050. It seems that the 4000 has the same PS interpreter bug to
    work around. Note that it is not possible to use the standard mechanisms
    for patches as HP ships all PPDs compressed (Closed: #742766).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 27 Mar 2014 17:20:00 +0100

hplip (3.14.3-0ubuntu1) trusty; urgency=low

  * New upstream release
    - Added support for: HP Deskjet Ink Advantage 4640/4645/4646/4648
      e-All-in-One Printer, HP LaserJet Pro MFP M125/M126/M127 series.
    - printer name changes when power cycled (LP: #1273905).
    - hp-config_usb_printer is trying to configure HP keyboard and mouse
      (LP: #1266704).
    - "HP Device Manager" deletes other queues (LP: #1253432).
    - hpcups filter crash fix (LP: #1250806).
    - Error with 'hp-setup' (LP: #1273043).
    - Should run hp-firmware from udev separately (LP: #1255033).
    - Do not put static printer-independent strings like "Automatically setup
      by HPLIP" into the description field of a CUPS queue, remote clients use
      the description to identify network printers (LP: #1266011).
    - Fixed align functionality issue with HP OfficeJet 6100
    - Systray notification does not pop-up after configuring the device using
      'hp-setup' command
    - Unable to configure second fax queue in interactive mode
    - Fixed missing 'No 6 3/4 Envelope' media size for HP OfficeJet 7619 Series
    - Printer name does not change when navigate back and forward to change
      the printer queue

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 11 Mar 2014 22:36:00 +0100

hplip (3.14.1-1) unstable; urgency=low

  * New upstream release
    - CVE-2013-6427: hplip: insecure auto update feature
    - CVE-2013-6402: hplip: insecure temporary file handling in pkit.py

  [ Till Kamppeter ]
  * debian/control: Changed Depends/Recommends on foomatic-filters to
    "cups-filters (>= 1.0.42) | foomatic-filters" as foomatic-rip has
    moved to cups-filters from version 1.0.42 on (Closes: #734140).

  [ Mark Purcell ]
  * Ack NMU - thanks ~carnil
  * Drop CVE-2013-6402.patch - addressed upstream

 -- Mark Purcell <msp@debian.org>  Sun, 19 Jan 2014 13:56:10 +1100

hplip (3.13.11-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add CVE-2013-6402.patch patch.
    CVE-2013-6402: Fix insecure temporary files handling in pkit.py.
    (Closes: #725876)
  * Add missing dh_bugfiles invocation in binary-indep target

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 12 Jan 2014 10:59:12 +0100

hplip (3.13.11-2) unstable; urgency=medium

  * Urgency medium for CVE fix
  * Sync with ubuntu - thks ~marc.deslauriers
    - Fixes "CVE-2013-6427: insecure (undocumented) auto update feature"
    (Closes: #731480)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Dec 2013 18:13:44 +1100

hplip (3.13.11-1ubuntu1) trusty; urgency=low

  * debian/non-shipped-files.txt, debian/hplip.install: don't ship
    hp-upgrade and upgrade.py, as we want to use proper packaging, and want
    to prevent security issues.
    - CVE-2013-6427

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Dec 2013 14:42:33 -0500

hplip (3.13.11-1) unstable; urgency=low

  * New upstream release
    - Includes fix for CVE-2013-4325:Insecure Polkit use (Closes: #723716)
    - Drop debian/patches/CVE-2013-4325.patch
    - hp-mkuri no longer ships
  * Drop hp-mkuri-take-into-account-already-installed-plugin-also-for-
    exit-value.dpatch & ubuntu-hp-mkuri-notification-text.dpatch
  * quilt refresh
  * hplip-doc.install -> hplip-doc.docs

 -- Mark Purcell <msp@debian.org>  Wed, 11 Dec 2013 06:12:48 +1100

hplip (3.13.9-2) unstable; urgency=low

  * Build-Depends: libusb2-dev [kfreebsd-any] - Thks Petr
    - Fixes "no longer buildable on kfreebsd-*" (Closes: #725616)
  * Update X-Python-Version: >= 2.7.5 
    - Fixes "hplip-data depends on python:any (>= 2.6.6-7~)" (Closes: #724705)

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 22:31:35 +1100

hplip (3.13.9-1) unstable; urgency=medium

  * New upstream release 
  * Fix CVE-2013-4325 hplip: Insecure calling of polkit
    - Apply Redhat patch (Closes: #723716)
    - Urgency medium
  * Fix "Rebuild against pyppd 1.0.1" patch from OdyX (Closes: #722695)

 -- Mark Purcell <msp@debian.org>  Sat, 21 Sep 2013 08:24:35 +1000

hplip (3.13.9-0ubuntu1) saucy; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Bug fixes and added hardware support
     o Added support for: HP Designjet Z5400 44-in PostScript ePrinter,
       Deskjet Ink Advantage 1018 Printer, 1518/2540/2545/2546 All-in-One
       Printer, 4515/4518 e-All-in-One Printer, Envy 4504 e-All-in-One,
       LaserJet Pro MFP M435nw, Officejet 4630/4632/4635 e-All-in-One Printer,
       OfficeJet Pro 8600 Premium e-AiO N911n, Photosmart 5521 e-All-in-One
       Printer
     o HP OfficeJet G55 is not detecting through USB (LP: #1209339)
     o Collate broken under hplip-3.13.7 as hpps sends SET COPIES (LP: #1209352)
     o Fix for plugin (firmware) installation and test page in 'hp-setup -i'
  * debian/patches/10_shebang_fixes.dpatch,
    debian/patches/hp-setup-prompt-for-custom-PPD.dpatch,
    debian/patches/kbsd.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/black-stripes-on-pcl5c-printouts.dpatch: Removed, applied
    upstream.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/hp-check_debian.dpatch
    debian/patches/hp-mkuri-take-into-account-already-installed-plugin-also-for-exit-value.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/add-lidil-two-cartridge-modes.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch,
    debian/patches/hpaio-option-duplex.diff: Refreshed with quilt.
  * debian/patches/ubuntu-hp-mkuri-notification-text.dpatch: Manually adapted
    to the new source code.
  * debian/hplip.install, debian/rules: Removed hplipjs and hpcac filters, they
    are removed from HPLIP.
  * debian/hplip.dirs, debian/hplip.postinst, debian/hplip.postrm: Added
    /var/log/hp/tmp/ (775 root.lp), needed by hp-sendfax (LP: #1187132).
  * debian/printer-driver-postscript-hp.install: Some DesignJet PPDs do not
    have "ps" in their names and therefore did not get packaged.
  * debian/non-shipped-files.txt: Updated.
  * debian/rules: Remove the non-shipped files in the end of the install-stamp
    rule, as some of them get created after "make install" by this rule.
  * debian/rules: Do not create HAL .fdi file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Sep 2013 21:36:00 +0200

hplip (3.13.8-1) unstable; urgency=low

  * New Upstream Release
  * Update Vcs: header
  * Fixup field "section" in package hpijs-ppds
  * Update libhpmud-dev Description: - duplicate-long-description
  * Update debian/copyright - fixes copyright-refers-to-symlink-license
  * Update Description: - fixes extended-description-is-probably-too-short

 -- Mark Purcell <msp@debian.org>  Sat, 17 Aug 2013 12:27:56 +1000

hplip (3.13.8-0ubuntu1) saucy; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Added support for: HP LaserJet Enterprise MFP M725/M725dn/M725dn/M725fw/
       M725z/M725z+, DesignJet T920/T1500 Postscript, Envy 4500/4502/5530/5535
       e-All-in-One, Deskjet 1010/1012, 1510/1512/1513/2540/2542 All-in-One,
       Deskjet Ink Advantage 1010/1015, 1510/1515/1516 All-in-One, 3540/3545/
       3546 e-All-in-One, Officejet Pro 3610/3620 Black and White e-All-in-One,
       Officejet 7610 Wide Format e-All-in-One
     o Added support for Avahi network printer browsing
     o Using SLP protocol by default to browse printer in hp-setup
     o Added 56-hpmud.rules and removed 56-hpmud_support, 86-hpmud_plugin,
       56-hpmud_add_printer, 55-hpmud and 40-hplip rules
     o Fixes:
        + LP: #233393  - Smart install disable popup is coming for HP pen drive
          and HP CD/DVD ROM
        + LP: #746814  - CVE-2010-4267 Remote Stack Overflow Vulnerability
        + LP: #1157701 - soapfax.py:139:setStationName:UnicodeEncodeError:
          'ascii' codec can't encode characters in position 0-3: ordinal not in
          range(128)
        + LP: #1163339 - hplip online documentation: manual tarball
          installation shows package dependancies which are out-of-date
        + LP: #1176470 - hp-setup fails with the message "ethernet cable is
          plugged in" - But it isn't
        + LP: #1179433 - cupsext/getPrinter leaks server connection on each call
        + LP: #1179454 - Cannot set filename when scanning with hp-scan from ADF
        + LP: #1186411 - Fix for firmware download during plug and play
        + LP: #1185866 - hp-config_usb_printer hangs in loop
        + LP: #1189333 - Fixed hplip markup documentation errors
        + LP: #1195221 - Unable to install plugin for network printer Laserjet
          2600n
        + LP: #1196335 - HPLIP 3.13.6 stop working after shutting down/rebooting
          the computer
        + LP: #1197306 - HP laserjet 1020 not printing on Ubuntu12.10 after
          power cycle the printer
  * debian/control: printer-driver-hpcups: Replaced dependency on
    ghostscript-cups by "cups-filters (>= 1.0.36) | ghostscript-cups" as
    Ghostscript's CUPS filters moved to cups-filters from cups-filters
    1.0.36/Ghostscript 9.08 on.
  * debian/patches/CVE-2010-4267.dpatch: Removed, included upstream.

  [ Mark Purcell ]
  * Removed 56-hpmud_support.rules suspend udev-rules-hp-mkuri-call-fix.dpatch
  * Added 56-hpmud.rules update create_hal_global_fdi_from_hpmud_rules.sh
  * Update hplip.preinst
  * Drop obsolete transitional dummy packages

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 13 Aug 2013 18:58:00 +0200

hplip (3.13.4-1) unstable; urgency=low

  * New upstream release
  * Removed "KDE from long description." (Closes: #706269)
  * Clarified "[hpijs] short description" (Closes: #706057)

 -- Mark Purcell <msp@debian.org>  Sun, 05 May 2013 21:09:24 +1000

hplip (3.13.3-1) experimental; urgency=low

  * New Upstream Release 
    - Fixes CVE-2013-0200 (Closes: #701185)
    - Fixes "hp-check does not find installed Xsane" (Closes: #690362)
  * Ack NMU - Thanks Sebastian Ramacher

 -- Mark Purcell <msp@debian.org>  Sat, 09 Mar 2013 11:29:44 +1100

hplip (3.13.2-0ubuntu1) raring; urgency=low

  * New upstream release
     o Added support for: HP Officejet Pro X451dw, X451dn, X476dn, X476dw MFP,
       X551dn, X551dw, X576dn, X576dw, Officejet 7110 Wide Format ePrinter,
       LaserJet 400 M401dne
     o Secure Printing Support for HP LaserJet 5500 and Hp LaserJet 8150
     o Updated Media Types for HP Color LaserJet CP5520 Series
     o Bug fixes
  * debian/patches/85_rebuild_python_ui.dpatch,
    debian/patches/try_libhpmud.so.0.dpatch,
    debian/patches/hp-mkuri-libnotify-so-4-support.dpatch: Manually updated to
    apply to the new upstream source code.
  * debian/patches/87_move_documentation.dpatch,
    debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/ubuntu-hp-mkuri-notification-text.dpatch,
    debian/patches/simple-scan-as-default.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/remove-duplicate-entry-for-cp1700-in-drv-files.dpatch,
    debian/patches/CVE-2010-4267.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch: Refreshed with Quilt.
  * debian/patches/kde4-kdesudo-support.dpatch: Removed, not applicable any
    more.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Removed,
    applied upstream.
  * debian/rules: Make /usr/share/hplip/check-plugin.py executable.
  * debian/hplip.install: Added installation of new utilities hp-doctor and
    hp-logcapture.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  7 Mar 2013 22:52:00 +0100

hplip (3.12.6-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/CVE-2013-0200.patch: Fix CVE-2013-0200 by applying the
    patch from Red Hat. Additionally increase the buffers to mitigate an
    regression and a buffer overflow. (Closes: #701185)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 01 Mar 2013 18:21:48 +0100

hplip (3.12.11-1) experimental; urgency=low

  * New Upstream Release 

 -- Mark Purcell <msp@debian.org>  Sat, 08 Dec 2012 08:51:39 +1100

hplip (3.12.11-0ubuntu1) raring-proposed; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Added support for: HP LaserJet Pro 500 color MFP M570dw,
       Pro 500 color MFP M570dn, LaserJet Enterprise flow MFP M525,
       color flow MFP M575, 700 M712n, 700 M712dn, 700 M712xh,
       700 color MFP M775dn, 700 color MFP M775f, 700 color MFP M775z,
       700 color MFP M775z+
     o Secure Printing support for HP LaserJet P3010 Series
     o Job storage support with postscript finishing filter
  * debian/patches/hplip-release-parport.patch: Removed, fixed upstream.

  [ Dmitry Shachnev ]
  * debian/patches/kde4-kdesudo-support.dpatch: Use "which" instead of
    "utils.which", to fix a NameError (LP: #1069324).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 30 Nov 2012 11:34:00 +0100

hplip (3.12.10a-1) experimental; urgency=low

  [ Till Kamppeter ]
  * New upstream release
    - Fixed crash in HP Device Manager and System Tray due to ValueError
      exception in HPLIP upgrade functionality (LP: #1064889).
  * debian/hplip.install, debian/hplip-gui.install: Added some missing program
    file links.
  * debian/patches/hplip-release-parport.patch: libsane-hpaio does not close
    /dev/parport* after checking for a scanner (LP: #1065582, Red Hat bug
    #1065582).

  [ Mark Purcell ]
  * debian/bug-script: Fix bashism (Closes: #690625, #687243) 

 -- Mark Purcell <msp@debian.org>  Sat, 27 Oct 2012 16:03:17 +1100

hplip (3.12.10-1) experimental; urgency=low

  * New upstream release
    - Fixes "Network scanning fails (Closes: #683033)
  * quilt refresh hplip-syslog-fix-debug-messages-to-error.dpatch
  * Fix "error in clean build env" updated debian/rules (Closes: #687129)

 -- Mark Purcell <msp@debian.org>  Sat, 06 Oct 2012 15:03:44 +1000

hplip (3.12.6-3ubuntu2) quantal; urgency=low

  * debian/rules: Removed dependency of the "clean" rule on the "configure"
    rule. This prevented from a clean source package being generated.
  * debian/hplip.dirs: Create empty /var/lib/hp/ directory when installing so
    that HPLIP can annotate that it installed the plugin (LP: #1055521).
  * debian/rules: Made HPLIP build with CUPS 1.6.1 and later by overriding a
    new conditional to hide the private ipp_t data structure in cups/ipp.h by
    adding "-D_IPP_PRIVATE_STRUCTURES=1" to CFLAGS (Problem reported upstream
    to HPLIP as LP: #1056214).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 25 Sep 2012 20:58:00 +0200

hplip (3.12.6-3ubuntu1) quantal; urgency=low

  * debian/control: Let hplip recommend printer-driver-postscript-hp
    (LP: #1014478).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 26 Jun 2012 20:55:00 +0200

hplip (3.12.6-3) unstable; urgency=low

  * [!linux-any] --enable-libusb01_build

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 16:49:41 +1000

hplip (3.12.6-2) unstable; urgency=low

  * Build-Depends: libusb-1.0-0-dev [linux-any], libusb-dev [!linux-any]
  * Update to Standards-Version: 3.9.3
  * Fix debhelper-but-no-misc-depends

 -- Mark Purcell <msp@debian.org>  Sun, 24 Jun 2012 13:53:48 +1000

hplip (3.12.6-1) unstable; urgency=low

  * New Upstream Release
    - Fixes "print fails to HP Color LJ 3600, err=26" (Closes: #529884)
    - Fixes "UnicodeDecodeError: 'ascii' codec"   (Closes: #635128)
    - Fixes "hp-setup: should allow input any characters" (Closes: #470201)

 -- Mark Purcell <msp@debian.org>  Sat, 23 Jun 2012 10:28:22 +1000

hplip (3.12.6-0ubuntu1) quantal; urgency=low

  * New upstream release
     o Added PIN to PRINT support for HP Color LaserJet CM4540 MFP
     o libusb-1.0 support added
     o Added support for: HP DeskJet Ink Advantage 2510, 3525, 4610, 4620,
       5525, 2510, 3520, OfficeJet 4610, 4620, Photosmart 5520, LaserJet 400
       M401, 400 MFP M425, LaserJet Enterprise 500 MFP M525, 500 Color MFP
       M575, LaserJet Professional P 1102w, P1107w, P1107, P1109w, P1109,
       M1137, M1138, M1139, P1567, P1568, P1569, P1607dn, P1608dn, P1609dn
  * debian/patches/hp-check-groups.dpatch: Removed, problem solved upstream.
  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Removed,
    applied upstream.
  * debian/patches/hp-check_debian.dpatch,
    debian/patches/hpaio-option-duplex.diff: Updated.
  * debian/patches/simple-scan-as-default.dpatch,
    debian/patches/make-commafy-correctly-work-with-python-2.dpatch,
    debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch,
    debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Refreshed with quilt.
  * debian/control: Switch over to libusb 1.0.x.
  * debian/control: Added build dependency on dh_autoreconf.
  * debian/rules, debian/printer-driver-hpcups.install,
    debian/printer-driver-postscript-hp.install,
    debian/printer-driver-hpijs.install, debian/hpijs-ppds.install: Install
    ppd-updater files with .ppd-updater extension, as the other packages do.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 20 Jun 2012 20:19:00 +0200

hplip (3.12.4-2) unstable; urgency=low

  * Fix "fails to upgrade from 'squeeze'" (Closes: #675307)
    - hplip-gui Replaces: hplip  (<< 3.12.4-2)
    - Add specific package.bug-script files

 -- Mark Purcell <msp@debian.org>  Sun, 10 Jun 2012 22:59:08 +1000

hplip (3.12.4-1) unstable; urgency=low

  * New upstream release
  * Switch to source/format 3.0 (quilt) - drop dpatch
  * Refreshed debian/patches
  * dh_autoreconf debian/autogen.sh & set local-options single-debian-patch
  * Update to debian/compat -> 9
  * Fix "hardened build flags" patch from Moritz - thanks (Closes: #667828)
  * Fix "duplex descriptor uninitialized" patch from Matej (Closes: #583273)
  * Fix "please migrate to kde-runtime" patch from Pino (Closes: #666544)

 -- Mark Purcell <msp@debian.org>  Sat, 26 May 2012 11:20:39 +1000

hplip (3.12.2-1ubuntu3) precise; urgency=low

  * debian/patches/fax-support-hp-laserjet-m1522nf-mfp.dpatch: Fixed fax
    sending support for the HP LaserJet M1522nf MFP (LP: #790238).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  4 Apr 2012 13:59:00 +0200

hplip (3.12.2-1ubuntu2) precise; urgency=low

  * debian/control: Added Replaces/Breaks on hplip-data (<< 3.10.5-4ubuntu1)
    to the libsane-hpaio binary package, to make update from Ubuntu Lucid LTS
    to Precise LTS working (LP: #954847).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 14 Feb 2012 18:49:00 +0100

hplip (3.12.2-1ubuntu1) precise; urgency=low

  * debian/local/scripts/hp-plugin-ubuntu, debian/hplip-gui.install: Return
    from HPLIP's own automatic plugin installation to the Ubuntu method,
    HP's method installs the plugin when an arbitrary HP LaserJet printer is
    detected on the USB.
  * debian/patches/hp-mkuri-libnotify-so-4-support.dpatch: Let hp-mkuri use
    libnotify.so.4.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 27 Feb 2012 16:13:00 +0100

hplip (3.12.2-1) unstable; urgency=low

  * New Upstream Release
  * Fixup Replaces: for squeeze security updates (Closes: #658056)
    - Fixes "obsolete conffiles not removed on upgrades" (Closes: #645848)
  * Cleanup Obsolete Replaces: Depends: Breaks: - support upgrades squeeze+
  * Obtain user consent before running hp-check in reportbug
    - Fixes "bug script starts /usr/share/hplip/systray.py" (Closes: #623627)
  * Drop legacy Uploaders
  * Add hplip Depends: python-gobject-2
    - Fixes "missing dependency causes hp-plugin to fail" (Closes: #600360)

 -- Mark Purcell <msp@debian.org>  Sat, 18 Feb 2012 13:56:10 +1100

hplip (3.12.2-0ubuntu1) precise; urgency=low

  * New upstream release
     o Added support for: HP LaserJet Pro 300 color MFP M375nw, 400 color
       MFP M475dn, 400 color MFP M475dw, 300 color M351a, 400 color M451nw,
       400 color M451dn, 400 color M451dw, P1108, P1106, P1102s, Color
       LaserJet CP1217
     o Bug fixes.
  * debian/patches/hplip-systray-longer-timeout-for-system-tray-start.dpatch:
    Removed, fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  9 Feb 2012 16:29:00 +0100

hplip (3.11.12-2) unstable; urgency=low

  * Reinstate printer-driver-{hpcups,hpijs}.install
    - Fixes "File "/usr/lib/cups/filter/hpcups" not available: No such file
    or directory" (Closes: #655424)

 -- Mark Purcell <msp@debian.org>  Thu, 12 Jan 2012 08:12:58 +1100

hplip (3.11.12-1) unstable; urgency=low

  * New Upstream Release
  * Fix "Please rename the hplip packages to the printer-driver-
    convention" odyx patch - thks (Closes: #649991)
  * Fix "debian/control uses hardcoded list of non-Linux architectures"
    Update Build-Depends: libudev-dev [linux-any] (Closes: #634488)
  * Fix "hp-scan scans entire job and then reports inability to produce
    PDFs without reportlab" Added Depends: python-reportlab (Closes: #651240)
  * Fix "hplip bug report" python handling correct (Closes: #609680)

 -- Mark Purcell <msp@debian.org>  Sun, 08 Jan 2012 20:10:45 +1100

hplip (3.11.12-0ubuntu1) precise; urgency=low

  * New upstream release
     o Auto-detection and installation of missing plug-ins
     o Added support for: HP LaserJet Enterprise 600 M601n, M601dn, M602n,
       M602dn, M602x, M603n, M603dn, M603xh, LaserJet 200 color MFP M275nw,
       M275s, M275t, M275u, Photosmart 5510d e-All-in-One
     o Bug fixes.
  * debian/patches/add_missing_newline_for_error_log.dpatch,
    debian/patches/hpcups-top-margins-not-respected.dpatch: Removed, fixed
    upstream.
  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch,
    debian/patches/udev-rules-hp-mkuri-call-fix.dpatch: SYSFS issue is fixed
    upstream, replaced the patch by one for only the hp-mkuri part.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Regenerated.
  * debian/hplip-gui.install: Added new files for automatic plugin installation.
  * debian/hplip.dirs: Install new /var/log/hp/ directory.
  * debian/control: printer-driver-postscript-hp needs hpps CUPS filter, which
    is in the hplip package, therefore depend on hplip.
  * debian/local/scripts/hp-plugin-ubuntu: Only do the automatic installation
    of the plugin if the HPLIP GUI is not installed, otherwise HPLIP does
    the installation on its own.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jan 2012 12:53:00 +0100

hplip (3.11.10-1ubuntu4) precise; urgency=low

  * debian/rules: Use "#!/usr/bin/python" instead of "#!/usr/bin/env python"
    to specify the path to the Python interpreter, to assure that always
    the system's interpreter is used and never a possibly incompatible
    alternative Python interpreter (LP: #912625).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jan 2012 09:37:00 +0100

hplip (3.11.10-1ubuntu3) precise; urgency=low

  * debian/hplip.install: Added entry for /usr/lib/cups/filter/hpps.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  6 Jan 2012 01:13:00 +0100

hplip (3.11.10-1ubuntu2) precise; urgency=low

  * debian/control, debian/rules, debian/hpijs.README.Debian,
    debian/hpijs.docs, debian/hpijs.install, debian/hpijs.lintian,
    debian/hpijs.manpages, debian/hpijs.ppd-updater,
    debian/hplip-cups.NEWS, debian/hplip-cups.install,
    debian/hplip-cups.lintian, debian/hplip-cups.ppd-updater,
    debian/hplip-data.install, debian/hplip.install,
    debian/hplip.ppd-updater, debian/printer-driver-hpcups.NEWS,
    debian/printer-driver-hpcups.install,
    debian/printer-driver-hpcups.lintian,
    debian/printer-driver-hpcups.ppd-updater,
    debian/printer-driver-hpijs.README.Debian,
    debian/printer-driver-hpijs.docs,
    debian/printer-driver-hpijs.install,
    debian/printer-driver-hpijs.lintian,
    debian/printer-driver-hpijs.manpages,
    debian/printer-driver-hpijs.ppd-updater,
    debian/printer-driver-postscript-hp.install,
    debian/printer-driver-postscript-hp.ppd-updater: Updated to follow Debian's
    new printer driver package naming policy, naming printer driver binary
    packages starting with "printer-driver-...": renamed the "hplip-cups"
    package to "printer-driver-hpcups" and "hpijs" to "printer-driver-hpijs",
    moved the PostScript printer PPDs from "hplip-data" to the newly introuced
    "printer-driver-postscript-hp" package. Moved PPD updater for the
    PostScript PPDs which was (wrongly) packaged in "hplip" also to
    "printer-driver-postscript-hp". Added transitional packages. Thanks
    to Didier Raboud (odyx at debian dot org) for the patch (Closes: #649991).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  5 Jan 2012 22:49:00 +0100

hplip (3.11.10-1ubuntu1) precise; urgency=low

  * debian/patches/hpcups-top-margins-not-respected.dpatch: Reverted upstream
    change which caused a regression in handling the upper margin by monochrome
    laser printers in hpcups (LP: #890684, Red Hat bug #738089).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  1 Dec 2011 12:26:00 +0100

hplip (3.11.10-1) unstable; urgency=low

  * New Upstream Release
  * Switch to dh_bugfiles - fixes reportbug script

 -- Mark Purcell <msp@debian.org>  Sat, 29 Oct 2011 10:02:57 +1100

hplip (3.11.10-0ubuntu1) precise; urgency=low

  * New upstream release
     o Added support for: HP DeskJet 3070 B611 series, Envy 110 e-All-in-One,
       LaserJet Enterprise 500 Color M551, OfficeJet Pro 8100 N811, Pro 8600,
       PhotoSmart 5510 e-All-in-One, 6510 e-All-in-one, 7510 e-All-in-One
     o Bug fixes.
  * debian/patches/large-sizes-borderless-on-photosmart-pro-b-series.dpatch,
    debian/patches/more-user-friendly-choice-names-for-installed-cartridges.dpatch,
    debian/patches/cups-1.5.0-compatibility.dpatch,
    debian/patches/mdns-py-network-printer-search-key-error.dpatch,
    debian/patches/mdns-py-typo.dpatch: Removed, fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 26 Oct 2011 21:31:00 +0200

hplip (3.11.7-1ubuntu3) oneiric; urgency=low

  * debian/patches/hp-systray-make-menu-title-visible-in-sni-qt-indicator.dpatch:
    Simplified the construction of the title line of the hp-systray applet
    menu, so that the applet-to-indicator converter sni-qt also imports this
    title line (at least the text of it). Thanks to Aurelien Gateau for this
    patch.
  * debian/patches/hp-systray-make-menu-appear-in-sni-qt-indicator-with-kde.dpatch:
    Make the menu of the hp-systray applet appearing when the applet is
    converted to an indicator applet by sni-qt and put into the notification
    area of KDE (LP: #857929).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 27 Sep 2011 17:13:00 +0200

hplip (3.11.7-1ubuntu2) oneiric; urgency=low

  * debian/patches/hpfax-bug-function-used-before-importing-log.dpatch:
    The hpfax CUPS backend uses its function bug() (which in turn uses log())
    before log() gets imported (with base.g). Made use of log() in bug()
    optional (LP: #560849).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 23 Sep 2011 11:05:00 +0200

hplip (3.11.7-1ubuntu1) oneiric; urgency=low

  * debian/patches/mdns-py-typo.dpatch: Fixed typo in code (LP: #757899).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 22 Sep 2011 08:47:00 +0200

hplip (3.11.7-1) unstable; urgency=low

  * New Upstream Release
  * Fixes "please replace deprecated python-support with dh_python2"
    3.11.7-0ubuntu2 by Steve (Closes: #637268)

 -- Mark Purcell <msp@debian.org>  Sat, 03 Sep 2011 09:06:36 +1000

hplip (3.11.7-0ubuntu5) oneiric; urgency=low

  * debian/patches/mdns-py-network-printer-search-key-error.dpatch:
    In some cases a search of network printers with the hp-setup utility
    crashed with a key error (LP: #519430).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  1 Sep 2011 00:42:00 +0200

hplip (3.11.7-0ubuntu4) oneiric; urgency=low

  * debian/control, debian/rules: Use new debhelper dh_pyppd to compress the
    PPD files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 21 Aug 2011 23:59:00 +0200

hplip (3.11.7-0ubuntu3) oneiric; urgency=low

  * debian/hpijs.ppd-updater, debian/hplip-cups.ppd-updater,
    debian/hplip.ppd-updater, debian/hpijs-ppds.ppd-updater: Added data files
    to trigger the update of the PPD files of existing print queues by CUPS
    and to tell CUPS which PPD files to use for the update and how to match
    them with the PPDs of the existing queues.
  * debian/hplip.postinst: Removed the repeated code for updating the PPD
    files of existing print queues. This code is now centralized in the
    cups package, as a trigger.
  * debian/hpijs.postinst, debian/hplip-cups.postinst,
    debian/hpijs-ppds.postinst: Removed the post-install scripts which only
    contain the code for updating the PPDs of existing print queues.
  * debian/hpijs.install, debian/hplip-cups.install, debian/hplip.install,
    debian/hpijs-ppds.install, debian/rules: Install the *.ppd-updater
    file of each printer driver/PPD package in the /usr/share/cups/ppd-updaters
    directory.
  * debian/control: Removed the dependency on cups-client from the printer
    driver/PPD packages, as we do not call the command line utilities of CUPS
    in the post-install scripts any more. Also removed the dependency on CUPS
    from the hpijs and hpijs-ppds packages.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 17 Aug 2011 10:26:00 +0200

hplip (3.11.7-0ubuntu2) oneiric; urgency=low

  * debian/patches/cups-1.5.0-compatibility.dpatch: directly include
    cups/ppd.h, for compatibility with cups 1.5.0.
  * switch from the deprecated python-support to dh_python2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Aug 2011 00:39:24 +0000

hplip (3.11.7-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o Fixed missing leading "/" in /bin/sh call in 56-hpmud_support.rules
       (LP: #795759).
     o Added support for: HP DeskJet 3050A J611 series, LaserJet 100 Color
       MFP M175, LaserJet Professional M1216nfh MFP, M1219nf MFP.
     o Bug fixes.
  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch:
    Regenerated.
  * debian/patches/hplip-syslog-fix-debug-messages-to-error.dpatch: Debug
    messages were reported as errors and so cluttered the syslog (LP: #816763).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 28 Jul 2011 09:57:00 +0200

hplip (3.11.5-2ubuntu1) oneiric; urgency=low

  * debian/rules: Added "-dNOINTERPOLATE" to all Ghostscript command lines
    defined in the HPLIP package: PPD generator hpijs.drv for HPIJS,
    ready-made PPDs for HPIJS (hpijs-ppds package), Fax PPDs, pstotiff
    CUPS filter. This makes the page rendering by Ghostscript significantly
    faster.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 24 Jul 2011 20:50:00 +0200

hplip (3.11.5-2) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/control: Build-Depend on libjpeg-dev instead of libjpeg62-dev,
    so that the package also builds with libjpeg8 (Closes: #634030).

  [ Mark Purcell ]
  * Ack NMU - Thanks Luk
    - Fix "diff for NMU version 3.11.5-1.1" (Closes: #631008)

 -- Mark Purcell <msp@debian.org>  Sat, 16 Jul 2011 20:24:28 +1000

hplip (3.11.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621591).
  * Add missing '/' in bin/sh calls (Closes: #630648, #600673).

 -- Luk Claes <luk@debian.org>  Sun, 19 Jun 2011 19:04:01 +0200

hplip (3.11.5-1ubuntu1) oneiric; urgency=low

  * debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch:
    Added the missing '/' in the "bin/sh" calles, to assure that they work in
    all situations.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 10 Jun 2011 21:00:00 +0200

hplip (3.11.5-1) unstable; urgency=low

  * New Upstream Release
  * Updated Homepage:

 -- Mark Purcell <msp@debian.org>  Fri, 27 May 2011 21:16:17 +1000

hplip (3.11.5-0ubuntu1) oneiric; urgency=low

  * New upstream release
     o Added LEDM ADF Scan support
     o Added LEDM Wireless support
     o "/cupsInteger0 <PCL page size number>" is added to the PageSize option
       of the hpcups driver, not only in PageRegion (Upstream fix for Debian
       bug #518227, LP: #405116, Red Hat bug #518756).
     o Fixed HP Laserjet 1020 printing negative images and photos (LP: #754383).
     o ADF now recognised on HP Officejet Pro 8500 A910a (LP: #776509).
     o Added new option "Installed Cartridges" to enable users to select
       correct installed cartridges for printing (Partial upstream fix for
       LP: #235399, currently only applied to the hpcups driver, for the hpijs
       driver we continue with the Debian/Ubuntu patch).
     o Margin issues fixed on HP OfficeJet 7500 E910, 6500 e710n-z, LaserJet
       m1319f MFP
     o Removed scan icon in toolbox for HP Color LaserJet CM4540 MFP (scanner
       is network-only).
     o Fixed "Download Firmware" link in Action tab with HP LaserJet P1566.
     o Redundant PostScript PPDs are removed.
     o Added support for: HP Designjet T790ps 24in/44in, T1300 Postscript,
       LaserJet M4555 MFP, LaserJet Professional m1214nfh MFP
  * debian/patches/add-lidil-two-cartridge-modes.dpatch: Adapted to the partial
    upstream fix.
  * debian/patches/workaround-sf-server-bug-for-plugin-index-download.dpatch:
    Removed, fixed upstream.
  * debian/rules: Removed modification of the PPD generator for hpcups, as
    the missing "/cupsInteger0 <PCL page size number>" in the PostScript code
    of the PageSize option is fixed upstream.
  * debian/patches/large-sizes-borderless-on-photosmart-pro-b-series.dpatch:
    The HP PhotoSmart Pro B 8xxx printers are capable of borderless printing
    on all paper sizes including the large formats. The HPLIP-supplied PPD
    allowed borderless only up to Legal size (LP: #787580).
  * debian/patches/more-user-friendly-choice-names-for-installed-cartridges.dpatch:
    Make the menu entry strings for the "Installed Cartridges" option (on LIDIL
    printers) more user-friendly.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 26 May 2011 13:33:18 +0200

hplip (3.11.1-3) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/rules: Modified PPD generator for hpcups so that the PostScript
    code for the "PageSize" option also sets the PCL paper size
    ("/cupsInteger0 XX") and not only PageRegion (Closes: #518227,
    LP: #405116, Red Hat bug #518756).

  [ Mark Purcell ]
  * Make BinNMU safe
  * hplip Depends: libsane-hpaio (= ${hplip:binary:Version})
    - Fixes "depends on libsane-hpaio 3.11.1-2 instead of 3.11.1-2+b1"
    (Closes: #622598)
  * hplip-gui Depends: hplip (>= ${hplip:source:Version})
    - Fixes "binNMU is not installable" (Closes: #622602)
  * hplip-ppds Depends: hpijs (>= ${hpijs:source:Version})
    - Fixes "Uninstallable due to not binNMU safe" (Closes: #622596)

 -- Mark Purcell <msp@debian.org>  Sat, 16 Apr 2011 08:46:43 +1000

hplip (3.11.1-2ubuntu2) natty; urgency=low

  * debian/patches/workaround-sf-server-bug-for-plugin-index-download.dpatch:
    In order to download the proprietary plug-in (firmware files, driver
    add-ons), the "hp-plugin" utility downloads an index file from SourceForge.
    Due to software changes at SourceForge which introduced a bug, Python's
    urllib is not able any more to download this file, making the plug-in
    download via "hp-plugin" impossible. HP has quickly released HPLIP 3.11.3a
    which works around the problem by using the command line utility "wget".
    This patch is a backport of the workaround (LP: #740140).

  * debian/control: Let hplip depend on wget. wget is needed for the plugin
    download now.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 25 Mar 2011 17:08:18 +0100

hplip (3.11.1-2ubuntu1) natty; urgency=low

  * debian/rules: Modified PPD generator for hpcups so that the PostScript
    code for the "PageSize" option also sets the PCL paper size
    ("/cupsInteger0 XX") and not only PageRegion (Closes: #518227,
    LP: #405116, Red Hat bug #518756).
  * debian/control, debian/rules, debian/local/pyppd: Use external pyppd
    package for the compression of the PostScript PPDs.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 10 Mar 2011 12:41:18 +0100

hplip (3.11.1-2) unstable; urgency=low

  * Upload to unstable
    - Fixes "[hplip] New upstream version" (Closes: #613295)
  * Drop obsolete 00patch-opts "patch: invalid option -- 'U'" (Closes: #612646)
  * kdeprint no longer Depends: (Closes: #608947)
  * "ppd" included in description" (Closes: #608836)
  * Fixes "sane" lowercase in extended description" (Closes: #591919)

 -- Mark Purcell <msp@debian.org>  Sun, 20 Feb 2011 21:20:06 +1100

hplip (3.11.1-1) experimental; urgency=low

  * New Upstream Release
    - Fixes "CVE-2010-4267: Buffer overflow" (Closes: #610960)
  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via long SNMP response

 -- Mark Purcell <msp@debian.org>  Thu, 27 Jan 2011 00:26:43 +1100

hplip (3.11.1-0ubuntu2) natty; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via long SNMP response
    - debian/patches/CVE-2010-4267.dpatch: validate dLen in io/hpmud/pml.c.
    - CVE-2010-4267

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 24 Jan 2011 13:20:33 -0500

hplip (3.11.1-0ubuntu1) natty; urgency=low

  * New upstream release
     o New encapsulation format for LJZJStream class
     o Alignment of cartridges over LEDM (auto, semi-automatic and manual)
     o LEDM dynamic scan resolution
     o New fax protocol (Low End Data Model, LEDM) support
     o ADF scan support for HP LaserJet Pro M1212nf, M1213nf, and M1217nfw MFP
       devices
     o Color scan support for HP LaserJet Pro M1132, M1136, M1212nf, M1213nf, 
       and M1217nfw MFP devices
     o Added support for: HP LaserJet Pro CP1020, M1213nf MFP, CM1410,
       LaserJet M1536dnf MFP, M1537dnf MFP, M1538dnf MFP, M1539dnf MFP.
       Color LaserJet CM4540 MFP, CP5520, Photosmart Ink Adv K510,
       Deskjet Ink Adv 2010 K010, 2060 K110, Officejet 6500 E710a-f
  * debian/patches/scan-on-dj-1050-2050.dpatch: Removed, fixed upstream.
  * debian/patches/85_rebuild_python_ui.dpatch,
    debian/patches/87_move_documentation.dpatch: Regenerated.
  * debian/control: Removed stand-alone print dialog applications from the
    Suggests: of the hplip package. These applications are obsolete, as
    modern desktop applications already have a CUPS-based printing dialog.
    Added system-config-printer instead (Closes: #608947).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 23 Jan 2010 23:34:18 +0100

hplip (3.10.9-1) experimental; urgency=low

  * New Upstream Release

 -- Mark Purcell <msp@debian.org>  Thu, 23 Dec 2010 11:04:31 +1100

hplip (3.10.9-0ubuntu7) natty; urgency=low

  * debian/patches/scan-on-dj-1050-2050.dpatch: Corrected model properties
    to make scanning on DeskJet 1050 and 2050 actually working (LP: #652963)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 11 Dec 2010 14:10:18 +0100

hplip (3.10.9-0ubuntu6) natty; urgency=low

  * debian/rules: Do not ship *.pyc files with the package.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 10 Dec 2010 11:10:18 +0100

hplip (3.10.9-0ubuntu5) natty; urgency=low

  * debian/control: Remove hard-coded python-version dependencies (LP: #688002)

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 10 Dec 2010 10:27:59 +0200

hplip (3.10.9-0ubuntu4) natty; urgency=low

  * debian/control: Modify Depends: and XS-Python-Versions: to build with,
    and depend on python 2.7 (LP: #688002).

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Fri, 10 Dec 2010 11:06:14 +0300

hplip (3.10.9-0ubuntu3) natty; urgency=low

  * Rebuild for python2.7 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:41:27 +0100

hplip (3.10.9-0ubuntu2) natty; urgency=low

  * debian/patches/add_missing_newline_for_error_log.dpatch: Added a missing
    newline at the end of the "PAGE:" message for the CUPS error_log.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  7 Dec 2010 10:59:18 +0100

hplip (3.10.9-0ubuntu1) natty; urgency=low

  * New upstream release
     o New protocol LEDM support for scanning (Low End Data Model).
     o Added support for: HP Designjet 4500ps, 4500mfp, T1100ps 24/44in,
       T1120ps 24/44in, T770ps 24in, Deskjet 1000 J110, 2000 J210, 3000
       J310, 3050 J610, Envy 100 D410, Officejet 6500 E710n-z, 7500 E910,
       pro 8500 A910, Photosmart eStn C510, Plus B210, Prem C310, Prem
       C410.
  * debian/patches/85_rebuild_python_ui.dpatch: Regenerated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  7 Dec 2010 09:55:18 +0100

hplip (3.10.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Try libhpmud.so.0 when libhpmud.so is not found.
    Closes: #600670

 -- Evgeni Golov <evgeni@debian.org>  Wed, 20 Oct 2010 17:57:23 +0200

hplip (3.10.6-1ubuntu11) natty; urgency=low

  * debian/local/make-duplex-page-sizes-default.sh, debian/rules: Renamed
    paper sizes so that the duplex paper sizes (the ones with the tightest
    unprintable margins) get the standard ones and the former standard sizes
    get optional "Small Margins" sizes. This makes it possible to print
    duplex from current desktop applications like OpenOffice.org or GNOME
    applications (LP: #487695).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Nov 2010 10:50:03 +0100

hplip (3.10.6-1ubuntu10) maverick; urgency=low

  * debian/local/pyppd/pyppd/: Updated to pyppd 0.4.9, to suppress runtime
    error tracebacks by putting a "try: ... except ...: pass" construct around
    the main function call. This avoids Apport pop-ups when the execution of the
    self-extracting compressed PPD file archives gets stopped by the calling
    process (LP: #618017).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 22 Sep 2010 13:23:03 +0200

hplip (3.10.6-1ubuntu9) maverick; urgency=low

  * debian/local/pyppd/pyppd/ppd.py, debian/local/pyppd/pyppd/pyppd-ppdfile.in:
    Let the compressed PPD archives not contain duplicate PPD URIs, even if the
    lines reference the same PPD. Most printer setup tools cannot cope with
    duplicate PPD URIs.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 16 Sep 2010 00:28:03 +0200

hplip (3.10.6-1ubuntu8) maverick; urgency=low

  * debian/patches/add-lidil-two-cartridge-modes.dpatch: For the Lidil printers
    enable two-cartridge modes (black and color cartridge) in the hpcups driver
    and assign the choices of the "Printout Mode" option to two-cartridge
    moddes in the hpijs driver (LP: #235399).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 14 Sep 2010 16:15:00 +0200

hplip (3.10.6-1ubuntu7) maverick; urgency=low

  * debian/control: libsane-hpaio actually works without hplip, it only needs
    a few selected files from hplip. What was still missing was
    /etc/hp/hplip.conf. So moved over /etc/hp/hplip.conf to libsane-hpaio,
    made libsane-hpaio only recommending hplip and hplip depending on
    libsane-hpaio again, as hplip also does not work without /etc/hp/hplip.conf.
    This configuration allows minumum setups for HP MF device support without
    hplip, only using one of hpijs and hpcups for the printer and libsane-hpaio
    for the scanner (Closes: #596467).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Sep 2010 09:09:00 +0200

hplip (3.10.6-1ubuntu6) maverick; urgency=low

  * debian/control: Made libsane-hpaio depend on hplip and not vice versa
    (Closes: #596467). Let hplip recommend libsane-hpaio to not break Ubuntu
    standard installation.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 12 Sep 2010 12:00:00 +0200

hplip (3.10.6-1ubuntu5) maverick; urgency=low

  * debian/rules: Let PPD files of hpijs-ppds use "foomatic-rip" as CUPS
    filter and not "foomatic-rip-hplip". This avoids an ugly link and
    problems when uninstalling hpijs-ppds.
  * debian/hpijs-ppds.links: Remove the ugly "foomatic-rip-hplip" link from
    hpijs-ppds.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 15 Aug 2010 00:56:03 +0200

hplip (3.10.6-1ubuntu4) maverick; urgency=low

  * debian/control: Make user aware of that the tools in hplip-gui are Qt-based
    (LP: #570842).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 14 Aug 2010 10:57:03 +0200

hplip (3.10.6-1ubuntu3) maverick; urgency=low

  * debian/rules: Running PPD compressor inplace did not work on the build
    servers due to the .diff.gz not able to convey the empty file
    pyppd/__init__.py. Re-added the file via "touch pyppd/__init__.py".

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Aug 2010 17:37:03 +0200

hplip (3.10.6-1ubuntu2) maverick; urgency=low

  * debian/control: Added build and runtime dependencies for the PPD archiving
    and extracting.
  * debian/rules: Let build process error out if PPD archiving errors out.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 11 Aug 2010 11:31:03 +0200

hplip (3.10.6-1ubuntu1) maverick; urgency=low

  * debian/local/pyppd/, debian/rules: Compressed all the physical PPD files
    for the PostScript printers of the hplip-data package into an archiv file
    reducing the disk space occupation by a factor of 10, freeing several tens
    of megabytes on the Ubuntu Desktop CDs (or on any live CD based on Debian
    or a derivative distribution). The archives are self-extracting and located
    in /usr/lib/cups/driver/, so that CUPS automatically extracts the PPD
    files. Thank you very much to Vitor Baptista who developed this great PPD
    compressor in the Google Summer of Code 2010 (LP: #493282).
  * debian/hplip.postinst: Updated auto updater for the PPDs of the already
    existing print queues to work with the new PPD archive.
  * debian/control: Changed versioned conflict of hpijs-ppds with
    foomatic-filters-ppds. Now it conflicts for versions bigger than
    20000101 (real foomatic-filters-ppds packages) and not with
    foomatic-filters-ppds with a small version number (transitional packages).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Aug 2010 23:16:18 +0200

hplip (3.10.6-1) unstable; urgency=low

  * New Upstream Release
  * NEW package libsane-hplip - headless scanner libs
  * udev/rules.d/40-hplip.rules -> libhpmud0 - headless printing
  * fixup debian/shlibs -> shlibs.libhpmud0

 -- Mark Purcell <msp@debian.org>  Sat, 24 Jul 2010 13:50:37 +1000

hplip (3.10.6-0ubuntu1) maverick; urgency=low

  * New upstream release
     o New protocol LEDM support for device status over Network and USB.
     o Do not use cups-config in hp-check (real fix for LP: #530327).
     o Added support for: HP Photosmart All-in-one Printer - b010,
       Photosmart Wireless All-in-one Printer - b110, Deskjet 1050 j410
       All-in-one Printer, LaserJet Professional m1136 Multifunction
       Printer, Deskjet 2050 j510 All-in-one Printer, Officejet 4500
       All-in-one Printer - k710, Officejet 4500 g510n-z All-in-one Printer
  * debian/patches/hpcheck-cupsconfig-warn.dpatch: Removed, fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 23 Jul 2010 16:15:18 +0200

hplip (3.10.5-4ubuntu1) maverick; urgency=low

  [ Till Kamppeter ]
  * debian/patches/black-stripes-on-pcl5c-printouts.dpatch: The PCL 5c
    driver (Color LaserJet) printed blank raster lines in black (LP: #561264).

  [ Mark Purcell ]
  * Split libsane-hplip - headless scanner libs

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 18 Jul 2010 12:15:18 +0200

hplip (3.10.5-4) unstable; urgency=high

  * Force Depends: python (>> 2.6), python (<< 2.7) (Closes: #587737)
    - Urgency high for RC bug
  * Ack python transition NMUs - Thanks Bernd

 -- Mark Purcell <msp@debian.org>  Sat, 03 Jul 2010 13:09:53 +1000

hplip (3.10.5-3ubuntu3) maverick; urgency=low

  * debian/control: Added alternative scanning frontends to the Recommends:
    of hplip-gui, to avoid installing a scanning frontend if there is already
    one and also to avoid installing GTK in KDE/Qt-only systems.
  * debian/control: Added python-notify to the Recommends: of hplip-gui.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  1 Jul 2010 09:47:18 +0200

hplip (3.10.5-3ubuntu2) maverick; urgency=low

  * debian/control: Drop python-notify to suggests, it's pulling half of
    the desktop into server images.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 01 Jul 2010 08:38:35 +0200

hplip (3.10.5-3ubuntu1) maverick; urgency=low

  * debian/copyright: Updated.
  * debian/control: Removed hpijs from Recommends: of hplip, as we already
    require hplip-cups via Depends:, hpijs is not needed any more for using
    HPLIP with all supported HP printers.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 30 Jun 2010 13:31:18 +0200

hplip (3.10.5-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove unnecessary module path option for dh_pysupport.
  * Call dh_installdeb after dh_pysupport. This really
    closes: #585627 

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 22 Jun 2010 21:37:37 +0200

hplip (3.10.5-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove the need of Python as pre-dependency of hplip.
  * Call dh_pysupport for arch:any packages (Closes: #585627)
  * Use /usr/share/python/python.mk:   
    Instead of hard-coding PYTHONPATH, use the proper path depending on the
    default Python version. 

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 20 Jun 2010 22:10:09 +0200

hplip (3.10.5-3) unstable; urgency=high

  * Switch Depends: hplip:source:Version (Closes: #586385) fixes binNMU
    - Urgency high for RC bug

 -- Mark Purcell <msp@debian.org>  Sat, 19 Jun 2010 11:30:26 +1000

hplip (3.10.5-2) unstable; urgency=low

  * Add Depends: python-notify
  * hplip-gui Add ${python:Depends}
  * Add +XS-Python-Version: >= 2.5 (Closes: #585627)
  * Add debhelper-but-no-misc-depends
  * Update Standards-Version: 3.8.4 - no changes necessary
  * *.lintian possible-gpl-code-linked-with-openssl
    - it uses none of its symbols
  * Drop obsolete hpijs[-ppds].NEWS - debian-news-entry-has-unknown-version
  * hplip.manpages: drop hp-hpdio.1 - empty-manual-page
  * Move more GUI components to hplip-gui
    - Replaces: hplip (<= 3.10.5-1ubuntu1)
    - hp-fab: -> hplip-gui.install -> hplip-gui.manpages
    - hp-toolbox.1 -> hplip-gui.manpages
    - usr/share/pixmaps -> hplip-gui.install
    - mv hplip.menu -> hplip-gui.menu - menu-command-not-in-package
    - Fixes "Icons in notifications missing" (Closes: #581785)
  * CUPS/gs segfaults addressed (Closes: #503468)
  * hplip Depends: Switch to hpcups as default driver (Closes: #579170)

 -- Mark Purcell <msp@debian.org>  Mon, 14 Jun 2010 19:32:20 +1000

hplip (3.10.5-1ubuntu1) maverick; urgency=low

  * Uploaded new upstream version also to Ubuntu.
  * debian/hplip-cups.postinst, debian/hpijs.postinst: Switch to hpcups as
    default driver (migrate HPIJS queues to hpcups). The problem of Ghostscript
    segfaulting when generating CUPS raster data is solved and the hpcups
    driver needs also more testing.
  * debian/control: Added conflict definition to the hplip package for smooth
    updating after moving /usr/bin/hp-chjeck back to hplip.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  3 Jun 2010 15:36:18 +0200

hplip (3.10.5-1) unstable; urgency=low

  * New upstream release
  * Move hp-check back to hplip package - missing cups-config -> warning
  * Added +hpcheck-cupsconfig-warn.dpatch
  * Refresh udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch
  * Remove hp-systray-segfault-on-quit.dpatch - included upstream

 -- Mark Purcell <msp@debian.org>  Fri, 21 May 2010 18:51:43 +1000

hplip (3.10.2-3) unstable; urgency=low

  * Fix "[hpijs-ppds] missing A3 media size for HP Color Inkjet cp1700"
    Till reworked c1700 dpatch (Closes: #503621)

 -- Mark Purcell <msp@debian.org>  Tue, 13 Apr 2010 06:45:34 +1000

hplip (3.10.2-2ubuntu2) lucid; urgency=low

  * debian/hplip-dbg.install, debian/hplip.install, debian/control: Moved
    hp-check into hplip-dbg, as it is a debugging tool. Added dependency
    on libcups2-dev to hplip-dbg, as hp-check needs cups-config
    (LP: #530327).
  * debian/hplip-cups.postinst, debian/hpijs.postinst,
    debian/hpijs-ppds.postinst: Updated also PPDs with version numbers like
    3.10.2rc1.9.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 12 Apr 2010 10:55:18 +0200

hplip (3.10.2-2ubuntu1) lucid; urgency=low

  * debian/control: As we use HPIJS as default printer driver flavor again,
    let the "hplip" package recommend the "hpijs" package and not the
    "hplip-cups" package.
  * debian/patches/remove-duplicate-entry-for-cp1700-in-drv-files.dpatch,
    debian/non-shipped-files.txt: Removed duplicate entry for the HP Color
    Inkjet Printer 1700, the wrong entry missed also the large (A3,
    SuperB, ...) paper sizes (LP: #290559).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 11 Apr 2010 09:55:18 +0200

hplip (3.10.2-2) unstable; urgency=low

  * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
    - CUPS requires user to be a member of lpadmin group. (Closes: #566692) 
  * Patch hp-check to check for group membership of lp & lpadmin
    - Fixes "start/stop button should fail with permission error dialog if
    not member of lpadmin" (Closes: #572247)
  * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
  * Fix "[hplip-cups] Page background is printed black" switch back to HPIJS as
    default driver (migrate hpcups queues to HPIJS) (Closes: #568377)
  * Fix "hpijs_readme.html mentioned in man page does not exist"
    - Removed reference (Closes: #561125)

 -- Mark Purcell <msp@debian.org>  Sun, 11 Apr 2010 14:26:01 +1000

hplip (3.10.2-1ubuntu5) lucid; urgency=low

  [ Till Kamppeter ]
  * debian/patches/make-commafy-correctly-work-with-python-2.dpatch:
    Installation of the proprietary plug-in did not work with some locales
    (LP: #525901).
  * debian/hplip-cups.postinst, debian/hpijs.postinst: Switch back to HPIJS as
    default driver (migrate hpcups queues to HPIJS) as there are new problems
    with hpcups (LP: #553573, LP: #539708, LP: #538031, LP: #405116).

  [ Mark Purcell ]
  * Fix "can't add printer (Printer queue setup failed)" added debian/hplip.NEWS
    - CUPS requires user to be a member of lpadmin group. (Closes: #566692)
  * Add Recommends: avahi-daemon "HP Color Laserjet CM1312nfi" (Closes: #564520)
  * Add bug/presubj to hplip-cups, hplip-gui & hpijs
  * Add hplip-cups.NEWS
  * bug/script provide status message before hp-check
  * Patch hp-check to check for group membership of lp & lpadmin

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  9 Apr 2010 21:26:18 +0200

hplip (3.10.2-1ubuntu4) lucid; urgency=low

  * debian/patches/hp-systray-segfault-on-quit.dpatch: Fixed a hp-systray to
    not segfaulting when quitting the program (LP: #546816).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 25 Mar 2010 13:51:18 +0100

hplip (3.10.2-1ubuntu3) lucid; urgency=low

  * debian/patches/simple-scan-as-default.dpatch: Make simple-scan the default
    scanning frontend (LP: #539015).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 24 Mar 2010 09:13:18 +0100

hplip (3.10.2-1ubuntu2) lucid; urgency=low

  * debian/control: Added lsb-release to the build dependencies, as we use
    lsb_release to determine whether we build on Ubuntu, to do Ubuntu-specific
    steps.
  * debian/rules, debian/hplip.install: Install hp-plugin-ubuntu directly
    into debian/hplip/, as we cannot use debian/hplip.install for this Ubuntu-
    specific file.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 23 Mar 2010 13:11:18 +0100

hplip (3.10.2-1ubuntu1) lucid; urgency=low

  * debian/hplip.install: let /usr/bin/hp-plugin-ubuntu get installed.
  * debian/patches/hp-mkuri-take-into-account-already-installed-plugin-also-for-exit-value.dpatch:
    The hp-mkuri utility did not take into account whether the proprietary
    plugin is already installed when returning its exit value.
  * debian/patches/ubuntu-hp-mkuri-send-dbus-signal-to-update-notifier.dpatch,
    debian/patches/ubuntu-hp-mkuri-notification-text.dpatch: Replaced the
    Ubuntu-specific patch for hp-mkuri, as we do not need to send a D-Bus
    message any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 16 Mar 2010 18:33:18 +0100

hplip (3.10.2-1) unstable; urgency=low

  * New Upstream Release
  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch
    - Fixes "/lib/udev/rules.d/56-hpmud_support.rules: udev warnings:
    SYSFS{}= will be removed in a future udev version..." (Closes: #559289)

 -- Mark Purcell <msp@debian.org>  Tue, 02 Mar 2010 13:32:59 +1100

hplip (3.10.2-0ubuntu1) lucid; urgency=low

  * New upstream release
     o Final 3.10.2 release
     o Removed device IDs from the PostScript PPDs again
     o Support for *.types and *.convs files in /usr/share/cups/mime/
  * debian/hplip.install: "make install" puts *.types and *.convs files into
    /usr/share/cups/mime/ now.
  * debian/hpijs.postinst: Corrected regexps for the PPD NickName so that this
    package does not migrate existing hpcups-based fax queues to HPIJS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 26 Feb 2010 14:33:18 +0100

hplip (3.10.2~rc1-0ubuntu3) lucid; urgency=low

  * debian/hplip.preinst: when removing old udev rules, handle files that
    are marked as obsolete when checking md5sums.

 -- Kees Cook <kees@ubuntu.com>  Tue, 16 Feb 2010 16:14:50 -0800

hplip (3.10.2~rc1-0ubuntu2) lucid; urgency=low

  * debian/rules: Copy all fax PPDs, there are "Fax3" PPDs now and there will
    come more in the future.
  * debian/hplip.install: Install also the new pstotiff filter (for fax) and
    the corresponding *.types and *.convs files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 12 Feb 2010 19:35:18 +0100

hplip (3.10.2~rc1-0ubuntu1) lucid; urgency=low

  * New upstream pre-release
     o The hpcups driver information file (hpcups.drv) is updated for the
       devices listed below to align with the product specifications.
       Capabilities like print modes, paper sizes, trays, mechanical offsets,
       margins, overspray and UIConstraints are consistent with the product
       specifications. Affected printers: HP Photosmart Premium Fax All-in-One
       C309a, C309c, Photosmart Premium All-in-One C309g, C309h, Photosmart
       C53xx, C63xx, D7560, B85xx, Officejet 6000 Printer E609n, E609a,
       Officejet 6500 All-in-One Printer E709a, E709c, E709n, E709q.
     o Added support for: HP Officejet 4500 All-in-one Printer g510a, g510b,
       g510g, g510h
     o Added fax support for HP LaserJet m1319f
     o Added 1284DeviceID for duplicate PostScript PPD's
  * debian/patches/85_rebuild_python_ui.dpatch: Regenerated for new upstream
    version.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 12 Feb 2010 17:33:18 +0100

hplip (3.9.12-2ubuntu4) lucid; urgency=low

  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch,
    debian/patches/udev-rules-use-attrs-not-sysfs-and-hp-mkuri-call-fix.dpatch:
    56-hpmud_support.rules id not call "hp-mkuri" any more with curent udev.
    Added fix to the existing patch for 56-hpmud_support.rules and renamed
    the patch.
  * debian/local/scripts/hp-plugin-ubuntu, debian/rules: Added script for
    downloading and installing HP's proprietary plugin on Ubuntu systems,
    taking into account that many systems do not have python-qt installed
    and some do not have X. This script is supposed to get called by
    update-notifier when triggered by udev on a connection of a printer
    which needs the plugin. This script will only be installed when the package
    gets built on Ubuntu.
  * debian/patches/ubuntu-hp-mkuri-send-dbus-signal-to-update-notifier.dpatch:
    Let hp-mkuri not simply generate a notification message when HP's
    proprietary plugin is needed for the newly connected printer but also
    send a D-Bus message to update-notifier to execute the installation
    of the plugin.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 11 Feb 2009 00:06:18 +0100

hplip (3.9.12-2ubuntu3) lucid; urgency=low

  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch: Convert
    remaining $sysfs string, too

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 04 Jan 2010 21:05:46 -0500

hplip (3.9.12-2ubuntu2) lucid; urgency=low

  * debian/patches/udev-rules-use-attrs-not-sysfs.dpatch: Don't use
    deprecated syntax (LP: #491346)

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 01 Jan 2010 16:23:37 -0500

hplip (3.9.12-2ubuntu1) lucid; urgency=low

  * Merged changes from Debian.
  * debian/control: hpcups (package hplip-cups) works without the hplip package 
    as well (even 4-edge borderless on arbitrary paper sizes on HP inkjets),
    moved the dependency on hplip to Suggests.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 29 Dec 2009 10:21:18 +0100

hplip (3.9.12-2) unstable; urgency=low

  * NEW package libhpmud0 - splits hard dependency between hpijs & hplip 
    - Fix "hpijs linked against libhpmud.so.0 in hplip package - brings
    large (14Mb) depends" (Closes: #454117)
    - Fix "automatically got a systray app which I don't need" (Closes: #484801)
    - Fix "depends (via hplip) on cups, to no purpose" (Closes: #561134)
  * Soften bug/presubj. Fixes "requiring authentication" (Closes: #494420)
  * dh_desktop-is-deprecated - removed
  * dh_python obsolete as dh_pysupport exists
  * Add debian/README.source - fixes patch-system-but-no-source-readme
    - Upgrade to Standards-Version: 3.8.3 

 -- Mark Purcell <msp@debian.org>  Mon, 28 Dec 2009 16:36:32 +1100

hplip (3.9.12-1) unstable; urgency=low

  * New upstream release 
  * remove unrecognized options: --enable-debug, --disable-foomatic-xml-install
  * prnt/hpijs/dj9xxvip.cpp fixed upstream for DVD/CD
    - obsoletes debian/patches/set-media-type.dpatch

 -- Mark Purcell <msp@debian.org>  Sun, 27 Dec 2009 22:22:16 +1100

hplip (3.9.10-4) unstable; urgency=low

  * KBSD patch from KiBi (Closes: #560796)

 -- Mark Purcell <msp@debian.org>  Mon, 14 Dec 2009 20:08:44 +1100

hplip (3.9.10-3ubuntu4) lucid; urgency=low

  * debian/control: Add "fdupes" to the build dependencies. The utility is
    needed for the previous upload to work.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Dec 2009 09:55:18 +0100

hplip (3.9.10-3ubuntu3) lucid; urgency=low

  * debian/rules: Remove identical PPD files, they only waste space and
    cause duplicate entries in printer setup tools (LP: #493282).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 09 Dec 2009 16:45:18 +0100

hplip (3.9.10-3ubuntu2) lucid; urgency=low

  * Update PYTHONPATH for both Debian & Ubuntu configs 

 -- Mark Purcell <msp@debian.org>  Tue, 08 Dec 2009 07:57:13 +1100

hplip (3.9.10-3ubuntu1) lucid; urgency=low

  * Merged man page build fix into Ubuntu.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 06 Dec 2009 15:18:18 +0100

hplip (3.9.10-3) unstable; urgency=low

  * Set local PYTHONPATH & LD_LIBRARY_PATH during man page build
    - "hplip_3.9.10-2: FTBFS: missing man page" (Closes: #558489)

 -- Mark Purcell <msp@debian.org>  Sun, 06 Dec 2009 19:28:34 +1100

hplip (3.9.10-2ubuntu1) lucid; urgency=low

  * debian/patches/hplip-systray-longer-timeout-for-system-tray-start.dpatch:
    Let hp-systray wait for the system tray appearing on the user's desktop
    panel up to three minutes before giving up. This should finally stop
    hp-systray to give up even on the slowest systems (Closes: #517365,
    LP: 335662).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 29 Nov 2009 21:44:18 +0100

hplip (3.9.10-2) unstable; urgency=low

  * "New upstream version 3.9.10 available" (Closes: #554714)
  * Fix "hp-toolbox crash with "ImportError: No module named qt""
    - relevant utils to hplip-gui (Closes: #525556,#525786,#520789,#484043)
  * hpli-gui - Depends: hplip (= ${hplip:binary:Version}) 
             - Replaces: hplip (<= 3.9.8-1) (Closes: #557524)
  * Versioned Suggests: Recommends: have no effect - removed
  * Match depends to exact binary version (= ${hplip:binary:Version})
  * Update hplip.preinst to remove obsolete udev rules (Closes: #556431,#552376)
  * hplip now recommends hplip-cups (Closes: #494421)
  * Depends: python-pexpect (Does not fix bug 555361) 
    - TODO remove embedded code
  * hplip.NEWS truncated to only include relevant messages (Closes: #432454) 
  * Added "[hplip-gui] dependency on ktsuss" (Closes: #523315)
  * hplip-data: s/Recommends:/Suggests:/ hplip (Closes: #387093)
  * Move hplip-gui manages to package {Replaces: hplip (<= 3.9.10-1)}

 -- Mark Purcell <msp@debian.org>  Sun, 29 Nov 2009 17:44:27 +1100

hplip (3.9.10-1) unstable; urgency=low

  * New Upstream Release
    - sync with ubuntu 

 -- Mark Purcell <msp@debian.org>  Sun, 22 Nov 2009 11:05:35 +1100

hplip (3.9.10-0ubuntu2) lucid; urgency=low

  * debian/control: Let the "hplip" package recommend "hplip-cups¨ again
    instead of "hpijs".

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Nov 2009 14:14:18 +0100

hplip (3.9.10-0ubuntu1) lucid; urgency=low

  * New upstream release
     o hpcups driver rewritten: Simpler code, no bi-directional access needed
       any more, especially not for 4-edge borderless printing, therefore
       faster, print modes, paper sizes, mechanical offsets, and margins are
       controlled by the PPD now, so easier debugging in cooperation with the
       user.
     o Added support for: HP Photosmart All-in-one Printer b109 Series,
       including Wireless, HP Photosmart Premium All-in-one Printer c309
       Series, including Fax, HP Photosmart a640 Printer Series, HP Deskjet
       f24xx All-in-one Printer Series, HP Deskjet f4500 All-in-one Printer
       Series
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/85_rebuild_python_ui.dpatch: Regenerated for new upstream
    version, especially let 85_rebuild_python_ui.dpatch make "pyuic4" being
    used.
  * debian/patches/hplip-polkit-1-migration.dpatch,
    debian/patches/hpcups-drv-page-sizes-order.dpatch: Removed, fixed upstream.
  * debian/control: Replaced old Qt3-based build dependency on "pyqt-tools"
    by the new Qt4-based "pyqt4-dev-tools".
  * debian/control: Made "hplip-gui" requiring "hplip-cups" as hp-setup can
    only create fax queues with the hpcups driver (LP: #459275).
  * debian/hplip-cups.postinst, debian/hpijs.postinst: Let queues using
    the HPIJS driver be automatically migrated to using the hpcups driver as
    the regressions of hpcups should be fixed now.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 10 Nov 2009 10:29:18 +0100

hplip (3.9.8-1ubuntu2) karmic; urgency=low

  * debian/patches/set-media-type.dpatch: Fix media type selection for CD/DVD
    printing with the HPIJS driver, as we still use HPIJS by default. Fixes
    LP: #380858 for the HPIJS driver.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  9 Oct 2009 18:39:38 +0200

hplip (3.9.8-1ubuntu1) karmic; urgency=low

  [ Till Kamppeter ]
  * merged in Debian fixes.

  [ Mark Purcell ]
  * hplip.NEWS truncated to only include relevant messages (Closes: #432454) 
  * Modify hplip-dbg Section: debug

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun,  4 Oct 2009 14:00:38 +0200

hplip (3.9.8-1) unstable; urgency=low

  * New Upstream Release 
    - sync with ubuntu
  * Fix "Please port to PolicyKit 1" (Closes: #549499) 
    - ubuntu patch to support policykit1
  * Fix "Missing /usr/lib/libhpmud.so symlink" (Closes: #548379)
    - libsane-hpaio.so.1 now links correctly at build time

 -- Mark Purcell <msp@debian.org>  Sun, 04 Oct 2009 09:29:02 +1100

hplip (3.9.8-0ubuntu7) karmic; urgency=low

  * debian/hplip-cups.postinst, debian/hpijs.postinst: Let the hpijs package
    migrate queues for the hpcups driver (hplip-cups package) to the HPIJS
    driver when updating PPDs of existing queues. The hplip-cups package
    does not migrate HPIJS queues any more now. We prefer HPIJS for now as
    hpcups has still problems, especially shifted prints on the back side
    of the sheet (LP: #426826), page size confusion with duplex printing
    (LP: #428588) and borderless printing.
  * debian/patches/kde4-kdesudo-support.dpatch: Try also
    /usr/lib/kde4/libexec/kdesu as sudo GUI (LP: #281880).
  * debian/hplip.install, debian/hplip-gui.install: Moved all hp-* utilities
    which do not work in text mode from hplip to hplip-gui (LP: #430539).
  * debian/control: Let hplip recommend hpijs instead of hplip-cups, as this
    is our preferred driver for now. Add to hplip-gui's dependencies
    kdebase-runtime as one of the alternatives to provide a sudo GUI utility
    (LP: #281880). Added versioned depends and conflicts on hplip to hp-gui,
    due to the moving of the GUI-only utilities to hplip-gui.
  * debian/patches/hp-setup-prompt-for-custom-PPD.dpatch: hp-setup did not
    prompt for a custom PPD if the description field of the default PPD is
    empty (LP: #432808).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  3 Sep 2009 19:22:38 +0200

hplip (3.9.8-0ubuntu6) karmic; urgency=low

  * debian/hpijs-ppds.postinst, debian/hplip-cups.postinst, 
    debian/hplip.postinst, debian/hpijs.postinst: Fixed "lpstat -r" check
    for the auto update of PPDs of existing queues. "lpstat -r" exits always
    with status 0, we must check the actual output. Call lpstat, lpadmin, and
    cupsctl with "-h /var/run/cups/cups.sock" to avoid querying remote
    servers set up in /etc/cups/client.conf, and asking for passwords. 
    Thanks to Martin-Éric Racine for tracking this down and the solution!
    See Debian bug #543468. Use signal names instead of numbers for trap.
    Quiesces a lintian bashism warning.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  3 Sep 2009 19:22:38 +0200

hplip (3.9.8-0ubuntu5) karmic; urgency=low

  * debian/control: Let HPLIP build-depend and depend on policykit-1.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  3 Sep 2009 19:22:38 +0200

hplip (3.9.8-0ubuntu4) karmic; urgency=low

  * debian/patches/hplip-polkit-1-migration.dpatch: Upstream patch to make
    HPLIP supporting Policy Kit 1.0 (LP: #419834).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  2 Sep 2009 17:13:38 +0200

hplip (3.9.8-0ubuntu3) karmic; urgency=low

  * debian/control: Added to all "cupsddk" dependencies an alternative
    depenmndency on CUPS 1.4.0 or newer, as CUPS DDK is now part of CUPS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 26 Aug 2009 11:38:38 +0200

hplip (3.9.8-0ubuntu2) karmic; urgency=low

  * debian/patches/hpcups-drv-page-sizes-order.dpatch: Upstream patch to improve
    the order of the page sizes in the user interface menus. Now the margin
    variants of the same size (for duplex and full bleed) stand together.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 12 Aug 2009 12:47:38 +0200

hplip (3.9.8-0ubuntu1) karmic; urgency=low

  * New upstream release
     o mDNS/Bonjour support
     o Support for udev variable ID_HPLIP (ACL setting via udev rule
       70-acl.rules)
     o Added support for: HP Deskjet d1620, d1630, d1650, d1658, d1660, d1663,
       d5545, d5560, d5563, d5568, Ink Advantage k109a, k209a, PhotoSmart
       c4740, c4750, c4780, c4783, c4785, c4788, c4793, c4795, c4798, c4799,
       Photosmart Plus All-in-one b209a, b209b, b209c, Officejet 7000 Wide
       Format Printer e809a, HP LaserJet p3011, p3015
  * debian/rules: Added "--enable-udev-acl-rules" to "./configure" command line
  * debian/hplip.install: Let 40-hplip.rules get installed in /lib/udev/rules.d,
    removed HAL .fdi file.
  * debian/hplip.udev: Removed, adopted upstream.
  * debian/patches/plugin-execution-fix.dpatch,
    debian/patches/hplip-device-id-report-fix.dpatch,
    debian/patches/hpinfo-query-without-cups-queue.dpatch: Removed, fixed
    upstream.
  * debian/rules: Removed the corrections on the Fax PPDs, they are fixed
    upstream now.
  * debian/hplip-cups.postinst, debian/hpijs.postinst,
    debian/hpijs-ppds.postinst: Let updates of the PPDs of existing queues
    also work with HPLIP versions where there is more than one letter appended
    to the version number.
  * debian/hplip-cups.postinst: Made automatic migration of Fax queues to
    hpcups working.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  6 Aug 2009 18:55:38 +0200

hplip (3.9.6b-1ubuntu4) karmic; urgency=low

  * debian/patches/plugin-execution-fix.dpatch: Added "--nox11" options to the
    command lines for running the installer for the proprietary plugin as
    otherwise hp-plugin does not succeed to run the installer when it is run
    out of another program.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 26 Jul 2009 01:24:49 +0200

hplip (3.9.6b-1ubuntu3) karmic; urgency=low

  * debian/patches/hplip-device-id-report-fix.dpatch: Fixed unreliable
    libusb-based device ID poll by using HPLIP's own device ID poll.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Jul 2009 20:56:49 +0200

hplip (3.9.6b-1ubuntu2) karmic; urgency=low

  * debian/patches/hplip-device-id-report-fix.dpatch: Fixed segfault when
    usblp kernel module was not loaded.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Jul 2009 16:00:49 +0200

hplip (3.9.6b-1ubuntu1) karmic; urgency=low

  * debian/patches/hplip-device-id-report-fix.dpatch: Patch from Tim Waugh
    to let the "hp" CUPS backend report the real device IDs of USB printers.
    This is a preparation for the udev-based Plug'n'Print in
    system-config-printer.
  * debian/control: Added build dependency on libudev-dev, needed for the
    device ID patch.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 23 Jul 2009 02:15:49 +0200

hplip (3.9.6b-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 15 Jul 2009 21:43:30 +1000

hplip (3.9.6b-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release
     o CD/DVD Tray use (LP: #380858) is fixed upstream now.
     o Fixes on unprintable margins and option constraints.
     o Minor fixes.
  * debian/patches/set-media-type-and-input-tray-for-cd-dvd.dpatch: Removed,
    fixed upstream.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Jul 2009 17:15:49 +0200

hplip (3.9.6-0ubuntu3) karmic; urgency=low

  * debian/patches/set-media-type-and-input-tray-for-cd-dvd.dpatch: Let
    the media type CD/DVD and the CD tray automatically get selected if the
    user chooses a CD/DVD size as paper size (LP: #380858).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 22 Jun 2009 18:32:49 +0200

hplip (3.9.6-0ubuntu2) karmic; urgency=low

  * debian/hplip.udev: Added 'ENV{ID_HPLIP}="1"' to all device rules, so that
    the /lib/udev//rules.d/70-acl.rules can react to the HPLIP-supported devices
    to open them up for accessing the non-printing functions by normal users.

  * debian/hplip.install: Do not install an UDEV rules file in /etc, as we
    can put package-supplied rules into /lib.

  * debian/local/scripts/create_hal_global_fdi_from_hpmud_rules.sh: Updated
    HAL rules to use "usb_device" instead of "usb".

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 19 Jun 2009 14:56:49 +0200

hplip (3.9.6-0ubuntu1) karmic; urgency=low

  * New upstream release
     o The new native CUPS driver (HPCUPS) is now the default printer driver. 
       We now have PPDs with exact printable regions for normal, borderless
       and duplex paper sizes.
     o A new utility 'hp-wificonfig' allows to configure select wifi-capable
       printers on a wireless network.
     o Added support for: HP Deskjet d2660, d2645, d2663, d2666, d2668, d2680,
       f4440, f4435, f4450, f4470, f4472, f4473, f4480, f4483, f4488, f4492,
       LaserJet p3011, p3015, m4349 MFP, m9059 MFP, Photosmart c4640, c4650,
       c4680, c4610, c4635, c4670, c4673, c4680, c4683, c4688, Color LaserJet
       cp5225, cp5225n, cp5225dn, cm6049 MFP, Officejet 6000, 6000 Wireless.
  * debian/rules: Updated ./configure options
  * debian/rules: Create empty files NEWS, README, AUTHORS, and ChangeLog
    before building and remove them on cleaning. They are needed by autoreconf.
  * debian/rules: Updated installation of Fax PPDs, for both the CUPS
    Raster driver and HPIJS.
  * debian/rules: Removed PPD manipulation code which did not work any more
    for longer time. Removed also some code which was commented out.
  * debian/rules, debian/hpijs-ppds.install, debian/hplip.install: Moved
    PPDs into /usr/share/ppd/hplip, moved PostScript PPDs into the hplip
    package.
  * debian/hplip-cups.install: Updated to the files which are actually present
    in this version.
  * debian/control: Updated to make hplip-cups instead of hpijs being the
    preferred printer driver.
  * debian/control: Added cups-client dependency to hplip package, to assure
    that the auto-update of the PPDs of existing print queues works.
  * debian/hplip.postinst, debian/hplip-cups.postinst, debian/hpijs.postinst,
    debian/hpijs-ppds.postinst: Updated auto-update facility for the PPD
    files of existing print queues.
  * debian/hplip-cups.postinst: Modified regexps for PPD auto-update so that
    HPIJS queues get migrated to hpcups queues.
  * debian/hpijs-ppds.links: Static PPDs use foomatic-rip-hplip as filter name,
    added link to make them work anyway.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 18 Jun 2009 20:59:49 +0200

hplip (3.9.4b-1ubuntu4) karmic; urgency=low

  * debian/control: Added ghostscript-cups dependency. (LP: #385606)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 11 Jun 2009 22:03:49 +0200

hplip (3.9.4b-1ubuntu3) karmic; urgency=low

  * debian/control: Moved dependencies of hpijs, hpijs-ppds, and hplip-cups 
    on cups, cups-client back to Depends:, for post-install this is
    sufficient.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  2 Jun 2009 09:16:49 +0200

hplip (3.9.4b-1ubuntu2) karmic; urgency=low

  * debian/control: Moved dependencies of hpijs, hpijs-ppds, and hplip-cups 
    on cups, cups-client, and perl-base to Pre-Depends:, as only this way it
    is assured that these packages are configured (especially CUPS daemon
    running) before this package gets configured (update of the PPDs of
    existing queues).

  * debian/hpijs.postinst: Made update of the PPD files of already existing
    CUPS queues also working with the crippled NickNames of the PPDs of HPLIP
    3.9.2.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  1 Jun 2009 21:29:49 +0200

hplip (3.9.4b-1ubuntu1) karmic; urgency=low

  * debian/patches/kde4-kdesudo-support.dpatch: Fixed typo (LP: #380311).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 26 May 2009 01:14:49 +0200

hplip (3.9.4b-1) unstable; urgency=low

  * New Upstream Release

 -- Mark Purcell <msp@debian.org>  Wed, 20 May 2009 21:13:15 +1000

hplip (3.9.4b-0ubuntu1) karmic; urgency=low

  * New upstream release
     o Added PolicyKit support - command line tools like hp-setup, hp-plugin,
       etc. are now run as a regular user, not root/superuser
     o Added GPG digital signature support to the the HPLIP plug-in. This
       feature validates that the plug-in is not corrupted and is authentic
       prior to installation.
     o Added CUPS Raster Driver (for testing only).
     o Added support for HP LaserJet p1009, Designjet 4020ps, 4520ps,
       4520mfp (except fax), HP Officejet 6500.
     o Bug fixes.
  * debian/rules: "./configure" options for new CUPS Raster driver.
  * debian/rules, debian/control, debian/hplip-cups.install,
    debian/hplip-cups.postinst, debian/hplip.install: Add binary package
    "hplip-cups" for the new CUPS Raster driver.
  * debian/rules, debian/control: Activate PolicyKit support.
  * debian/control: Added "cups" to Depends: of all binary packages
    containing or generating PPD files, as a running CUPS daemon is needed
    for the automatic update of existing print queues.
  * hplip.install: Added new files.
  * debian/patches/nicknames-device-ids.dpatch,
    debian/patches/hpdio_settings_dialog.dpatch: Removed, applied upstream.
  * debian/patches/delayed-hp-systray-start.dpatch,
    debian/patches/kde4-kdesudo-support.dpatch: Regenerated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 15 May 2009 22:12:49 +0200

hplip (3.9.2-3ubuntu4) jaunty; urgency=low

  * debian/patches/nicknames-device-ids.dpatch: Added patch from upstream
    for not shortening the *NickName: entries in the PPDs and not to replace
    " " by "_" in the device IDs in the PPDs (Upstream bugs: LP: #349539,
    LP: #349547).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 30 Mar 2009 00:56:49 -0700

hplip (3.9.2-3ubuntu3) jaunty; urgency=low

  * Rebuild of unchanged source package. The Python installed on the Ubuntu
    build server for i386 was broken and produced a broken cupsext.so file
    (LP: #349781, LP: #349467).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 30 Mar 2009 11:24:49 +0200

hplip (3.9.2-3ubuntu2) jaunty; urgency=low

  * debian/hpijs.postinst, debian/hpijs-ppds.postinst: Silenced non-fatal 
    error messages when post-install script updates PPDs and there are PPDs
    not belonging to a CUPS queue in /etc/cups/ppd/ (LP: #345866).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 26 Mar 2009 15:28:49 +0100

hplip (3.9.2-3ubuntu1) jaunty; urgency=low

  * debian/local/apport-hook.py, debian/rules, debian/hplip-data.install:
    Added apport hook (LP: #338442).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 19 Mar 2009 16:44:49 +0100

hplip (3.9.2-3) unstable; urgency=low

  * Do not remove .pyc/.pyo on upgrades

 -- Mark Purcell <msp@debian.org>  Tue, 17 Mar 2009 20:24:47 +1100

hplip (3.9.2-2) unstable; urgency=low

  * Use Christopher Martin's debian/hplip.udev - group lp
    - hplip.NEWS advises users to use group lp
       - group scanner is depreciated to match upstream
    - (Closes: #517297) "hplip udev rules never match" 
  * hpdio_settings_dialog.dpatch also fixes:
    - (Closes: #503723) hplip: python /usr/bin/hp-systray at 100% CPU
    - Fixes "[hplip] hp-systray at 100% CPU" (Closes: #519696)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Mar 2009 10:52:32 +1100

hplip (3.9.2-1ubuntu3) jaunty; urgency=low

  * Also add missing ${python:Depends} to hplip-data.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Mar 2009 13:30:57 +0000

hplip (3.9.2-1ubuntu2) jaunty; urgency=low

  * The python scripts are in hplip-data - call dh_pysupport -i, not
    dh_pysupport -a, so we don't end up shipping .pyc files in the
    package!

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 Mar 2009 12:50:52 +0000

hplip (3.9.2-1ubuntu1)) jaunty; urgency=low

  [ Till Kamppeter ]
  * debian/patches/hpdio_settings_dialog.dpatch: Bug fix patch from upstream,
    fixes busy loop when switching to another user and crash of settings
    dialog (see LP: #335116).

  [ Mark Purcell ]
  * debian/control: Standards version 3.8.0.

 -- Mark Purcell <msp@debian.org>  Sun, 15 Mar 2009 08:26:16 +1100

hplip (3.9.2-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o Fully Qt4-based
     o Added printing support for HP Color LasetJets 1600, 2600, and CP1215
     o Added support for HP OfficeJet Pro 8xxx series
     o Tons of bug fixes
  * debian/control, debian/rules: Qt3 is not needed any more
  * debian/control: hp-toolbox (package hplip-gui) needs python-qt4-dbus now.
  * debian/patches/pdf_printing_support.dpatch: Removed, applied upstream.
  * debian/patches/systray-applet-with-qt4.dpatch: Removed, not needed any
    more in Qt4-only environment.
  * debian/patches/delayed-hp-systray-start.dpatch: Delay start of HPLIP
    system tray applet, as it sometimes got started before the system tray was
    available.
  * debian/patches/kde4-kdesudo-support.dpatch,
    debian/patches/hp_photosmart_pro_b9100_support.dpatch,
    debian/patches/hpinfo-query-without-cups-queue.dpatch,
    debian/patches/85_rebuild_python_ui.dpatch: Regenerated.

 -- Mark Purcell <msp@debian.org>  Mon, 09 Mar 2009 12:52:14 +1100

hplip (2.8.12-3ubuntu2) jaunty; urgency=low

  * Rebuild with python (>= 2.6).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Feb 2009 23:35:05 +0100

hplip (2.8.12-3ubuntu1) jaunty; urgency=low

  [ Till Kamppeter ]
  * debian/patches/hpinfo-query-without-cups-queue.dpatch: Allow hp-info to
    query URIs for which there is no CUPS queue (LP: #329220).

  [ Mark Purcell ]
  * debian/patches/hp-check_debian.dpatch: Fixed hp-check for the SANE driver

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 18 Feb 2009 11:35:45 +0100

hplip (2.8.12-3) unstable; urgency=low

  * Fix "Breaks: udev (<< 136-1) which is only in Ubuntu; uninstallable
    on Debian" removed from debian/control (Closes: #515750)

 -- Mark Purcell <msp@debian.org>  Wed, 18 Feb 2009 07:34:36 +1100

hplip (2.8.12-2) unstable; urgency=low

  * Add Recommends for sane-utils/ xsane
  * Conflicts: hpoj (Closes: #508008)
  * debian/rules add get-orig-source target
    - Available if gnome-pkg-tools is installed
  * Fix hp-check to work recognise Debian install
    -  Fix "hp-check complains about missing SIP even when sip4 installed"
    (Closes: #483843)
    - Fix "suggests installation of already installed sane" (Closes: #494419)
    - Fix "hp-check complains for lacking hpaio support in sane but
    package configures it ok" (Closes: #494430)
    - Fix "Debian/ Ubuntu place hpaio in /etc/sane.d/dll.d/hplip, so lets
    check there too" (Closes: #512596)
  * Fix "dplip: please change default icon to
    /usr/share/pixmaps/HPmenu.xpm" patch from Fabian (Closes: #415048)

 -- Mark Purcell <msp@debian.org>  Mon, 16 Feb 2009 23:47:44 +1100

hplip (2.8.12-1ubuntu5) jaunty; urgency=low

  * debian/rules: Returned UDEV rules priority to 40.
  * debian/hplip.udev, debian/rules: Ship our own UDEV rules again, the
    upstream ones have many problems (LP: #319660, LP: #319661, LP: #319662,
    LP: #319665).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Jan 2009 15:20:45 +0100

hplip (2.8.12-1ubuntu4) jaunty; urgency=low

  * debian/hplip.udev, debian/rules: Do not ship our own UDEV rules but use
    the upstream ones. Use also the upsttream priority (55) for these rules.
  * debian/hpdio.py, debian/rules: Removed, the file is provided upstream
    now.
  * debian/patches/hp-levels-without-tty.dpatch: Removed, problem fixed
    upstream (Upstream bug LP: #299479).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 21 Jan 2009 15:20:45 +0100

hplip (2.8.12-1ubuntu3) jaunty; urgency=low

  * Restore udev rules that assign the lp group to /dev/bus/usb devices
    for certain printers.  LP: #318262.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 21 Jan 2009 12:59:43 +0000

hplip (2.8.12-1ubuntu2) jaunty; urgency=low

  * debian/rules, debian/hplip.install, debian/hplip.links: Automatization
    of file selection for generating symlinks to the executables and
    generating the man pages. This avoids that new tools and man pages get
    forgotten.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 10 Jan 2009 17:00:45 +0100

hplip (2.8.12-1ubuntu1) jaunty; urgency=low

  * Merge from Debian

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  9 Jan 2009 14:14:45 +0100

hplip (2.8.12-1) experimental; urgency=low

  * New upstream release
  * Distribution experimental while we await lenny
  * del debian/patches included upstream; 
    - manpage-whatis.dpatch, hpssd-correct-hp-sendfax-call.dpatch,
    61_noqt_message.dpatch, qt4-systray-with-qt3-utilities.dpatch

 -- Mark Purcell <msp@debian.org>  Sat, 03 Jan 2009 13:43:19 +1100

hplip (2.8.10-2) experimental; urgency=low

  * Sync with Ubuntu 

 -- Mark Purcell <msp@debian.org>  Sun, 07 Dec 2008 14:12:31 +1100

hplip (2.8.10-1ubuntu3) jaunty; urgency=low

  * Add Breaks to ensure the right version of udev gets used.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Jan 2009 11:51:57 +0000

hplip (2.8.10-1ubuntu2) jaunty; urgency=low

  * debian/rules: Don't install udev rules anymore; all these do is try and
    put things in the scanner group which has been removed upstream (for
    precisely this reason - printers aren't scanners!)
  * debian/hplip.preinst: Remove udev rules on upgrade

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 07 Jan 2009 14:27:59 +0000

hplip (2.8.10-1ubuntu1) jaunty; urgency=low

  * debian/hpijs.postinst, debian/hpijs-ppds.postinst: Do not try to update
    the PPDs of existing print queues if CUPS is not installed or not running
    (LP: #302532).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 26 Nov 2008 22:26:45 +0100

hplip (2.8.10-1) experimental; urgency=low

  * Fix "New upstream version 2.8.9" sync with Ubuntu
  (Closes: #501275)
  * Distribution experimental while we await lenny

 -- Mark Purcell <msp@debian.org>  Sun, 23 Nov 2008 11:08:26 +1100

hplip (2.8.10-0ubuntu4) jaunty; urgency=low

  * debian/control: Really fix the updating conflict of hplip and hplip-gui
    due to the move of /usr/share/pixmaps/HPmenu.xpm in HPLIP 2.8.6.b-2
    (Closes: #502055, LP: #299542).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 20 Nov 2008 12:30:02 +0100

hplip (2.8.10-0ubuntu3) jaunty; urgency=low

  * debian/hpijs.postinst, debian/hpijs-ppds.postinst: Make maintainer scripts
    silent if there are no PPDs of existing print queues (LP: #299889).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 19 Nov 2008 15:51:02 +0100

hplip (2.8.10-0ubuntu2) jaunty; urgency=low

  * debian/rules: Set Python module path for calls of HPLIP components
    during package build.
  * debian/patches/hp-levels-without-tty.dpatch: Make hp-levels working
    also without access to a TTY, for example to generate the man page with
    "--help-man" during package build.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 18 Nov 2008 12:09:02 +0100

hplip (2.8.10-0ubuntu1) jaunty; urgency=low

  * New upstream release
    - Closes: #501275, LP: #296399
  * debian/hpijs.postinst, debian/hpijs-ppds.postinst: Let the PPD files of the
    existing print queues get automatically updated after each installation of
    this package.
  * Refresh 85_rebuild_python_ui.dpatch,
    hp_photosmart_pro_b9100_support.dpatch, systray-applet-with-qt4.dpatch
  * bugs-in-generated-ppds.dpatch: Removed, applied upstream.
  * text-only-without-systray-applet-traceback.dpatch: Removed, problem solved
    upstream.
  * Add manpages at build using --help-man option
  * Add hp_photosmart_pro_b9100_support.dpatch description
  * Add manpage-whatis.dpatch
  * debian/rules: The fax PPDs are gzipped in the source tree now, unzip
    them before patching
  * debian/hpdio.py, debian/rules: Added file which was missing in the source
    tarball, closes LP: #299011
  * qt4-systray-with-qt3-utilities.dpatch: Suppress warning that Qt4 support
    is not completed and let systray applet not force the hp-toolbox into Qt4
    mode (LP: #299011).
  * debian/rules: Let package build with both Qt3 and Qt4 support, let Qt3
    be used by default ("ui-toolkit=qt3" in /etc/hp/hplip.conf), closes
    LP: #299011
  * hpssd-correct-hp-sendfax-call.dpatch: Correct call of hp-sendfax,
    specifying the print queue needs "--printer" now and not "--fax".

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 17 Nov 2008 11:25:02 +0100

hplip (2.8.7-1) experimental; urgency=low

  * Distribution experimental while lenny is unreleased
    - hplip/2.8.6.b is target for lenny
  * Merge my branches/lenny changes r184:212 into trunk
  * Update dpatch descriptions DP:
  * unused-override debian/{hpijs,hplip-data}.lintian

 -- Mark Purcell <msp@debian.org>  Thu, 16 Oct 2008 00:18:25 +1100

hplip (2.8.6.b-4) unstable; urgency=low

  * Fix "hp-scan: Aborts with a traceback when trying to scan."
    - Apply missing patches from -3 upload (Closes: #490640)

 -- Mark Purcell <msp@debian.org>  Thu, 15 Jan 2009 23:56:59 +1100

hplip (2.8.6.b-3) unstable; urgency=low

  * hplip Replaces hplip-gui (<< 2.8.6.b-2)
    - File conflict with hplip-gui (Closes: #502055)
  * Apply patch (faulty scanext.so) from dwelsh
    - hp-scan: Aborts with a traceback when trying to scan.
    hplip-2.8.6-hp_scan_link.dpatch (Closes: #490640)
  * Sync Ubuntu patches & changes:
      debian/patches/pdf_printing_support.dpatch
      debian/patches/pjl-duplex-binding.dpatch
      debian/patches/kde4-kdesudo-support.dpatch
      debian/patches/bugs-in-generated-ppds.dpatch
    - Exclude /usr/share/hplip/install.py
    - hplip-gui requires one of "gksu", "kdesu", and "kdesudo"
    - debian/rules: Add *cupsFilter lines for PDF input
  * unused-override debian/{hpijs,hplip-data}.lintian

 -- Mark Purcell <msp@debian.org>  Wed, 15 Oct 2008 23:44:41 +1100

hplip (2.8.6.b-2) unstable; urgency=low

  * Lintian cleanup:
  * hpijs-ppds Depends: hpijs - lintian:stronger-dependency-implies-weaker
  * Update 14_charsign_fixes.dpatch 
    - lintian:dpatch-missing-description
  * hplip.NEWS & hpijs-ppds.NEWS - lintian:syntax-error-in-debian-news-file
  * hplip-data Depends: python - perhaps should be called hplip-common?
    - lintian:python-script-but-no-python-dep 
  * -x colorcal4form_base.ui distros.dat executable-not-elf-or-script
  * Ship small .xpm with hplip not -gui package 
    - lintian:menu-icon-missing
  * hplip.lintian libhpip0 & libhpmud0 - not shared libs internal only
    - lintian:package-name-doesnt-match-sonames
  * Update debian/hplip-doc.doc-base 
    - lintian:doc-base-abstract-might-contain-extra-leading-whitespaces
  * hplip-doc.doc-base Section: System/Administration 
    - lintian:doc-base-unknown-section
  * Cleanup hplip.lintian - linitan:unused-override
  * Cleanup *.desktop - lintian:desktop-entry-contains-encoding-key
  * Fixup hplip/presubj lintian:executable-not-elf-or-script
  * Add URL to hp-makeuri-uri-only-output.dpatch Description ##DP

  * Other issues:
  * Enable GNU/kFreeBSD builds - thanks Petr Salinger
    - FTBFS on GNU/kFreeBSD (fixup of debian/rules needed) (Closes:
    #497625)
  * Fixup hpojs-ppds.postinst s/cupsys/cups/ - thanks Michael Wagner
    - postinst invokes cupsys instead of cups (Closes: #498156)
  * Really apply hp-makeuri-uri-only-output.dpatch - thanks Avi Rozen
    - hp-makeuri -c does not print cups uri (Closes: #500183)

 -- Mark Purcell <msp@debian.org>  Sun, 12 Oct 2008 22:45:42 +1100

hplip (2.8.7-0ubuntu6) intrepid; urgency=low

  * debian/patches/kde4-kdesudo-support.dpatch: KDE 4 does not use "kdesu"
    any more for running applications as root. It uses "kdesudo" now. Added
    support for this change (LP: #281880).

  * debian/control: hplip-gui requires now one of the three packages which
    provide the tools "gksu", "kdesu", and "kdesudo" (LP: #281880). Unneeded
    suggest for these packages in the hplip package removed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Oct 2008 11:48:02 +0200

hplip (2.8.7-0ubuntu5) intrepid; urgency=low

  * debian/patches/text-only-without-systray-applet-traceback.dpatch: Suppressed
    another error message which appears when working without python-qt[34]
    packages installed.
  * debian/non-shipped-files.txt: Exclude /usr/share/hplip/install.py from
    installation. In a from-package-installed HPLIP it does not make sense,

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  9 Oct 2008  9:37:02 +0200

hplip (2.8.7-0ubuntu4) intrepid; urgency=low

  * debian/patches/text-only-without-systray-applet-traceback.dpatch: Let
    hp-systray fail silently, without traceback if we are on a standard desktop
    installation without python-qt3 and hplip-gui (LP: #277005).
  * debian/patches/systray-applet-with-qt4.dpatch: Start hp-systray (system
    tray applet) with the "--qt4" option. Without the option it does not
    integrate in the tray but floats around on the desktop.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  8 Oct 2008 23:37:02 +0200

hplip (2.8.7-0ubuntu3) intrepid; urgency=low

  * debian/patches/bugs-in-generated-ppds.dpatch: Fixed several bugs in the
    CUPS-DDK-generated PPD files: No A3 paper size for many inkjets (LP:
    #258881), incorrect PPD entries for custom page size (LP: #264727), no
    resolution hints for applications in the PPD file (LP: #267669).
  * debian/patches/pjl-duplex-binding.dpatch: Fixed short-edge duplex for
    non-PostScript laser printers (LP: #244295),

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 23 Sep 2008 13:20:02 +0200

hplip (2.8.7-0ubuntu2) intrepid; urgency=low

  * debian/patches/pdf_printing_support.dpatch: Let an additional
    "*cupsFilter" line for PDF as input format be added to the PPD files,
    to enable PDF-based printing.
  * debian/rules: Add *cupsFilter lines for PDF input to all the ready-made
    PPD files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 13 Aug 2008 12:40:02 +0200

hplip (2.8.7-0ubuntu1) intrepid; urgency=low

  * New upstream release
     o HPLIP 2.8.7: Support for new printers and bug fixes.
     o New models supported: HP DeskJet f735 AIO, d730, PhotoSmart
       a532, a536, a538, c5500 AIO.
  * debian/patches/hp-makeuri-uri-only-output.dpatch: Removed, applied
    upstream.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch: Regenerated.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 10 Aug 2008 14:00:02 +0200

hplip (2.8.6.b-1) unstable; urgency=low

  [ Till Kamppeter ]
  * New upstream release
     o HPLIP 2.8.6b, used 2.8.6.b as upstream version number so that this
       is considered newer than 2.8.6 and older than 2.8.7 for all binary
       packages.
     o Removal of prematurely introduced code (exact problems
       caused by that were not specified by HPLIP developers at HP).
  * debian/patches/hp-makeuri-uri-only-output.dpatch: Fix URI-only output
    of hp-makeuri. This is required for system-config-printer to assign
    HPLIP CUPS backends to print queues (Fixes LP: #245199).
  * debian/rules, debian/hpijs.version, debian/autogen.sh: Drop extra version
    number from HPIJS, now HPIJS and HPLIP have always the same version
    number.

  [ Mark Purcell ]
  * Upstream version 2.8.6 not to be distributed (use 2.8.6b or 2.8.7
    instead) (Closes: #494659)
    - Discussed on debian-release
  * spurious version numbering for hpijs packages (Closes: #452574)

 -- Mark Purcell <msp@debian.org>  Mon, 01 Sep 2008 19:59:40 +1000

hplip (2.8.6.b-0ubuntu1) intrepid; urgency=low

  * New upstream release
     o HPLIP 2.8.6b, used 2.8.6.b as upstream version number so that this
       is considered newer than 2.8.6 and older than 2.8.7 for all binary
       packages.
     o Removal of prematurely introduced code (exact problems
       caused by that were not specifiedb HPLIP developers at HP).
  * debian/control: Put hplip-gui into Suggests: (Ubuntu requirement
    for GNOME/GTK-based desktop live CDs).
  * debian/patches/hp-makeuri-uri-only-output.dpatch: Fix URI-only output
    of hp-makeuri. This is required for system-config-printer to assign
    HPLIP CUPS backends to print queues (Fixes LP: #245199).
  * debian/rules, debian/hpijs.version, debian/autogen.sh: Drop extra version
    number from HPIJS, now HPIJS and HPLIP have always the same version
    number.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 24 Jul 2008 11:00:02 +0200

hplip (2.8.6-2) unstable; urgency=low

  * Suggests: kdebase-bin (<< 4:4.4.0-1)
    - unversioned dependency on kdebase-bin (Closes: #460482)
  * hplip-gui Depends: dbus-x11
    - hp-toolbox: Unable to connect to dbus session bus (Closes: #489677)
  * Replace [Build-Depends:,Depends:] s/cupsys/cups/
    - hplip depends on defunct cupsys (Closes: #487726)
  * Do not set MODE in 55-hpmud.rules
  * Re-promote hplip-gui to Recommends: See LP:248656
  * Demote openprinting-ppds to Suggests:
  * udev 024-hpmud.rules to set before 025-libgphoto2.rules
    - workaround hpmud clashes with wildcards See LP:248093
  * Install udev-dummy.rules to smooth upgrade from obsolete conffiles:
    45-hplip.rules & 55-hpmud.rules
  * Update hplip.NEWS to document the need to be a member of group 'scanner'
    on Debian (Closes: #479118)

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jul 2008 20:44:25 +1000

hplip (2.8.6-1ubuntu3) intrepid; urgency=low

  * Drop hplip -> hpijs-ppds Recommends altogether. Till says: "hpijs-ppds
    is not needed. It is a bunch of ready-made PPDs which are for us
    generated by the hpijs.drv file coming with the HPIJS package and CUPS
    DDK."

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 17:20:56 +0100

hplip (2.8.6-1ubuntu2) intrepid; urgency=low

  * Drop hplip-gui to Suggests. It uses Qt so isn't appropriate in the
    Ubuntu desktop, and we have system-config-printer anyway.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Jul 2008 17:09:34 +0100

hplip (2.8.6-1ubuntu1) intrepid; urgency=low

  * Merge with Debian unstable. No remaining Ubuntu changes.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 23 Jun 2008 16:37:02 +0200

hplip (2.8.6-1) unstable; urgency=low

  * New upstream release
  * /usr/share/bug: run hp-check & refer inital reports to upstream LP
  * Refresh: debian/patches/87_move_documentation.dpatch
           - hp_photosmart_pro_b9100_support.dpatch
  * Fixed upstream: systray_applet_really_in_tray.dpatch
  * Remove obsolete Depends: for gs and friends

 -- Mark Purcell <msp@debian.org>  Sun, 22 Jun 2008 18:50:45 +1000

hplip (2.8.5-2ubuntu1) intrepid; urgency=low

  [ Till Kamppeter ]
  * Sync new upstream release from Debian.
    WARNING: There were major changes applied to the hp-toolbox which
    introduced new bugs. Please test the toolbox and report any problem
    as soon as possible to the upstream bug tracker
    http://launchpad.net/hplip/ to get the problems fixed in the next
    upstream release (there will be one or two before Intrepid Feature
    Freeze).
  * debian/rules, debian/hplip.install: Install the hplipjs CUPS filter
    for PostScript printers.

  [ Mark Purcell ]
  * Stop hplip.post{rm,inst} playing with scanner group - libsane does
    and do not delete hplip user on purge:
    - postrm attempts to remove group scanner unconditionally (Closes:
    #476126)
    - unconditional use of deluser in postrm (Closes: #454084)
  * Build-Depends: python-qt3, python-qt4
    - HPLIP is still essentially a Qt3 application (Closes: #482095)
  * lintian fixes:
    - debian-rules-ignores-make-clean-error
    - stronger-dependency-implies-weaker hplip recommends -> suggests
    - dpatch-missing-description 61_noqt_message.dpatch
    - dpatch-missing-description 85_rebuild_python_ui.dpatch
    - dpatch-missing-description 87_move_documentation.dpatch
    - dpatch-missing-description systray_applet_really_in_tray.dpatch
    - dpatch-missing-description hp_photosmart_pro_b9100_support.dpatch
    - dpatch-missing-description systray_applet_really_in_tray.dpatch
    - syntax-error-in-debian-news-file  
      - NEWS not displayed (Closes: #479118)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon,  9 Jun 2008 10:37:02 +0200

hplip (2.8.5-1) unstable; urgency=low

  * New upstream release
  * Various lintian cleanups
  * Fixup debian/patches/87_move_documentation.dpatch
  * Remove: hp-sendfax_crash_on_cancel.dpatch - included upstream
  * Add Depends: python-qt3, python-qt4 - shouldn't be necessary ;-(
    - broken systray icon (Closes: #482095)
  * Remove obsolete hplip.README.Debian
    - README.Debian.gz is not accurate (Closes: #454086)
    - Scanners don't work because hplip service is no more available.
    (Closes: #482690)

 -- Mark Purcell <msp@debian.org>  Fri, 30 May 2008 19:01:07 +1000

hplip (2.8.4-1) unstable; urgency=low

  * Sync Debian with Ubuntu
    - new upstream version 2.8.4 (Closes: #462163)

 -- Mark Purcell <msp@debian.org>  Tue, 13 May 2008 20:30:37 +1000

hplip (2.8.4-0ubuntu1) intrepid; urgency=low

  * New upstream release
     o Closes: #462163
     o dbus communication support. All interprocess communication now occurs
       using the dbus message bus. python-dbus version 0.80 or greater is
       required.
     o Elimination of all persistent startup daemons. hpssd has been
       replaced with hp-systray that loads as a user startup item in the
       system tray in each user's desktop environment. When no HPLIP
       tools are running (e.g., hp-toolbox), and the user closes or
       disables hp-systray, there will be no HPLIP processes running
       whatsoever. Consequently, there is no longer an /etc/init.d/hplip
       startup script, and no processes need be run at system startup
       time.
     o PC send fax requires dbus support and a running hp-systray to
       operate. Only Linux distributions that have python-dbus 0.80 or
       greater support PC send fax as of this release.
     o Added support for the following new printers: HP LaserJet M1120 MFP,
       M1120n MFP, OfficeJet J6400, Photosmart C4340, Photosmart Pro B8800.
  * debian/hplip.links: Added /usr/bin/hp-systray link.
  * debian/hplip-gui.install: Added /etc/xdg/autostart/hplip-systray.desktop.
  * debian/patches/systray_applet_really_in_tray.dpatch: The systray applet
    needs to be started in QT4 mode so that it really gets into the tray.
  * debian/patches/hp_photosmart_pro_b9100_support.dpatch: Corrections
    on the models.dat entry for the HP PhotoSmart Pro B9100, especially
    for the correct color calibration mode.
  * debian/patches/hp-sendfax_crash_on_cancel.dpatch: hp-sendfax crashed
    when a fax job fails or gets canceled via the cancel button on the
    printer.
  * debian/patches/90_pseudo_id_fax_2.dpatch, 
    debian/patches/91_dj895_powerup.dpatch,
    debian/patches/hp_clj_3600_best_color_mode.dpatch,
    debian/patches/hp_oj_h470_alignment.dpatch,
    debian/patches/hp-setup_crash.dpatch: Removed, merged upstream.
  * debian/patches/85_rebuild_python_ui.dpatch: Regenerated.
  * debian/control: Added dependency on python-dbus 0.80 or newer and on
    libdbus-1-dev.
  * debian/control: Switched dependencies from python-qt3 to
    python-qt4.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  2 May 2008 10:37:02 +0200

hplip (2.8.2-1) unstable; urgency=low

  * Sync Debian release with Ubuntu
    - Non-root users need to be in group scanner! (Closes: #454339)
    - Uses update-rc.d remove while init script exists; upgrade fails
    (Closes: #456378)
    - should use plugdev rather than scanner group (Closes: #452454)
    - sane-utils: Scanner only accessible under root (Closes: #462563)
    - cupsys: HPLIP drivers listed twice (Closes: #463786)
    - hpijs-ppds' symlink in /usr/share/cups/model causes dups (Closes:
    #452455)
    - hp-setup fails to find PPD file (Closes: #457771)

 -- Mark Purcell <msp@debian.org>  Mon, 21 Apr 2008 19:58:16 +1000

hplip (2.8.2-0ubuntu8) hardy; urgency=low

  * debian/local/scripts/create_hal_global_fdi_from_hpmud_rules.sh: Corrected
    fdi script so that it actually works (LP: #195782).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 15 Apr 2008 13:28:52 +0200

hplip (2.8.2-0ubuntu7) hardy; urgency=low

  * debian/control: Let hplip-gui depend on python-reportlab instead
    of hplip recommending it. python-reportlab is used by the GUI of
    hp-sendfax to add cover pages. In command line mode of hp-sendfax
    cover pages are not supported (LP: #211249).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri,  4 Apr 2008 13:28:52 +0200

hplip (2.8.2-0ubuntu6) hardy; urgency=low

  * debian/control: Let hpijs depend on foomatic-filters (LP: #187403).
  * debian/control, debian/hplip.links: Added missing links to utilities
    hp-check and hp-scan. Added dependency on python-imaging for hp-scan.
  * debian/rules: Corrected filter name from "foomatic-rip-hplip" to
    "foomatic-rip" (LP: #211382).
  * debian/hplip.preinst: Remove obsolete /etc/default/hplip file before
    installation of the hplip binary package (LP: #211377).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  3 Apr 2008 22:28:52 +0200

hplip (2.8.2-0ubuntu5) hardy; urgency=low

  * debian/local/scripts/create_hal_global_fdi_from_hpmud_rules.sh,
    debian/rules, debian/hplip.install: Generate fdi script to make
    HP devices accessible for the desktop user currently logged in
    (LP: #195782).
  * debian/patches/hp_oj_h470_alignment.dpatch: Fixed head alignment for
    HP OfficeJet H470 (LP: #204157).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  1 Apr 2008 15:28:52 +0200

hplip (2.8.2-0ubuntu4) hardy; urgency=low

  * debian/hpijs-ppds.links: Removed. The link into /usr/share/cups/model
    leads to duplicate listing of the PPDs by CUPS 1.3.x.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sun, 23 Mar 2008 23:08:52 +0100

hplip (2.8.2-0ubuntu3) hardy; urgency=low

  * debian/patches/hp-setup_crash.dpatch: Fix crash of hp-setup (LP: #181242)
  * debian/patches/hp_clj_3600_best_color_mode.dpatch: Fix "Best" color mode of
    the HP LaserJet 35xx/36xx (LP: #200147).
  * debian/patches/91_dj895_powerup.dpatch: Fix problem that HP DeskJet 895C
    (and similar printers) did not get woken up from power saving mode when a
    job was sent (LP: #155965).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 13 Mar 2008 12:08:52 +0100

hplip (2.8.2-0ubuntu2) hardy; urgency=low

  [ Till Kamppeter ]
  * debian/rules: Install the new fax PPD file for color fax devices
    (currently only HP LaserJet M2727 series, Ubuntu LP: #59409).
  * debian/hplip.postinst: Fix PPD paths in /etc/hp/hplip.conf, so that
    hp-setup finds the fax PPDs (Ubuntu LP: #59409).
  * debian/hplip.postinst: Removed code to correct permissions of .hplip
    personal config in user's home directories (Ubuntu LP: #191299).

  [ Mark Purcell ]
  * Added NEWS/ README entry about the need to use 'scanner' group
    - Non-root users need to be in group scanner! (Closes: #454339)
    - should use plugdev rather than scanner group (Closes: #452454)
    - sane-utils: Scanner only accessible under root (Closes: #462563)
  * Force (-f) removal of init.d scripts
    - Uses update-rc.d remove while init script exists; upgrade fails
    (Closes: #456378)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 26 Feb 2008 10:08:52 +0100

hplip (2.8.2-0ubuntu1) hardy; urgency=low

  * New upstream release
     o PPDs generated on-the-fly by the CUPS DDK
     o Corrected IPP printer state messages
     o Fixed segmentation faults in HPIJS (Upstream bug LP: #182658)
     o Many bug fixes
     o Battery monitoring for OfficeJet H470, fax for LaserJet M2727
     o New models supported: HP LaserJet P1005, P1006, P1505, P1505n,
       Officejet H470, LaserJet P2014
  * debian/control: Added build dependency on CUPS DDK, standards version
    3.7.3, let also HPIJS depend on CUPS DDK.
  * debian/hpijs.install: Added PPD generator data file
    /usr/share/cups/drv/hpijs.drv
  * debian/patches/89_hplip-alloc.dpatch: Removed, fixed upstream
  * debian/rules: Removed Foomatic-XML-related stuff, use configure options
    to let PPDs get generated on-the-fly by the CUPS DDK, do not modify the
    fax PPD.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 12 Feb 2008 11:02:42 +0100

hplip (2.7.12-0ubuntu2) hardy; urgency=low

  * debian/patches/89_hplip-alloc.dpatch: The hpijs compression
    module did not allocate enough memory (Upstream bug LP: #182658).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 28 Jan 2008 11:34:49 +0000

hplip (2.7.12-0ubuntu1) hardy; urgency=low

  * Now upstream release
     o PJL support for HP LaserJets for in-band status check
     o New print modes for LJJetReady device class (HP Color LaserJet
       3600/3500/3550).
     o Improvement of plug-in download by hp-setup.
     o Bug fixes, especially for fax.
     o New models supported: HP LaserJet M2727 MFP (printing only, no
       scanning or fax), HP LaserJet M1005 MFP (printing only, no scanning),
       HP LaserJet 1000/1005, HP Color LaserJet 3600/3500/3550, HP LaserJet
       9040.	
  * debian/rules, debian/45-hplip.rules, debian/check_mfp_printer: Removed
    /etc/udev/rules.d/45-hplip.rules and check_mfp_printer, HP provides a
    solution from upstream now.
  * debian/55-hpmud.rules: Updated for compatibility with kernel 2.6.24 and 
    newer (Ubuntu bug LP: #181242).
  * debian/patches/87_move_documentation.dpatch: Updated patch for new HPLIP
    version.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 12 Jan 2008 14:34:49 +0000

hplip (2.7.10-5ubuntu1) hardy; urgency=low

  * Merge with Debian unstable. No remaining Ubuntu changes.
  * debian/rules: Added "--with-hpppddir=\$${prefix}/share/ppd/hpijs/HP" to
    "./configure" call so that "hp-setup" will find the fax PPD (Ubuntu bug
    LP: #59409).
  * debian/rules: Removed "--dpkg-shlibdeps-params=--ignore-missing-info"
    from dh_shlibdeps. Does not build under Ubuntu.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  6 Dec 2007 16:34:49 +0000

hplip (2.7.10-5) unstable; urgency=low

  * Check for old init scripts [ -x /etc/init.d/hplip ] and manually
  remove them before we call update-rc.d
    - preinst fails: update-rc.d: /etc/init.d/hplip exists (Closes: #453902)

 -- Mark Purcell <msp@debian.org>  Sun, 02 Dec 2007 23:07:48 +0100

hplip (2.7.10-4) unstable; urgency=low

  * Extremadura release ;-)

  * Provide debian/shlibs lintian: shlib-missing-in-control-file
    - FTBFS on amd64/sid (Closes: #453361)
  * Rewrite hplip.preinst to not call killall
    - predepend on psmisc (?) (Closes: #452408)
  * Switch hplip.{pre,post}inst to use update-rc.d & invoke-rc.d
    - maintainer-script-calls-init-script-directly (Closes: #452244)
  * Cleanup hplip.menu
    - please change default icon to /usr/share/pixmaps/HPmenu.xpm
    (Closes: #415048)
  * Remove Depends: sysv-rc

 -- Mark Purcell <msp@debian.org>  Sat, 01 Dec 2007 01:36:25 +0100

hplip (2.7.10-3) unstable; urgency=low

  * Update debian/watch - thks Chris Lamb
    - debian/watch file incorrect (Closes: #415926)
    - debian/watch fails to report upstream&#39;s version (Closes:
    #449610)
  * debian/rules dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

 -- Mark Purcell <msp@debian.org>  Thu, 22 Nov 2007 08:00:37 +0000

hplip (2.7.10-2) unstable; urgency=low

  * Unstable upload
  * debian/control
    - Homepage: http://hplip.sourceforge.net/
    - Vcs-Svn: svn://svn.debian.org/pkg-hpijs/hplip/trunk/
    - Vcs-Browser: http://svn.debian.org/wsvn/pkg-hpijs/hplip/?op=log

 -- Mark Purcell <msp@debian.org>  Wed, 21 Nov 2007 06:19:34 +0000

hplip (2.7.10-1) experimental; urgency=low

  * Shadow ubuntu release into debian experimental
    - new upstream release (Closes: #413225)
  * TODO inport into CVS/ SVN

 -- Mark Purcell <msp@debian.org>  Mon, 29 Oct 2007 22:14:02 +0000

hplip (2.7.10-0ubuntu1) hardy; urgency=low

  * New upstream release
     o hp-setup capable of loading non-free driver extensions from the
       internet (usually from OpenPrinting)
     o hp-sendfax problem of not being able add files fixed upstream
       (LP: #153152)
     o New models supported: HP Officejet Pro K8600, Photosmart C4380 Series,
       LaserJet 1018, 1020, 1022, 1022n, 1022nw, Deskjet 550C
  * No modification of the upstream source tarball needed any more.
  * debian/patches/70_no_fail_on_bad_locales.dpatch: Removed, does not apply
    to current upstream source code any more.
  * debian/patches/90_subprocess_replacement.dpatch: Removed, fixed upstream.
  * debian/control: Let hpijs depend on hplip (LP: #149511).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 27 Oct 2007 14:34:49 +0100

hplip (2.7.7.dfsg.1-0ubuntu5) gutsy; urgency=low

  * SECURITY UPDATE: arbitrary command execution via network
  * Add debian/patches/90_subprocess_replacement: use subprocess instead.
  * References
    https://launchpad.net/bugs/149121
    CVE-2007-5208

 -- Kees Cook <kees@ubuntu.com>  Thu, 11 Oct 2007 10:25:17 -0700

hplip (2.7.7.dfsg.1-0ubuntu4) gutsy; urgency=low

  * debian/55-hpmud.rules: Changed UDEV rules to set owner "lp",
    group "scanner", and permissions 0660 for the /dev/... files, so
    that non-privileged users (not in "lp" group, but in "scanner"
    group) can also access the HP printers. Simply using 0666
    permissions is a security problem (LP: #147369).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  4 Oct 2007 21:05:57 +0100

hplip (2.7.7.dfsg.1-0ubuntu3) gutsy; urgency=low

  * debian/rules, debian/55-hpmud.rules:
    Updated UDEV rules for HPLIP to the ones of HPLIP 2.7.9. The current
    rules do not work any more (LP: #147369)

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  3 Oct 2007 16:05:57 +0100

hplip (2.7.7.dfsg.1-0ubuntu2) gutsy; urgency=low

  * debian/control, debian/hplip.install, debian/hplip-gui.install,
    debian/rules:
    Moved menu entries for the GUI utilities into the new hplip-gui package.
    This package requires python-qt3 and so the menu entries can never appear
    if python-qt3 is not installed. Let the main package (hplip) recommend
    hplip-gui instead of python-qt3 now. Fixes: LP: #67892, LP: #86893, 
    LP: #134480, LP: #137168

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed,  5 Sep 2007 10:05:57 +0100

hplip (2.7.7.dfsg.1-0ubuntu1) gutsy; urgency=low

  * Modified upstream source tarball: Firmware files for HP LaserJet 1018
    and 1020 removed on HP's request
  * debian/control, debian/rules, debian/hplip-data.install, 
    debian/hplip-firmware.install: Removed hplip-firmware binary package.
  * debian/README.Source: Updated packaging documentation
  * debian/hpijs.README.Debian, debian/hpijs.NEWS, debian/hpijs-ppds.NEWS, 
    debian/hpijs.1, debian/control: linuxprinting.org -> openprinting.org

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 22 Aug 2007 20:41:57 +0100

hplip (2.7.7-0ubuntu4) gutsy; urgency=low

  * debian/hplip.install: Added missing line "usr/lib/lib*.so.*" (LP: #132670,
    LP: #132781)
  * debian/hplip.preinst: Remove init scripts of former 1.x HPLIP versions
  * debian/hplip.default: Removed, as we do not have permanently running
    daemons any more.
  * debian/hplip.rtupdate, debian/rules, debian/hplip.install: Removed update
    helper, as we do not have permanently running daemons any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 17 Aug 2007 15:40:55 +0100

hplip (2.7.7-0ubuntu3) gutsy; urgency=low

  * debian/control: Added "automake" and "libtool" to "Build-Depends"

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Aug 2007 15:40:55 +0100

hplip (2.7.7-0ubuntu2) gutsy; urgency=low

  * debian/control: Added "autoconf" to "Build-Depends"

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 13 Aug 2007 09:40:55 +0100

hplip (2.7.7-0ubuntu1) gutsy; urgency=low

  * New upstream release
    * Closes: LP: #103871, LP: #109871
    * HPLIP 2.7.7
      + Fixed issues with ppd_install and ppd_dir in the installer
      + Device-id and device-status queries can now be made on more than
        just the 7/1/2 interface.
      + Added pre_install_cmd to installer to fix cups issue in PCLinuxOS
        and Mandriva
      + Added darwin build support to makefile.
      + Removed the localOnly conditional in the sane hpaio backend. This
        was needed for saned usage.
      + Fixed defect (Print Settings for fax device is incorrect after
        switching to other tabs.)
      + Fixed defect (The default unload directory path is invalid if user
        is root.)
      + Fixed defect (Wrong release dates for Fedora distros are displayed
        in terminal.)
      + Added Mandriva 2007.1 to distros.dat
      + Added Ubuntu 7.10 to distros.dat
      + Fixed defect (Entering hp-setup -bnet command in terminal, some
        error information occurs when network is unreachable.)
      + Fixed defect (hp-testpage produces traceback)
      + Added some additional error checking to type 3 status (LaserJets)
      + Re-designed hp-fab database backend (no longer uses KirbyBase,
        instead uses pickle)
      + Converted hp-fab and hp-sendfax to handle non-ascii characters (Unicode)
      + Added a distros.dat flag to handle usermod command with/without -a
      + Added a temporary printer destination codepath for hp-scan
      + Enhanced hp-setup launch code for the text installer
      + Lots of code cleanup in the logging facility
      + Fixed the constraints system in hp-scan (can use list based and
        tuple based constraints)
      + Removed '-a' from usermod command in installer
      + Converted code to use unicode when dealing with UI strings and 
        user originated strings
      + Explicitly convert to utf-8 for file logging output
      + Added compile flag conditional compilation in hpmudext.c for parallel
        and network support
      + Fixed the run command in core_install so that exceptions wouldn't
        pass silently
      + Enhanced get_distro() in core_install so that it handles lsb_release
        output better
      + Fixed disable-pp-build and disable-net-build in hpmud.
      + Added localization files to tarball.
      + Various small bug fixes (esp. in the installer)
    * HPIJS 2.7.7
      + Added support for the following new printer(s).
          * HP PhotoSmart A620 Series (PSP470)
          * HP PhotoSmart A820 Series (PSP470)
          * HP PhotoSmart A520 Series (DJGenericVIP)
    * HPLIP 2.7.6
      + Major version number change denotes new functionality.
          * No more Start-up daemons
          * New Direct Device I/O (hpmud)
          * Controllable Permissions
          * Single 'Make' File
          * Support for Dynamic PPD file generation
          * New hp-scan command
      + Replaced hpiod with the new HP Multi-Point Transport Driver (hpmud).
        Hpmud is a shared library instead of a daemon.
      + Hpssd is started automatically when needed by HPLIP.
      + Removed HPIJS makefile. There is now only one makefile for HPLIP.
      + Added the following new HPLIP configure options.
        --enable-doc-build            enable documentation build (default=yes)
        --enable-hpijs-only-build     enable hpijs only build (default=no)
        --enable-foomatic-ppd-install enable foomatic ppd install, uses
                                      hpppddir default=no
        --enable-foomatic-xml-install enable foomatic xml install, uses
                                      foomaticdir default=yes
        --with-cupsbackenddir=DIR     set cups backend install directory,
                                      default=/usr/lib/cups/backend
        --with-icondir=DIR            set icon install directory,
                                      default=/usr/share/applications
        --with-hpppddir=DIR           set hp ppd install directory,
                                      default=datadir/ppd/HP
        --with-docdir=DIR             set hplip documentation directory,
                                      default=datadir/doc
        --with-foomaticdir=DIR        set foomatic db install directory,
                                      default=datadir/foomatic
      + Old HPIJS configure options --foomatic-install and --cups-install
        have been removed.
      + Changed the libsane-hpaio install directory from $(libdir) to
        $(libdir)/sane.
      + Fixed installer utilities (permission, trigger, etc) so they can be
        run manully from tarball root directory
      + Fixed defect (Some error occurs in terminal and the outputting file
        is empty when perform a scan job with the option "-mgray".)
      + Added large file size warning to hp-scan
      + Added -x/--compression to hp-scan
      + Added 1200, 2400, and 4800 dpi support to hp-scan
      + Fixed defect (Traceback - SUSE 10.1 - Changing Tabs To Print Settings)
      + Fixed defect (Using hp-clean on cmd line fails to clean)
      + Changed fax check so that low paper or low supplies don't prevent
        faxing [user reported]
      + Toolbox will display local docs if doc-build=yes or sf.net docs if
        doc-build=no
      + Added hp-unload file removal option
      + Changed hp-unload progress to a sep. dialog
      + Fixed an issue with hp-check with 'lp' group test
      + Added libtool and libgphoto2-devel packages for the libtool
        dependency for SUSE 10.2
      + Fixed defect (The files can not be rendered when perform a fax job in
        terminal on Mepis6.0 OS.)
      + Added new functionality into the web installer from the text
        installer a) New data functions b) pre- and post- build actions ('lp'
        group, udev trigger, etc) c) Some defensive code enhancements
      + Fixed defect (The scan job is failed if --printer is specified when
        use "hp-scan" command in non-interactive mode.)
      + Fixed defect (Mepis and Debian unsubscriptable object on Toolbox launch)
      + Fixed an issue with stopping the hpssd process in the installer
      + Added PIL as an optional dependency to the installer
      + Fixed a couple of text installer issues that were casuing a traceback
      + Fixed libtool detection
      + Fixed defect ( Toolbox Looses Communication with Printers after
        Functions->Unload Photo Card)
      + Fixed defect (Fax Address Book - fab.db - unable to open or read file)
      + Added --size=<page size name> parameter to hp-scan
      + Added ppd_dir data to debian, mepis, suse in distros.py
      + Fixed 2.7.x jetdirect scanimage issue reported by Suse.
      + Fixed defect (The installation is failed if packages are missing when
        install with command "./hplip-install" on Mandriva2007 32bit OS.)
      + Fixed defect (The Installer process can not setup printer after
        finishing installation on Ubuntu 7.04 OS.)
      + Added the symlink fix Dapper to the text installer
      + Fixed an issue with the hppsd process shutdown
      + Added libtool dependency to installer
      + Made all configure time python checks conditional on hpijs-only-build
        as requested by Suse.
      + Added USB devnode permission checks to hp-check
      + Enhanced USB I/O checks in hp-check
      + Added udev .rules file modification module, installer/permissions.py
        (called by the installer)
      + Fixed defect (The Installer process can not setup printer after
        finishing installation on Ubuntu 7.04 OS.)
      + Added 'ppd_dir' to text installer
      + Added "add user to lp group" to text installer
      + Added hpssd shutdown to text installer
      + Fixed a problem with the configure flags in the installer
      + Added a root user check to the text installer
      + Cleaned up the text formatting in the installer
      + Added some distro data convenience functions in the installer
      + Added a check for adept-updater on Ubuntu
      + Fixed the HPLIP detection function
      + Changed the launching of hp-setup so that the entered su/sudo
        password is used
      + Changed the CUPS restart so that it only occurs with CUPS 1.1.x
      + Added the logoff required step in the installer
      + Added configure option --with-docdir as requested by Suse.
      + Added CUPS version check to hp-check (requires cups-config)
      + Added '-p' param to hp-check (pre-check, use before install. Run
        hp-check w/o -p after install.)
      + Added USB I/O checks to hp-check
      + Fixed defect (The Unload Photo Card function is invalid) [fixed
        error in hpmudext read channel API]
      + Fixed defect (An error occurs in terminal when manually find a network
        printer with a numerical type hostname.)
      + Fixed defect (some error message displays in terminal when enter
        "hp-print" command if no device is installed.)
      + Fixed defect (Print command is failed when perform a print job if
        printers have characters "&", "*", "(", ")", "|", "<", ">", ","
        or "." in their names.)
      + Fixed defect which was an issue with displaying non-readable
        characters in the progress screens.
      + Fixed defect (An error occurs when execute "hp-align -bnet" command
        in terminal.)
      + Added CUPS 1.1 detection and setting of configure flags and paths
      + Fixed the enable_ppd flag and made it dependent on CUPS 1.1 detection
      + Fixed a problem in the text installer that caused it to exit if no
        dependencies were installed
      + Added a trigger utility so that USB devices will be detected after
        the .rules files updates occur without replugging (added only to text
        installer for now)
      + Fixed defect which was an issue in canceling the installation process
        in the progress screens.
      + Fixed defect (Bad usability is brought if the Auto Refresh function is
        enabled.)
      + Fixed defect (The auto refresh can be enabled by click the OK button
        on Settings window.)
      + Fixed defect which was an issue in the script that runs the install
        options of the GUI installer.
      + Changed location of all user files to ~/.hplip/ directory (fax files,
        hplip.conf, and fab data file)
      + Added sane-devel to installer dependencies
      + Made the ppd_install flag be per distro and version rather than just
        for distro due to Fedora 5/6
      + Removed LSB dependency info from each distro dataset
      + Fixed defect (The send fax job can not performed successfully over
        network)
      + Added printer list to toolbox status bar [partially fixes user request]
        (defect)
      + Fixed defect (Some error messages displayed in terminal when executing
        hp-sendfax command in terminal.)
      + Fixed defect (The hp-setup is invalid if disable GUI option during
        install the build.)
      + Added bootstrap --ppd to build.py and dist.py
      + Fixed defect (The check job can not be finished completely before
        install the build.)
      + Added udev 55-hpmud.rules to "make install". Users will have to be a 
        member of the "lp" group in order to have access USB/Parallel devices.
      + Fixed hp-makeuri and underlying API
      + Fixed defect (Toolbox cannot be launched if the build
        hplip-2.7.5.6-shadow is installed with PC Send Fax option disabled
        via GUI Installer.)
      + Added libsane check at configure time.
      + Fixed models.dat and models dat editor tool for hpmud support
      + Added HPLIP_BUILD to dat editor tool
      + Fixed defect (adding unsupported file type to fax causes traceback)
      + Improved build time support for missing Python extensions
      + Added MakeURI APIs to hpmudext
      + Removed hpiod and hplip start/stop script.
      + Fixed defect (An error occurs in terminal when perform a copy job with 
        Best Copy Quality in GUI mode.)
      + Fixed defect ([Photosmart 7550] no photo cart, clicking color cal 
        causes traceback)
      + Fixed defect (hpssd.py crashed with IOError in __init__() [Launchpad
        bug #103871])
      + Fixed defect (toolbox crashed with AttributeError in
        printButton_clicked() [Luanchpad bug #109871])
      + Preliminary version of hp-scan checked in (ver. 0.1 -lots of missing
        features)
      + Changed to hpssd auto start functionality to use port detection rather
        than .pid/.port files. Hpssd no longer supports dynamic port
        assignments. Its is recommended that only the IANA port as specified
        in hplip.conf be used (port 2207). Hpssd does not create any .pid or
        .port files in /var/run or /tmp.
      + Added a missing file 'warnings.tmpl' to the Makefile.am.
      + Fixed defect (toolbox crashed with IndexError in UpdatePrinterCombos()
        [launchpad])
      + Flated the postscript ppd directory foomatic-db/db/source/PPD/HP/.
      + Fixed defect (Some error messages displayed in terminal when executing
        hp-sendfax command in terminal.)
      + Changed build and dist scripts so that they work with new unified
        makefile and ppd/xml changes
      + Changed text (CLI) installer to work with new unified makefile and
        ppd/xml changes
      + Fixed defect (No prompt pops up if execute hp-unload in terminal when
        add the device Deskjet d1460 to PC which does not support Photo Unload
        function.)
      + Fixed defect (The prompt dialog does not pop up when adding a
        unsupported file type to the printer from toolbox.)
      + Fixed defect (A spelling mistake is found in Functions tab of Configure
        window.)
      + Fixed defect (Some controls are not fully displayed on Print Control
        table of toolbox.)
      + Added HP specific foomatic database to tar ball. This will allow
        foomatic db installs or PPD installs.
      + Removed code for screen that shows the optional path installation
        (defect).
      + Merged new hpssd autostart code
    * HPIJS 2.7.6
      + Removed ESC*p command from DJGenericVIP class for each raster send to
        fix PhotoSmart C4200 assert
      + Added support for the following new printer(s).
          * HP Photosmart C4200 series (DJGenericVIP)
          * HP Photosmart A320 series (DJGenericVIP)
          * HP Photosmart A440 series (DJGenericVIP)
          * HP Color LaserJet CM4730 MFP (LJColor)
          * HP Color LaserJet CP3505 (LJColor)
          * LaserJet P2010 (LJMono)
          * HP Photosmart C5200 series (DJGenericVIP)
          * HP 910 (DJ3320)
          * HP 915 (DJ3600)
    * HPLIP 1.7.4
      + Fixed defect (The tip of menu "Contents..." is incorrect.) [added F1
        accelerator]
      + Fixed defect (The corresponding operation could not work while 
        executing hp-sendfax with "--non-interactive", "--faxnum",
        "--recipient", "--group", "--logging" parameters in terminal.)
      + Fixed an issue with adding recipients in fax UI
      + Fixed defect (The array of the Comments/Notes can not be consistent
        with that in fax coverpage.) [check "Preformatted" in coverpage dialog
        to preserve formatting]
      + Fixed defect (hp-makecopies --quality parameter is invalid.)
      + Fixed defect (The printer information still displays on Toolbox when
        refresh the device status after delete the Device.)
      + Fixed a problem reading USB IEEE 1284 device-id on the Photosmart A420
        based products in hpiod.
      + Toolbox internal/built-in makecopies utility
      + Reworked the user settings code in the toolbox
      + Added PYTHONINCLUDEDIR configure option.
      + Removed hplip install code from "make install". Hplip install code is
        part of the tarball only.
      + Fixed defect (Fax Address with blank nickname and blank fax number can
        be added to the Fax Address Book.)
      + Fixed defect (Some improper messages display in terminal when add a
        device via Network to a PC that is disconnecting with Network.)
      + Fixed defect (The word "from" is missing in "Unload Photo Card"
        section on Functions tab on Toolbox.)
      + Added icons to action buttons in the toolbox
      + Fixed defect (The rendering files process hangs up when perform a fax
        job)
      + Fixed defect (Some unexpected message displayed in terminal when
        sending a fax job to a group)
      + Removed setup.py calls from Makefile.am. Automake now installs python
        extensions.
      + Toolbox internal/built-in unload photo card utility
      + Fixed an issue with align type 10 (and 11) that caused the wrong
        alignment values to be sent from the GUI alignment tool (hp-align was
        OK) [reported by user]
      + Fixed the issue with .hplip.conf owner of root when hp-setup is run
        1st [patch to Till]
      + Added some extra exception handling around device opens in
        scrolltoolview
      + Fixed defect (No any hint information to show the printer is stopped
        when enter hp-print command in terminal to launch a print job.)
      + Fixed defect (Toolbox can not display the print queue if switch to
        other tab and then go back to the print tab.)
      + Fixed defect (Another print job can not be sent to print queue
        successfully during printing.)
      + Fixed defect (Some unexpected information displays in terminal when
        perform a color carlibration job on Photosmart 2575 in GUI mode.)
      + Added order column and move up/down to hp-print
      + Toolbox internal/built-in send PC fax utility
    * HPIJS 2.7.4
      + Fixed a custom paper size bug that caused unintended scaling in
        certain cases in services.cpp
      + Added supply level low warning message in hpijs.cpp as suggested by
        Tim Waugh
      + Added support for the following new printer(s):
          * DeskJet D1400 Series (DJ3320)
          * DeskJet D2400 Series (DJ3600)
          * DeskJet D4200 Series (DJ4100)
          * DeskJet F2100 Series (DJ3320)
          * DeskJet F4100 Series (DJ3600)
          * CM8050MFP with Edgeline (PS)
          * CM8060MFP with Edgeline (PS)
  * Simplified the packaging making every change done by dpatches and not
    directly in the source code.
     o Dropped source code cosmetics in configure.in and Makefile.am
     o Dropped moving .py files into /usr/lib. These files and also the
       .pyc files generated from them are distribution-independent.
     o 85_rebuild_python_ui.dpatch: Moved changes for compiling .ui files
       to .py files into a dpatch
     o 87_move_documentation.dpatch: Moved changes for moving the
       documentation into a dpatch
     o debian/rules: Set documentation directory by the "./configure"
       command line.
  * Removed patches 80_laserjet1100_fix.dpatch,
    82_scrolltool_py_deskjet_d4100_claen_device_not_found.dpatch,
    84_align10form_py_deskjet_5440_head_align.dpatch, merged upstream.
  * 70_no_fail_on_bad_locales.dpatch: Rediff.
  * debian/rules: Updated command line options for ./configure, make
    debian/autogen.sh being called when Makefile.am and/or configure.in
    were patched.
  * debian/rules, debian/hplip-data.links: Do not put .py and .pyc files
    into /usr/lib/hplip any more. There are REALLY plattform-independent.
  * debian/control, debian/rules, debian/hplip-data.install,
    debian/hplip-firmware.install: Created new package for the firmware files
    for the HP LaserJet 1018 and 1020.
  * debian/hplip.preinst: Shut down the daemons of the old 1.x.x generation
    HPLIP and kill hpiod if the shut down did not work.
  * debian/*.desktop: Show the icons in the menus of Ubuntu/Xubuntu/Edubuntu,
    as we get a decent error dialog if PyQt is not installed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu,  9 Aug 2007 18:30:55 +0100

hplip (1.7.3-0ubuntu4) gutsy; urgency=low

  * Restore Scott's change from 0.9.11-2ubuntu3 in Edgy, apparently lost
    along the way:
    - Remove stop links from rc0 and rc6.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 Jul 2007 09:03:13 +0100

hplip (1.7.3-0ubuntu3) gutsy; urgency=low

  * debian/control: Remove version numbers from libsnmp-dev build
    dependency, so that package builds with arbitrary versions of
    libsnmp.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 31 May 2007 15:30:55 +0100

hplip (1.7.3-0ubuntu2) gutsy; urgency=low

  * debian/control: Make the dependencies of the "hpijs" package also be
    satisfied by "ghostscript" instead of only "gs-...", due to "gs-gpl"
    having been renamed to "ghostscript" after the ESP/GPL Ghostscript
    merger.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 24 May 2007 11:30:55 +0100

hplip (1.7.3-0ubuntu1) feisty; urgency=low

  * New upstream release (closes: LP#82546, LP#83936, LP#85805, LP#87695,
    LP#92237, LP#94013, LP#94015, LP#94823, LP#95489)
    * HPLIP 1.7.3
      + Added the <nopjl /> tag to hpijs-generator.in. This will remove
        the extra foomatic PJL options from most HP LaserJet PPD
        files. The extra foomatic PJL options caused some HPIJS PCL data
        issues. This fixes a "PCL XL error" on LJ1010/1012 that can
        occur on different PCs (closes: LP#92237).
      + Fixed defect (An error occurs when send a fax coverpage with "&"
        or "<" character in Regarding or Optional Message field.)
      + Removed banner pages from fax print settings
      + Altered hpfax: device discovery output to match hp: scheme (CUPS
        1.2 only)
      + Removed the wait cursor during the password entry screen
        [reported by Johannes]
      + Added error messages and suppressed content in toolbox when
        device is not found or unsupported
      + A new configure option was added --enable-cups11-build, this
        option controls the hp/hpfax device discovery message when no
        devices are found. If needed, this option provides backward
        compatibility with CUPS 1.1.x applications.
        With --enable-cups11-build set the "no_device_found" message is
        displayed during device discovery by the "hp" backend.
        With --disable-cups11-build (default) set the backend prints a
        scheme based on the following conditions.
            Condition 1 - no daemons
              output nothing stdout return exit 1
            Condition 2 - daemons running, no HP devices, output scheme
              direct hp "Unknown" "HP Printer (HPLIP)" return exit 0
            Condition 3 - daemons running, HP printer found, output URI
              direct hp:/... "hp model" "HP model HPLIP" "deviceid"
            return exit 0
        (closes: LP#87695)
      + Changed the way that hp-setup was being launched from the
        toolbox, it was hanging on Edgy
      + Added Tools > Printer Information
      + Added a check for 'lpr' for Debian installation (to force
        install of cupsys-bsd)
      + Moved the password prompt in the text/CLI installer past the
        distro confirm/select prompts to handle a problem with Mepis
      + Made a change to determine if networking is working during
        installation.
      + Added a private copy of sanei_init_debug to libsane-hpaio. This
        will remove the libsane.so dependency which was a problem for
        WINE.
      + Fixed defect (PPD file "foomatic:HP-PSC_2400-hpijs.ppd" can not
        be found when set up PSC 2400 in interactive mode, closes
        LP#95489)
      + Fixed a page update defect in the toolbox (when switching
        devices, update page correctly)
      + Re-wrote hpaioAdvanceDocument function in libsane-hpaio. This
        change only effects SCL scanners with an ADF (ie: inkjet
        all-in-ones). This fixes a double-feed ADF issue which occurred
        when scanning a single page.
      + Fixed defect (An unexpected error occurs when perform color
        calibration job in GUI mode on photosmart c7180.)
      + Some toolbox UI improvements
      + Converted hp-print to new UI
      + Fixed some defects in scrollprintview and devmgr
      + Added network detection to text/CLI installer
      + Toolbox internal/built-in print utility
      + Added password entry and validation to text/CLI installer
      + Fixed an issue when the ~/.hplip.conf file is not present on 1st
        run, the hp-setup run as root owns the file and doesn't allow the
        regular user to write to it.
      + Fixed defect (hp-setup -i can not setup a printer Photosmart
        c3100 which has multiple possible PPD files.)
      + Some visual updates to the toolbox
      + Fixed defect (DJ 4x0 power/battery settings not staying set)
      + Added a confirmation dialog to device remove in the toolbox
      + Linked quality and printoutmode in print settings
      + Switched [x] Enable style controls to (*) On ( ) Off style in
        print settings
      + Supply icons auto generate (removed supply PNG icons from
        data/images)
      + Fixed an issue with r_values in supplies processing
      + Added type 12 head support for PS33xx, PSC61xx, etc.
      + Fixed defect (The Print Settings of Fax device are invalid)
      + Fixed issue where L7xxx color cal wasn't showing the load paper UI
      + Fixed defect (The command "hp-setup -i" can not work normally)
      + Fixed defect (The setup process will hang up when modify the fax
        name to a name which contains more than 104 characters on setup
        UI.)
      + Changed magic.py to better handle text/plain vs. data detection
      + Added last used working directory support to hp-sendfax,
        hp-print, and hp-unload
    * HPLIP 1.7.2 (Not published as Ubuntu or Debian package)
      + Fixed defect (The fax file is printed out by the sender when use
        printer name with "-p" parameter to perform a fax job.)
      + Added CUPS fax queues to Print Settings and Print Control tabs
      + Added PQ Diag type 2, align type 12, color cal type 6, and LF
        cal type 2 for Officejet Pro L7xxx
      + Added agent types 20 and 21 for Officejet Pro L7xxx
      + Fixed defect (There is no response when click "About" in the
        "Help" menu in the toolbox window.)
      + Fixed defect (Function Commands configuration was disabled)
      + Fixed an issue where the ending banner page combo box would not
        show the proper setting if it were not 'none'
      + Fixed defect (An error occurs when select other ppd files from
        toolbox to setup)
      + Fixed defect (The command "hp-setup -i" can not work normally)
      + Fixed defect (The output of "-t" parameter is not the same as
        "--prettyprint" parameter when send a fax job using pretty
        printing for text files.)
      + Fixed defect (An error occurs when enter "#" in Fax Name field
        on "Enter Printer Information" window during setting up a
        printer.)
      + Fixed defect (Print outcomes are not full when set the "Page
        Orientation" as "Landscape" on "Print Settings" table.) [added
        "Fit to page" option in image printing section of Print Settings
        tab.]
      + Moved installer/images/xxx files from SCRIPT to DATA install in
        Makefile.am.
      + Fixed non-functioning printer control in hp-toolbox
      + Fixed an issue with the settings dialog not working [reported by
        Johannes]
      + Additional fixes to get PPD file handling working on Edgy and
        Feisty for CUPS 1.2.
      + Fixes for CUPS 1.2 and auto-generated PPD files for Feisty Fawn
        [reported by Till] (closes: LP#95489)
      + Fixed potential subscript array overflow in pcard/fat.c
        (reported by Suse).
      + Fixed an issue reported by Till with the device string returned
        by hpfax:
      + Fixed an issue in in the NoDeviceForm (missing __tr() method)
      + Fixed defect (Ubuntu Fiesty Herd 3 - ppd file w/hp-setup
        problem) [implemented change to PPD file enumeration for CUPS 1.2
        as suggested by Till] (closes: LP#95489)
      + Added banner pages to print settings (job-sheets)
      + Fixed problem with watermark angle text in print settings (utf-8
        decoding)
      + Added libusb-devel check to configure.in.
      + Added image printing settings to toolbox print settings
      + Added print adjustment settings to toolbox print settings
      + Enhanced the default button behavior in toolbox print settings
      + Removed sticky print settings from hp-print
      + hp_laserjet_p2015_series: Changed embedded-server-type from '0'
        to '1'
      + hp_laserjet_p2015_series: Changed panel-check-type from '0' to '1'
      + Fixed a traceback in hpfax: if HPLIP is not running during
        device detection (closes: LP#83936)
      + Added print job icons to indicate print job status
      + Updated some status icons
      + Fixed defect (An unexpected error occurs when enter hp-makecopies
        -d<device-uri> -m1 -n in terminal)
      + Fixed defect ("See Also:hp-colorcal" should not occur in the
        explanation for the hp-colorcal command on hplip website.)
      + Fixed defect (Refresh All button can not work on build
        hplip-1.7.1 public release.)
      + Fixed an issue in hpssd that caused history items in the ring
        buffer to slotted incorrectly
      + Added duplexer detection to the "sides" setting in the toolbox
        Print Settings (no "sides" selection if duplexer == 0)
      + Added new, more useful icons to the status list in the toolbox
      + Major toolbox (Device Manager) upgrade/redesign
      + Added printer settings tab (sets printer options in
        ~/.cups/lpoptions)
      + Removed panel tab (merged panel with status tab)
      + Redo of functions tab (new layout)
      + Redo of status tab (new icons, layout, inclusion of front panel
        display)
      + Front panel display will show device panel if available,
        otherwise most recent status text
      + Redo of supplies tab (new layout)
      + Redo of print jobs tab (now called printer control) (print
        control widget, new layout, etc)
      + hpssd will not store multiple history items with the same error
        code (last one gets replaced)
      + About box upgraded
      + cupsext extended in functionality (ppd, options, etc)
      + Removed trailing white space in IEEE 1284 model name. This will
        fix URIs that have a trailing "_" character in the model
        name. This issue crept back into the hpiod code after the libusb
        update (closes: LP#85805).
      + Fixed an issue in hp-check that caused a traceback if
        '/etc/sane.d/dll.conf' is missing
      + Added some more bug messages to hpaio.
      + Fixed a traceback in hp-levels reported on the mailing list (defect)
      + Set the device list column width in the toolbox splitter to be
        more narrow by default
      + Added the toolbox software version to the Device Manager about dialog
    * HPIJS 2.7.2
      + Fixed media type for maxdpi printmode for vip printers and its
        derivatives
      + Fixed the cause of carriage stall error in C41xx printers
      + Added support for the following new printer(s).
          * Officejet Pro L7300 series (OJProKx50)
          * Officejet Pro L7500 series (OJProKx50)
          * Officejet Pro L7600 series (OJProKx50)
          * Officejet Pro L7700 series (OJProKx50)
          * HP Officejet Pro K5300 series (OJProKx50)
          * HP Officejet Pro K5400 series (OJProKx50)
          * HP Officejet J5700 series (DJGenericVIP)
        OJProKx50 is derived from DJGenericVIP.
  * 80_laserjet1100_fix.dpatch: Fixed problem of accessing an HP LaserJet 1100
    on the parallel port (reported in LP#98520).
  * 82_scrolltool_py_deskjet_d4100_claen_device_not_found.dpatch: Fixed problem
    of Python traceback when DeskJet 4100 not accessible (e. g. turned off),
    reported in LP#98520 by Aaron Albright.
  * 84_align10form_py_deskjet_5440_head_align.dpatch: Fixed problem of head
    alignment GUI not working for DeskJet 5440 (closes: LP#98920).
  * Removed patches 00_01_hplevels_fix.dpatch,
    80_hpijs_deskjet_d41xx_hangs.dpatch,
    85_hpfax_crash_when_hpssd_not_running.dpatch,
    90_hpfax_bad_lpinfo_-v_output.dpatch, merged upstream.
  * Remade patch 14_charsign_fixes.dpatch, most of it was merged upstream.
  * 61_noqt_message.dpatch: Improved error message which appears when
    HPLIP utilities are called from the menu but PyQt is not installed
    (closes: LP#86893)..
  * Modified the debian/*.desktop files so that the environment variable
    "STARTED_FROM_MENU=1" is set to make the utilities showing the
    GTK-based error message window when called from the menu and PyQt is
    not installed (closes: LP#86893).
  * Added "NoDisplay=true" to the debian/*.desktop files so that the menu
    entries for the HPLIP tools are hidden by default (closes: LP#67892).
  * Fixed the pelling of the icon file names in the debian/*.desktop files
    (closes: LP#88290).
  * Removed debian/hp-toolbox.desktop, it was a duplicate menu entry for the
    HP Toolbox.
  * debian/hplip.postinst: Added clean-up for the ownerships of the user's
    .hplip.conf files. hp-setup of HPLIP 1.7.1 (and perhaps some older
    versions) created it with root ownerships and this made hp-toolbox not
    starting (closes: LP#99326).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue,  3 Apr 2007 16:40:55 +0100

hplip (1.7.1-1ubuntu2) feisty; urgency=low

  * 80_hpijs_deskjet_d41xx_hangs.dpatch: Applied offical patch from HP
    (1.7.1-1), fixes DeskJet D41xx hanging on second job.
  * 85_hpfax_crash_when_hpssd_not_running.dpatch: Fixes hpfax CUPS backend
    crash when HPLIP daemons are not running (closes: LP#83936).
  * 90_hpfax_bad_lpinfo_-v_output.dpatch: Fixes hpfax CUPS backend returning
    an "hp:/..." URI instead of an "hpfax:/..." URI to CUPS.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 14 Feb 2007 12:58:47 +0000

hplip (1.7.1-1ubuntu1) feisty; urgency=low

  * Merge from debian CVS (closes: LP#60242, LP#66830,
    LP#74809, LP#77307), remaining changes:
    - Add hplip to scanner group.
    - Additional patches 70_no_fail_on_bad_locales, 80_no-compiler.h.
    - Shuffling of hplip's recommendations/suggestions.
    - Remove hplip's shutdown and reboot links.
    - Splitting of desktop files, menu entries hidden by default.
    - udev rules for MFP devices.
    - Don't compress single files to make the package smaller.
  * debian/hplip.postrm: Suppress error on uninstalling HPLIP when "scanner"
    is not empty.
  * 61_noqt_message.dpatch: Removed, functionality implemented upstream.
  * 70_no_fail_on_bad_locales.dpatch: Rediff.
  * debian/control: Added missing "libsane-dev" to Build-Depends.
  * debian/hplip.install: Removed usr/lib/libsane*.so.*, not needed any more.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 29 Jan 2007 12:58:47 +0000

hplip (1.7.1-1) unstable; urgency=low

  * New Upstream source
    * HPLIP 1.7.1:
      + Fixed uninitilized pointer in hplip_api library.
      + Got some newer inkjet all-in-ones working with hp-makecopies:
        + photosmart_c5100_series: Changed copy-type from '0' to '3'
        + photosmart_c6100_series: Changed copy-type from '0' to '3'
        + photosmart_c7100_series: Changed copy-type from '0' to '3'
        + photosmart_3100_series: Changed copy-type from '0' to '3'
        + photosmart_3200_series: Changed copy-type from '0' to '3'
        + photosmart_3300_series: Changed copy-type from '0' to '3'
      + Added a "last used device URI" feature to all utilities/UIs
      + Added a device refresh after the job cancel function in the toolbox
      + Fixed defect (hp-setup -u no devices <b>, <p>, etc.  characters in
        error log)
      + Fixed sane_start: "Document feeder out of documents" problem with
        LJ3300 MFP which have no ADF.
      + Fixed defect (Test email text update)
      + Improved progress dialog behaviour and messaging in hp-sendfax
      + Fixed defect (The counter of selected picture in status bar does
        not work if selecting picture by drag action.)
      + Fixed defect (The "Show Thumbnail" item still appears after
        executing "Show Thumbnails" operation if the picture does not support
        "show thumbnail" function.)
      + Implemented enhancement (Have front panel tab appear when supported
        by printer)
      + Fixed defect (The fax job can not be done while executing
        'hp-sendfax -n' in terminal on Fedora Core 6 32bit OS.)
      + photosmart_c7100_series: Changed pcard-type from '2' to '1'
      + Added feature (Fax Address Book also should be added on the Tools &
        Settings tab in toolbox for usability.)
      + Fixed defect (The printer still appears in the device list while
        deleting the printer from CUPS.)
      + Added feature: Toolbox device list auto refreshes after device is
        added using hp-setup from toolbox
      + Fixed an issue with ChoosePrinterDlg2
      + Re-wired "Configure Print Settings" in the toolbox to go directly
        to the correct settings page for the printer
      + Fixed an issue with toolbox auto refresh settings save in
        ~/.hplip.conf
      + Fixed defect (New Fax Address can not be listed in Individual(s)
        and Group(s) fields of Recipients tab on Debian 3.1 32bit OS.)
      + Fixed defect (The address can not be added to a group through edit
        function in Fax Address Book.)
      + Fixed defect (Help button is ineffective after clicking Align
        Cartridges in Toolbox on Debian3.1 32bit OS.)
      + Added some error checking to struct.unpack() in SLP packet decoding
      + Fixed defect (An error occurs when enter "%" in "Print Name" of
        "Enter Printer Information" window during setting up a device.)
      + Fixed defect (The unloaded file still be showed in "Unload Files
        from Photo Card" dialog box after unload it with "Remove selected
        files" option in GUI mode.)
      + Fixed defect ('.bmp' type file can not be directly added to a fax
        job though this file type is listed in the Direct Allowable Types
        list. )
      + Fixed problem with adding XPM files to hp-sendfax
      + Removed extraneous MIME types from hp-sendfax allowable types
      + Changed auto refresh update range to 5-60 sec.
      + Merged PyQt polling fix (should fix faxing on systems with PyQt
        3.16 or 3.17)
      + Added page range validation to hp-print (disallows ranges like "-2"
        and "2-")
      + Fixed defect 1291 (The plain-text type file which begins with
        character "/*" can not be added rendered by the fax driver.) [Pretty
        printing checkbox added to hp-print and hp-sendfax. Off by default.]
    * HPIJS 2.7.1:
      + Moved PSC 21XX from DJ9xxVIP to DJGenericVIP - these printers can
        do fullbleed printing on 4x6 media
      + Added a new printmode, photonormal for DJ9xxVIP to enable printers
        without media sensors to print to photo media
  * dpatch 00_01_upstream-fix-libusb-bigendian: removed, it is in 1.6.12
  * dpatch 00_02_upstream-fix-pragma-pack: removed, it is in 1.6.12
  * dpatch 10_shebang_fixes.dpatch: rediff
  * dpatch 14_charsign_fixes: rediff
  * dpatch 00_01_hplevels_fix (new): fixes showstopper bug in hp-levels
  * debian/hplip.links: add link for hp-firmware
  * debian/rules: use dh_clean without -k on install-stamp target, without
    it we corrupt the changes file for the next build unless the clean
    target was being invoked (as clean already had a dh_clean call)
  * debian/control: suggest kdebase-bin (for kdesu) or gksu, as hp-toolbox
    can use them

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 28 Jan 2007 15:59:50 -0200

hplip (1.6.12-1) UNRELEASED; urgency=low

  * New Upstream source
    * HPLIP 1.6.12:
      + Incorporated the following upstream change requests
        from Red Hat:
         1. Removed IANA comment from hplip.conf.
         2. Added libm library check to configure.in.
         3. Added some IPP "STATE:" messages for CUPS 1.2 in the "hp"
            backend.
       + Applied 'hplip-loop' patch from Tim Waugh [changes hpssd.py async
         loop timeout from 0.5 to 5.0 sec].
       + Fixed defect (The fax setup failed when executing hp-setup with
         serial number USB ID parameter in terminal in Fedora Core6 32bit
         OS.)
       + Fixed defect ([hp-setup] device i/o error no way to cancel or go
         back.)
       + Fixed defect (The edit function can not be executed when changing
         fax number only in Fax Address Book.)
       + Fixed defect (The fax number and fax name was exchanged on the
         "Finished Adding printer" page.)
       + Fixed defect (Parameter "-bcups" of hp-probe command is disabled.)
       + Fixed a potential batch scanning memory leak in libsane-hpaio with
         scanimage version 1.0.18 or higher.
       + Fixed defect (A blank screen is displayed while executing
         "hp-check -lerror" in the terminal.)
       + Fixed defect (The queue message of processing page is displayed
         twice when executing a fax job with multi-pages in terminal in
         Fedora core6.)
       + Fixed a traceback in hp-check caused when non-HPLIP backends are
         encountered in CUPS. [reported by user on mailing list]
       + Fixed defect (The duplicate Nickname can be added to the Fax
         Addresses by editing function.)
       + photosmart_c6100_series: Changed copy-type from '3' to '0' [Note:
         Make copies is temp. disabled for all inkjet AiOs]
       + Replaced "pragma pack(1)" with "__attribute__ ((packed))" in all
         C/C++ structures. This was needed for the ARM gcc compiler.
       + Removed the libusb little-endian conversion in hpiod. This
         conversion was not needed for big-endian systems because the usbfs
         takes care of the big-endian to little-endian conversion.
       + Added SANE_DEBUG_HPAIO support to libsane-hpaio
       + Finished enhancement (Add mDNS/Bonjour/Rendezvous support to
         hp-probe).
       + Marked SANE_I18N text strings for localization in libsane-hpaio.
       + Added checks to make sure conf files exist and have no errors.
       + Reorganized include files in libsane-hpaio.
       + Enhancement: HPSSD performance/code cleanup modifications (several
         functions moved from hpssd to client code).
       + Fax files are stored in temp files by hpssd rather than in memory.
       + Fixed a problem with lineart scanning using MMR compression on
         Laserjets.
       + Workaround added for (Launch of hp-setup from hp-toolbox leads to
         error [reported by Johannes]) [Added error dialog if gksu or kdesu
         not found]
       + Added the ability to quit in additional places for the color
         alignment command-line tool and cleaned up some wording with-in the
         command-line tool.
       + Fixed defect (Allow [SERIAL NO.|USB bus:device|IP| DEVNODE] to be
         used with -u)
       + Fixed defect (The "remove of all files" - radio button is always
         grayed-out in the hp-unload interface, so have removed it for now).
         This was fixed by removing the radio button since we will not
         support this functionality at this time.
       + Applied the Ubuntu provided 61_noqt_message.dpatch with changes
         [supplied by Matthias Klose with Ubuntu]
       + Added missing time import in setupform.py.
       + Fixed a problem with event forwarding in hpssd.
       + Fixed a problem with device status refresh in hp-sendfax (hpssd
         bug)
       + Moved hplip_api code to separate "api" directory.
       + Added hplip_api support for reading the new models.dat files. The
         new models.dat file replaces the .xml files. For third-party
         applications, the preferred way to read the models.dat file is to
         use the hplip_api. The hplip_api can be used to get model attributes
         without running the HPLIP daemons.  See hplip_api.h for reference.
       + Fixed defect (These Examples in usage of hp-setup that would work
         in non-interactive mode should specify -i parameter.)
       + Fixed defect (hp-print UI not usable on 800x600 screen w/GNOME)
    * HPIJS 2.6.12:
      + Made hplip_api calls in hpijs conditional at compile time. The
        hpijs configure flag "hplip-build" will determine if hplip_api calls
        are used.
      + Added support for the following new printer(s).
        + Color LaserJet CP4005 (LJColor/PS)
        + LaserJet M5025 MFP (LJMono/PS)
        + LaserJet M3027 MFP (LJMono/PS)
  * This upstream version was never built or released by Debian

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 25 Jan 2007 23:53:53 -0200

hplip (1.6.10-3ubuntu3) feisty; urgency=low

  * Fixed hplip.desktop and added hplip-kubuntu.desktop.
    Kubuntu doesn't have any application categorised in "Settings"
    so that results a crappy Kmenu. The hplip.desktop file will not
    show in KDE, and the kubuntu one, only shows in KDE, in
    "System" section.

 -- Anthony Mercatante <tonio@ubuntu.com>  Sat, 20 Jan 2007 03:28:47 +0100

hplip (1.6.10-3ubuntu2) feisty; urgency=low

  * Rebuild for python2.5 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Jan 2007 13:17:54 +0000

hplip (1.6.10-3ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add hplip to scanner group.
    - Additional patches 70_no_fail_on_bad_locales, 80_no-compiler.h.
    - Shuffling of hplip's recommendations/suggestions.
    - Remove hplip's shutdown and reboot links.
    - Splitting of desktop files, menu entries hidden by default.
    - udev rules for MFP devices.
    - Don't compress single files to make the package smaller.
    - "NoQt message" patch.
    - Added lines
        usr/lib/libsane*.so.*
        usr/lib/sane/libsane*.so.*
      to debian/hplip.install to assure that scanning works.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Tue, 19 Dec 2006 20:28:47 +0100

hplip (1.6.10-3) unstable; urgency=high

  * dpatch 00_01_upstream-fix-libusb-bigendian (new): Do not hto* libusb
    stuff, it does so by itself (at least on the non-ancient versions),
    backport from upstream 1.6.12-rc3 (closes: #401530)
  * dpatch 00_02_upstream-fix-pragma-pack (new): Do not use pragma pack, use
    attribute packed instead, backport from upstream 1.6.12-rc3

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 18 Dec 2006 10:27:31 -0200

hplip (1.6.10-2ubuntu2) feisty; urgency=low

  * Added again missing libsane-hpaio.so.1.0.0 library. It seems that
    Debian is not taking care of the missing scanner driver. Fixes
    LP#65908 again.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Mon, 11 Dec 2006 10:28:47 +0100

hplip (1.6.10-2ubuntu1) feisty; urgency=low

  * Synchronize with Debian CVS; remaining changes:
    - Add hplip to scanner group.
    - Additional patches 70_no_fail_on_bad_locales, 80_no-compiler.h.
    - Shuffling of hplip's recommendations/suggestions.
    - Remove hplip's shutdown and reboot links.
    - Splitting of desktop files, menu entries hidden by default.
    - udev rules for MFP devices.
    - Don't compress single files to make the package smaller.
    - "NoQt message" patch.
  * Remove obsolete patches: debian/patches/80_no-compiler.h.dpatch.

 -- Matthias Klose <doko@ubuntu.com>  Mon,  4 Dec 2006 16:24:01 +0100

hplip (1.6.10-2) unstable; urgency=low

  * debian/control: hpijs: Add versioned replaces on hpijs-ppds, hplip-ppds
    for Fax PPD file move into hpijs package, that happened on 1.6.10-1
    (closes: #395862, #395847)
  * debian/control: build-depend on patch >= 2.5.9-3bpo1 due to our use
    of the Debian-specific -U flag for dpatch, introduced by
    2.5.9-4/2.5.9-3pbo1; build-depend on findutils >= 4.2.25 due to our use
    of xargs -d.  Thanks to Sylvain Beucler <beuc@beuc.net> for noticing and
    reporting these problems

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 28 Oct 2006 09:14:09 -0300

hplip (1.6.10-1) unstable; urgency=medium

  * New upstream source (closes: #393940, #395165)
    * HPLIP 1.6.10:
      + Fixed defect: hp-print and hp-sendfax: an error occurs while
        executing hp-print with invalid device URI or the printer name
        in CLI
      + Removed batch scanning sane_cancel dependency.  This fixes a
        problem with scanimage version 1.0.18 or higher
        (closes: #382648, #382652)
      + Fixed defect: GUI Install - hp-setup - Does Not Finish
      + Added icons to toolbox function page buttons
      + Added make copies support for some inkjet AiO devices
      + Added hp-timedate utility
      + Simplified some text in hp-setup -u
      + Fixed defect: the Timeout value for searching printer shouldn't
        be able to set as value larger than 45 secs in HP Device Manager
      + Made GUI mode the default for hp-setup
      + Fixed defect: error occurs while manually finding the network
        printers in HP Device Manager
      + Made the "Find" button on the Manual Find dialog the default
        button
      + Added "Setup New Device..." in Toolbox
      + Added "Remove Device..." in Toolbox
      + Reworked "No Devices Found" dialog
      + Fixed defect: Multi PPD files were found while installing the
        Photosmart D5160 through hp-setup
      + Fixed defect: hp-setup -u default window size needs to be a tad
        larger
      + Fixed defect: hp-setup -u par device detection problem
      + Fixed defect: the "Location" and "Description" for Fax Information
        also should be available while setup the device over hp-setup in
        GUI mode
      + Added additional fax name and printer name checking
      + Fixed defect: hp-setup -u manually find usb device not manually
        working
      + Fixed defect: hp-setup -u Location/Desscription text field limits
      + Fixed defect: hp-setup -u help button does not function
    * HPIJS 2.6.10:
      + Added support for the following new printer(s)
        + LaserJet P2015 series (LJMono/PS)
        + LaserJet M3035 MFP (LJMono/PS)
        + LaserJet M5035 MFP (LJMono/PS)
        + LaserJet M4345 mfp (LJMono/PS)
        + LaserJet P3005 (LJMono/PS)
        + LaserJet P3004 (LJMono/PS)
        + Color LaserJet 2700 (PS)
        + Color LaserJet CM1015 (PS) (no scanning yet)
        + Color LaserJet CM1017 (PS) (no scanning yet)
  * dpatches 50_ui-supportform-cleanups, 55_ui-supportform-debian (remove):
    these patches were already disabled, and we are not going to enable them
    back anytime soon anyway
  * hplip.links: ship link for hp-timedate
  * Makefile.am: fix borked install-exec-hook that broke libsane-hpaio
    install (borkage added by upstream on 1.6.9), thanks to Matthias Klose
    for forwading the bug report from Ubuntu
  * debian/rules: correct paths to platform.h and auto-include.h, thanks
    to Matthias Klose from Ubuntu
  * debian/rules, debian/control: do the proper thing for binNMU safety,
    and also simplify the various package relationships as much as we can:
    hpijs-ppds: now depend on hpijs (versioned >=).  hpijs: remove conflicts
    with non-compatible ppd packages, and version suggests on hpijs-ppds
    strictly.  hplip-dbg: depend strictly on the version of hplip and hpijs
    the debug symbols came from.  hplip: suggest hpijs and hpijs-ppds with
    >= version.  This does allow the user to do stupid things if he really
    wants, but given the ammount of arch any/all mixes in this set of
    packages, attempting to get it perfect only causes headaches while
    upgrading (and it is also nearly impossible)
  * hplip.init: tell user to reinstall hplip if the statoverrides are
    missing (closes: #393271)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 26 Oct 2006 13:22:56 -0300

hplip (1.6.9-1) UNRELEASED; urgency=low

  * New upstream source
    * HPLIP 1.6.9:
      + Fixed defect: Printer supplies listed in "random" order
      + Fixed defect: Don't report hpfax:/no_devices_found in CUPS 1.2
      + Fixed network printer detection (SLP)
      + Added hp-probe back
      + Fixed defect: The HP Fax URI could not be showed if executing
        hp-makeuri with parameter "--fax" in the terminal
      + Fixed defect: The "Add to List" button for Coverpage would be
        grayed out after sent a fax job including Coverpage
      + Fixed defect: An unexpected error occurred when add a FAB entry
        using the space as the fist character of the entry name
      + Made some misc. input validation improvements to hp-fab -i
      + Changed print code so that it can use lpr or lp depending on
        what is installed (lpr=default)
      + Fixed defect: hp-unload only works with ASCII char's
      + Fixed defect: hp-unload gives incorrect permissions bits.
        hp-unload will save files with permissions of 0600.
      + Fixed a laserjet scanning problem in hpiod
      + Changed the 1284.4/MLC setup command for CLJ2840/LJ3050/LJ3055
      + Cleaned up PML errors occuring on DJ 4xx when doing dynamic
        counters
      + Fixed status-dynamic-counters value for DJ 460
      + Fixed defect: Toolbox cannot be launched successfully after setup
      + Added code to cleanup spinner from text UIs
      + Fixed defect: The fax job could not be sent while sending fax in
        non-interactive mode
      + Fixed defect: The value of Notes for an FAB entry cannot be
        displayed correctly while the entry was added completely in
        interactive mode
      + Fixed defect: An error occurs while executing hp-sendfax in
        non-interactive mode with the device disconnected
      + Fixed defect: The .g3 file could not be added to the Items List
        and could not be sent
      + Fixed defect: The fax job could not be sent in non-interactive mode
      + Added scan-style and fit-to-page fix to hp-makecopies
      + Added scaling=100 to hp-sendfax.
      + Moved Qt import in hp-toolbox and hp-print to after command line
        processing
    * HPIJS 2.6.9:
      + Added support CD/DVD label printing (ie: PS D5100)
      + Added support for the following new printer(s)
        + PhotoSmart A310 series (DJGenericVIP)
        + PhotoSmart C5100 series (DJGenericVIP)
        + PhotoSmart C6100 series (DJGenericVIP)
        + PhotoSmart C7100 series (DJGenericVIP)
        + PhotoSmart D5100 series (DJGenericVIP)
        + PhotoSmart D5060 series (DJGenericVIP)
        + PhotoSmart Pro B8300 series (DJGenericVIP)
  * debian/control: change -dbg package to priority extra, and place
    hplip-ppds on section utils (to match ftp-master override file)
  * Disable new libhpprop dynamic loading in hpijs ljjetready driver,
    until we know for sure what it is and the code is fixed not to break
    strict aliasing rules (and to use libtool)
  * Fix some real and some cosmetic issues with the new Makefile.am and
    configure.in files from upstream
  * hplip.links: add hp-probe
  * control: recommend both hpijs and linuxprinting.org PPD packages,
    not just one or the other for package hplip
  * hpijs: ship fax PPD in the hpijs binary package, and not in the
    catch-all hpijs-ppds package.  The reason for this is that many printers
    need hpijs only for the fax functionality
  * hplip.README.Debian: mention faxing, hpijs and python-reportlab for
    covers

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  2 Oct 2006 16:25:00 -0300

hplip (1.6.9-0ubuntu2) edgy; urgency=low

  * Add missing libsane-hpaio.so.1.0.0 library. Ubuntu #65908.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 13 Oct 2006 15:28:47 +0000

hplip (1.6.9-0ubuntu1) edgy; urgency=low

  * Synchronize with Debian CVS; remaining changes:
    - Add hplip to scanner group.
    - Additional patches 70_no_fail_on_bad_locales, 80_no-compiler.h.
    - Shuffling of hplip's recommendations/suggestions.
    - Remove hplip's shutdown and reboot links.
    - Splitting of desktop files, menu entries hidden by default.
    - udev rules for MFP devices.
    - Don't compress single files to make the package smaller.
  * Restore and update the "NoQt message" patch, introduced in
    0.9.7-4ubuntu1, dropped later.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Oct 2006 14:00:11 +0200

hplip (1.6.9-1) unreleased; urgency=low

  * New upstream source
    * HPLIP 1.6.9:
      + Fixed defect: Printer supplies listed in "random" order
      + Fixed defect: Don't report hpfax:/no_devices_found in CUPS 1.2
      + Fixed network printer detection (SLP)
      + Added hp-probe back
      + Fixed defect: The HP Fax URI could not be showed if executing
        hp-makeuri with parameter "--fax" in the terminal
      + Fixed defect: The "Add to List" button for Coverpage would be
        grayed out after sent a fax job including Coverpage
      + Fixed defect: An unexpected error occurred when add a FAB entry
        using the space as the fist character of the entry name
      + Made some misc. input validation improvements to hp-fab -i
      + Changed print code so that it can use lpr or lp depending on
        what is installed (lpr=default)
      + Fixed defect: hp-unload only works with ASCII char's
      + Fixed defect: hp-unload gives incorrect permissions bits.
        hp-unload will save files with permissions of 0600.
      + Fixed a laserjet scanning problem in hpiod
      + Changed the 1284.4/MLC setup command for CLJ2840/LJ3050/LJ3055
      + Cleaned up PML errors occuring on DJ 4xx when doing dynamic
        counters
      + Fixed status-dynamic-counters value for DJ 460
      + Fixed defect: Toolbox cannot be launched successfully after setup
      + Added code to cleanup spinner from text UIs
      + Fixed defect: The fax job could not be sent while sending fax in
        non-interactive mode
      + Fixed defect: The value of Notes for an FAB entry cannot be
        displayed correctly while the entry was added completely in
        interactive mode
      + Fixed defect: An error occurs while executing hp-sendfax in
        non-interactive mode with the device disconnected
      + Fixed defect: The .g3 file could not be added to the Items List
        and could not be sent
      + Fixed defect: The fax job could not be sent in non-interactive mode
      + Added scan-style and fit-to-page fix to hp-makecopies
      + Added scaling=100 to hp-sendfax.
      + Moved Qt import in hp-toolbox and hp-print to after command line
        processing
    * HPIJS 2.6.9:
      + Added support CD/DVD label printing (ie: PS D5100)
      + Added support for the following new printer(s)
        + PhotoSmart A310 series (DJGenericVIP)
        + PhotoSmart C5100 series (DJGenericVIP)
        + PhotoSmart C6100 series (DJGenericVIP)
        + PhotoSmart C7100 series (DJGenericVIP)
        + PhotoSmart D5100 series (DJGenericVIP)
        + PhotoSmart D5060 series (DJGenericVIP)
        + PhotoSmart Pro B8300 series (DJGenericVIP)
  * debian/control: change -dbg package to priority extra, and place
    hplip-ppds on section utils (to match ftp-master override file)
  * Disable new libhpprop dynamic loading in hpijs ljjetready driver,
    until we know for sure what it is and the code is fixed not to break
    strict aliasing rules (and to use libtool)
  * Fix some real and some cosmetic issues with the new Makefile.am and
    configure.in files from upstream
  * hplip.links: add hp-probe
  * control: recommend both hpijs and linuxprinting.org PPD packages,
    not just one or the other for package hplip
  * hpijs: ship fax PPD in the hpijs binary package, and not in the
    catch-all hpijs-ppds package.  The reason for this is that many printers
    need hpijs only for the fax functionality
  * hplip.README.Debian: mention faxing, hpijs and python-reportlab for
    covers

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  2 Oct 2006 16:25:00 -0300

hplip (1.6.7-2ubuntu2) edgy; urgency=low

  * revert the Breaks usage and turn it into a Conflict to avoid
    having to backport apt/dpkg/python-apt for the upgrade 
    (see bug: #54234 for the rational)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Sep 2006 20:19:21 +0200

hplip (1.6.7-2ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * Removed patches 50_ui-supportform-cleanups.dpatch and
    55_ui-supportform-debian.dpatch, there is no support window in the HP
    toolbox any more.
  * HPLIP (file io/hpiod/usbext.h) includes linux/compiler.h which is not
    part of Ubuntu Linux and not needed. Removed the include with patch
    80_no-compiler.h.dpatch.
  * debian/control: Let the "Conflicts:" of hpijs-ppds be only a "Breaks:"
    to facilitate an update from the previous version when both hpijs and
    hpijs-ppds are installed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 15 Sep 2006 18:00:07 +0200

hplip (1.6.7-2) unstable; urgency=low

  * Transition to python 2.4, just rebuild (closes: #380845)
  * Add python post-rtupdate handler to restart hplip, just in case

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 15 Aug 2006 00:35:27 -0300

hplip (1.6.7-1) unstable; urgency=low

  * The "I could easily start hating python because of them" release
  * New upstream source (closes: #378401, #377265)
    * HPLIP 1.6.7:
      + Changed from dynamic IP ports to static IANA IP ports for hpiod
        (2208) and hpssd (2207)
      + Fixed defect: the valid letter and number for gray plot could not be
        entered while executing hp-colorcal in terminal
      + Fixed defect: the fax job could not be sent in non-interactive mode
      + Move test page to last function with hp-setup
      + Fixed defect: hp-setup would not select correct ppd file for some
        models
      + Removed Uni-di check code from device.Device.__openChannel()
      + Fixed a problem that caused the fax wrong configuration error to
        appear in error
      + Fixed defect: the interactive and GUI mode for hp-fab can be entered
        while executing hp-fab with parameter -i and -u
      + Fixed defect with DeskJet 5540: traceback during align click from
        toolbox
      + Added non-interactive mode (-n) to hp-sendfax
      + Added interactive mode (-i) to hp-fab.
      + Fixed defect: the reduction was set to 25% automatically while
        setting the Reduction/enlargement override 25-400%.)
      + Added hp-makecopies
      + Fixed defect: CUPS 1.2 does not auto-associate the PPD file to the
        fax URI
    * HPIJS 1.6.7:
      + Added support for the following new printers:
        + Photosmart D6100 series (DJGenericVIP)
        + Photosmart D7100 series (DJGenericVIP)
  * dpatch 00_01_upstream-1.6.6-1.dpatch (remove): applied upstream
  * dpatch 20_fix_warnings (remove): accepted upstream
  * dpatch 60_lp_instead_of_lpr (remove): accepted upstream
  * Python policy changes (closes: #380845):
    + Build-depend on debhelper (>= 5.0.37.2), python-support (>= 0.3)
    + Add debian/pycompat with a content of "2"
    + Call dh_pysupport in debian/rules, and move dh_installinit after
      it for postinst scriptlet sanity
  * hplip.init: Make sure to set permission of hpssd files in case the user
    changed the suid/sgid information (closes: #372537)
  * debian/control: remove redundant python build-dependency, as we have
    python-dev already
  * hplip.links: remove link for hp-photo, as that utility does not exist
    anymore; add new hp-makecopies utility
  * Makefile.am: ship copier/ stuff in libexecdir
  * debian/rules: make sure we point to the hplip-doc package in hplip.conf

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed,  9 Aug 2006 14:26:00 -0300

hplip (1.6.6-1) UNRELEASED; urgency=low

  * The "it is just a number, after all... or is it?" non-release
  * New upstream source
    + HPLIP has reached maturity, with an 1.x release
    + Switch versioning scheme for hplip and hpijs
    + CUPS 1.2 compatibility
    * HPLIP 1.6.6 (patchlevel 1):
      + Fixed broken links in HTML documentation
      + Added DOT4Init retry in hpiod. This fixed a intermittent scanning
        problem with the HP PSC 3100
      + Changed libsane-hpaio to display any received scan data after I/O
        timeout instead of aborting
      + Fixed the File Types that can be directly added to the fax job could
        not be displayed accurately on Send Fax dialog
      + Added 30sec retry and timeout to hpfax
      + Added CUPS 1.2 compatible output to hpfax
      + Removed DeviceOpen from hp backend. This fixes two problems 1) usblp
        will no longer be removed for device discovery 2) device discovery
        will no longer cause Inkjets to power-up (closes: #369286)
      + Changed hp backend device discovery verbage in order to work better
        with CUPS 1.2
      + Fixed status-types for 2006-09 devices (5 --> 2)
      + Fixed panel display for older OfficeJets that have VSTATUS
      + Fixed "no printers installed, run toolbox, install printer, toolbox
        produces error" bug
      + Updated hpfax to "No devices found" text and behavior
      + Removed extraneous syslog message during parallel port ProbeDevice
      + Rewrite of toolbox refresh code. Should fix long running issue
      + Fixed HP-Toolbox no activity after an hour causes toolbox to
        disconnect from all printers
      + Fixed the Job ID for fax job should be displayed in Status tab of
        toolbox while starting fax send
      + Modified XML schema (and all XML files to comply with it) -
        status-type broken out into status-type, status-battery-check, and
        status-dynamic-counters
      + Made hplip_GetID more bullet proof in hplip_api.c
      + Fixed invalid memory free in libsane-hpaio. Only occurred in the
        sane_hpaio_open abort path
      + Changed 1284.4/MLC credit reply timeout from 2 to 4 seconds in
        hpiod. This fixed a problem with 1200dpi uncompressed scanning (ie:
        PhotoSmart 2575)
      + Removed support dialog (should have been removed in 0.9.11, was
        missed)
      + Changed Tools and Support pane to include "View Documentation"
        rather than "View Support" - opens online docs in browser like
        Help | Contents...
      + Added sane hpaio.desc file to documentation
    * HPIJS 2.6.6:
      + Fixed an auto duplex problem in HPIJS
      + Fixed gcc 4.1 compiler issues with HPIJS glue code
      + Added support for the following new printers:
        + Deskjet D4100 series (DJ4100)
        + Deskjet D2300 series (DJ3600)
        + Deskjet D1360 series (DJ3320)
        + Photosmart A430 series (DJGenericVIP)
        + Photosmart A510 series (DJGenericVIP)
        + Photosmart A710 series (PSP470)
        + Photosmart A610 series (PSP470)
        + Photosmart C4100 series (DJGenericVIP)
        + Photosmart C3100 series (DJGenericVIP)
        + Photosmart D7300 series (DJGenericVIP)
      + Updated the Ghostscript KRGB patch: Revisited the KRGB buffer
        overflow issue with out-of-band data in fill_rectangle and
        copy_mono.  Changed the fill_rectangle and copy_mono to an inner
        loop buffer check instead of a outer loop x/y extent check.
        As requested by Ralph Giles, added K 1-bit (KRGB) and 8-bit (KxRGB)
        support for KRGB, but only 1-bit is implemented for now
  * hpijs-ppds: depend on foomatic-filters as the PPDs require foomatic-rip
    to work.  Version dependency to a new enough foomatic-rip (available in
    stable as well, so this is not strictly needed, but still...)
    (closes: #369833)
  * hpijs: drop suggestion on foomatic-filters, hpijs doesn't use it for
    anything anyway, and the PPDs (who do) now depend on it
  * hplip: recommend one of hpijs-ppds or linuxprinting.org-ppds instead of
    suggesting both.  HPLIP really needs a PPD to do anything useful
  * Improve description of the hplip-dbg package a little
  * debian/watch: remove outdated URIs, update to version 3
  * dpatch 00_01_upstream-0.9.11-2 (remove): applied upstream
  * dpatch 00_01_upstream-1.6.6-1 (new): upstream HPLIP 1.6.6-1
  * dpatch 40_quiet-hpiod (remove): accepted upstream
  * dpatch 60_lp_instead_of_lpr: rediff
  * dpatches 50_ui-supportform-cleanups, 55_ui-supportform-debian (disable):
    upstream removed the supportform, but we may want to add those panes
    somewhere else so just disable the patches for now
  * dpatch 20_fix_warnings (new): fix broken code in hpijs that caused
    warnings
  * Remove old KRGB 1.2 patches

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 16 Jun 2006 18:44:55 -0300

hplip (0.9.11-2ubuntu7) edgy; urgency=low

  * 70_no_fail_on_bad_locales:
    - don't fail if the locales can't be set (this breaks upgrades)
  * Pre-Depend on python (>= 2.4.3-5). We need a working pyversions
    otherwise invoke-rc.d will fail to start hpssd in the postinst
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  4 Sep 2006 06:37:25 +0200

hplip (0.9.11-2ubuntu6) edgy; urgency=low

  * debian/rules:
    - applied another debian patch to fix upgrade problem (dapper->edgy)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  1 Sep 2006 21:41:33 +0200

hplip (0.9.11-2ubuntu5) edgy; urgency=low

  * debian/rules:
    - fix the ordering of the rules, this unbreaks the upgrade from
      dapper to edgy (lp: #46595)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Aug 2006 12:23:21 +0200

hplip (0.9.11-2ubuntu4) edgy; urgency=low

  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour.  Go me.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 01:29:01 +0100

hplip (0.9.11-2ubuntu3) edgy; urgency=low

  * Remove stop links from rc0 and rc6
  * Fix bogus build-depend line that doko introduced.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 00:35:52 +0100

hplip (0.9.11-2ubuntu2) edgy; urgency=low

  * Convert to updated Python policy.
  * Run hpiod as root.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  6 Jul 2006 13:39:45 +0000

hplip (0.9.11-2ubuntu1) edgy; urgency=low

  * Resynchronize with Debian unstable.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  6 Jul 2006 15:20:00 +0200

hplip (0.9.11-2) unstable; urgency=low

  * dpatch 00_01_upstream-0.9.11-2 (new): HPLIP 0.9.11-2
    + Fixed an intermittent auto duplex problem with HPIJS 
      (closes: #360017)
    + Add some missing PSC 950 model entries in models.xml
    + Fixed some NDEBUG compiler issues (Debian)
    + Fixed some gcc 4.1 compiler issues (Debian)
  * dpatch 20_fix-asserts (remove): accepted upstream
  * dpatch 30_gcc4.1-fixes (remove): accepted upstream
  * dpatch 50_doc-location (remove): superseeded by dpatch
    50_ui-supportform-cleanups
  * dpatch 50_ui-supportform-cleanups (new): Remove useless README pane
    in hp-toolbox support form, fix the URIs to have ending slashes, and
    some other cosmetic fixes
  * dpatch 55_ui-supportform-debian (new): Add Debian pane to hp-toolbox
    support form

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 12 May 2006 23:40:38 -0300

hplip (0.9.11-1) unstable; urgency=low

  * The "Eating hedgehogs ain't smart" release
  * New upstream version:
    * HPLIP 0.9.11:
      + Changed hp-sendfax behavior: Now hp-sendfax must be run before
        print jobs can be printed to a fax queue
      + Completely revamped the email alert system (now uses sendmail
        rather than a SMTP server)
      + Changed hpssd so that it will not send an email if the same device
        has the same error code multiple times in a row
      + Changes auto device refresh interval units from seconds to minutes
        in the hp-toolbox
      + Added a device auto refresh type (all or 1) to settings dialog in
        the hp-toolbox
      + Replaced hplip_readme.html with web documents available at
        hplip.sf.net
      + Moved the DeviceClose in the hp-toolbox testpage routine to before
        the lpr to fix an issue with contention with the "hp" backend
      + Fixed a defect in hp-fab that didn't allow previously added
        entries to be modified
      + Added better error checking to hp-sendfax to detect HPLIP daemons
        not running
      + Fixed LJ2840 network port for faxing in hpiod
      + Turned status off for all Business Inkjets 2200-2600
      + Moved fax address book file from ~/.hplip.fab to ~/hpfax/fab.db
      + Changed hp-fab so that duplicate entries cannot be created
      + Fixed endianness issue that hosed the HP Color LaserJet 3500 on
        PPC (closes: #317683)
    * HPIJS 2.1.10:
      + Moved PSC 21xx from DJGenericVIP to DJ9xxVIP device class
        (this requires all PSC 21xx users to update their PPDs)
      + Forced hpijs and hppgsz to always build with -DNDEBUG
      + Merged hpijs_readme.html into hplip documentation
      + Added support for the following new printers:
        + LaserJet 5200 (LJMono/PS)
        + LaserJet 5200L (LJMono/PS)
        + Color LaserJet 2605 (PS)
        + Officejet 6300 series (DJGenericVIP)
        + Officejet 4300 series (DJ3320)
  * dpatch 00_01_upstream-0.9.10-2 (remove): applied upstream
  * dpatch 00_01_upstream-0.9.11-1 (new): preliminary upstream patch:
      + Fix regression where the PSC 950xi stops being detected
        (reported by Till Kamppeter)
  * dpatch 14_charsign_fixes: remove hunk applied upstream, rediff
  * dpatch 60_lp_instead_of_lpr: update for new upstream code
  * dpatch 20_fix-asserts (new): fix bugs that show up on NDEBUG builds
  * dpatch 30_gcc4.1-fixes (new): fix strict aliasing bugs for gcc 4.1
  * Ship the new HPLIP/HPIJS documentation in a new arch-all package,
    hplip-doc.  The hplip and hpijs packages now have just Debian
    documentation, and point to the hplip-doc package (or to the
    online URI for that documentation) for the full user manual
  * Add a users-guide.txt file to hplip and hpijs documentantion,
    to point users to the hplip-doc package and to the online manual
  * Bump standards version to 3.7.2 (no changes required)
  * Drop support for initscript systems without invoke-rc.d, as
    invoke-rc.d is now required per policy.  This also shuts lintian
    up, which is always a nice bonus
  * hpijs.NEWS, hplip.NEWS: update for the new release
  * hpijs.README.Debian: minor cleanup, and point users to hpijs-ppds
  * hplip.README.Debian: minor updates and cleanup
  * debian/control: Make hplip automatically recommend the newest
    hpijs upstream version, instead of a manually set one I am not
    always really sure about
  * debian/rules: Provide hpijs:Source-Version as well for the control
    file
  * Add new hplip-dbg package with full symbolic debugging information for
    all binaries and libraries generated by this source package
    (closes: #366766)
  * debian/control: place hpijs and hpijs-ppds on section text (as per the
    override file for hpijs, and other -ppds packages)
  * Ship doc/release_notes.html as the upstream changelog, as the old
    text changelog is not being updated anymore by upstream

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 11 May 2006 12:56:38 -0300

hplip (0.9.10-1) unstable; urgency=low

  * New upstream version
    * HPLIP 0.9.10 (patchlevel 2):
      + Made the "hp" backend more product specific, now HP USB keyboards
        won't be misdetected as printers....
      + Fixed jetdirect write timeout in hpiod
      + Added deviceID to output of "hp" backend for CUPS 1.2
      + Fixed a problem where no fax send dialog pops up when sending
        a fax job from OpenOffice Writer and the fax job can not be sent
        correctly
      + Fixed a hp-setup crash which can occur during fax setup testpage
        printing
      + Modified the hp-toolbox and hp-print so that they will work with
        unsupported printer models without crashing
      + Hp-setup now allows the user to manually enter a PPD file path
      + The "NickName" from each located PPD file is displayed to the user
        so that the "(recommended)" text will be shown.
      + Fixed an error which occurs while executing hp-sendfax with
        b parameter.
      + Fixed a hp-toolbox problem displaying cartridge information for
        Photosmart 8700 when device is connected via network
  * dpatch 00_01_upstream-0.9.10-2 (new): upstream patchlevel 2
    + Drop useless (and broken) model test comparison (closes: #360385)
    + Fix local DoS when usb communications get stuck
  * dpatch 14_charsign_fixes: add new hunks to fix more sign problems
  * Replace all instances of the old upstream hopepage (hpinkjet.sf.net)
    with the new one (hplip.sf.net)
  * Point users to the new upstream mailinglists
  * Add watch entries for the renamed sourceforge project

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 24 Apr 2006 12:57:59 -0300

hplip (0.9.9-2) unstable; urgency=low

  * configure.in, Makefile.am, debian/rules, prnt/hpijs/configure.in:
    fix /etc/hp/hplip.conf ppd dir setting, thus unbreaking hp-setup
    and remove useless cruft re. PPD dir setup while at it (closes: #358719)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 24 Mar 2006 21:22:17 -0300

hplip (0.9.9-1) unstable; urgency=low

  * New upstream version
    * HPIJS 2.1.9:
      + Fixed an array index underflow in ljfastraster.cpp
      + Save paper width and height in UXServices object after a call to
        SetPaperSize
      + When fullbleed printing is requested, if printer supports it,
        return actual paper dimensions for PrintableArea
      + Added support for the following new printer(s):
        + HP DeskJet F300 Series All-in-one (DJ3600)
    * HPLIP 0.9.9:
      + HPLIP now uses libusb for all USB I/O.  Libusb replaces kernel
        modules printer and usblp, and opens an entirely new can of worms
      + Removed support for USB URIs based on device files.  This means all
        printers now use USB URIs based on "hp:/hp_model?serial=xxxxxxxx"
        instead of "hp:/hp_model?device=/dev/usb/lpx".  Old CUPS queues must
        be updated to the new device location
      + Added full USB 1284.4 support for the Color LaserJet 2840, and for
        LaserJets 3050, 3060, 1010, 1012, 1015 and 2500
      + Updated HP-Fax-hplip.ppd to be in conformance with CUPS 1.2
      + Updated most LaserJet PPDs for CUPS 1.2
      + Changed the GetSnmp timeout from 5 to 2 seconds in hpiod
      + Fixed incorrect supplies information for Color Laserjet 2840
        displayed in hp-toolbox
      + Fixed problem where title input was of no use while adding a file to
        item list in send fax dialog
      + Add models.xml parallel port flag for Deskjet 5550
      + Moved hp-sendfax temp .g3 files to ~/hpfax/hpfax-*.g3.  Before,
        they would clutter the user's home directory
      + Files added to hp-sendfax interface are now rendered into g3 format
        as they are added to the batch
      + Removed temporary file creation from hpfax: (temp files now created
        only by hp-sendfax using mkstemp)
      + Added total page counting feature to hp-sendfax
      + Added a BSD license to magic.py
  * debian/control: build-depend on libusb >= 0.1.8
  * dpatch 00_01_upstream-0.9.8-4: remove (applied upstream)
  * dpatch 60_lp_instead_of_lpr: rediff to remove skips
  * dpatch 40_quiet-hpiod: rediff to remove skips
  * dpatch 01_rss: rediff to reorder file hunks
  * dpatch 30_no-ping: remove, upstream removed icmp functionality
  * dpatch 70_sane_ppd_directory_handling: remove (applied upstream)
  * dpatch 45_quiet_hpijs-fax: remove (applied upstream)
  * dpatch 35_no-fax-setuid: remove, upstream now does seteuid()/setegid()
    only if sendfax is being run as root
  * dpatch 10_shebang_fixes (new): new dump place for #!<interpretor> fixing
  * hplip.menu: s/hp-fax/hp-sendfax/
  * debian/control, debian/compat: switch to debhelper mode V5
  * debian/control, debian/rules: provide and use hpijs:Upstream-Version,
    rename Upstream-Version to hplip:Upstream-Version
  * Rename hplip-ppds package to hpijs-ppds, update all documentation to
    point to hpijs-ppds and linuxprinting.org-ppds and add a hpijs.NEWS
    entry about the package rename as well
  * debian/control: conflict hpijs with hplip-ppds versioned to source
    version, as a dirty trick to not clash with hpijs-ppds providing
    hplip-ppds
  * debian/rules, debian/hpijs-ppds.install, debian/hpijs-ppds.links,
    debian/hpijs-ppds.NEWS:
    Don't ship non-hpijs PPDs anymore, linuxprinting.org-ppds takes care
    of the pure postscript PPDs now
  * debian/rules: version hpijs-ppds the same way we version hpijs
  * debian/control: suggest hpijs-ppds and linuxprinting.org-ppds for hplip
    instead of recommending the old hplip-ppds package.  Recommend hpijs
    with fax support for hplip. Remove conflict on foomatic-db-hpijs and
    foomatic-filters-ppds from hplip.  Conflict hpijs-ppds with
    foomatic-filters-ppds before 20060113-1 when the PPD duplication was
    removed from foomatic-filters-ppds
  * debian/control: rework package descriptions a little
  * debian/rules: ship all PPD files compressed
  * debian/rules: separate arch-dep and arch-indep install, to avoid wasting
    a great deal of time on slower archs gziping PPDs
  * hplip initscript: Run hpiod as root because of libusb
  * debian/copyright: update dates

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 19 Mar 2006 23:32:57 -0300

hplip (0.9.8-1) unstable; urgency=low

  * This release was not uploaded to Debian
  * New upstream version
    * HPIJS 2.1.8 (patchlevel 4):
      + Moved OfficeJet 6100 and 6150 to DJ55xx.h; margins on these devices
        are same as those on DJ5550
      + Added support for the following new printers:
        + HP LaserJet 3050 (LJMono/PS)
        + HP LaserJet 3060/3062 (LJMono/PS)
        + HP LaserJet 3390/3392 (LJMono/PS)
        + HP Deskjet 6980 series (DJGenericVIP)
        + HP Deskjet 6940 series (DJGenericVIP)
      + Updated KRGB patches to version 1.2:
        + Fixed krgb buffer overflow issue with out-of-band data in
          fill_rectangle and copy_mono. This buffer overflow condition
          occurred with fullbleed print jobs that had k-band images
        + Added Dan Coby's (artifex) fix for gsijs_read_string_malloc
          gs_free *str memory leak.
    * HPLIP 0.9.8 (patchlevel 4):
      + Added send fax support (still quite rough)
      + Added HP Setup utility
      + Fixed deviceid zero termination issue in hplip_api.c
      + Enhanced the status history table in hp-info
      + Changed device list in toolbox to use small icons for status overlay
      + Modified models.xml file to add pen info back to OJ5500 and disable
        front panel
      + Removed probe.py from distribution
      + Added Fax URI generation to hp-makeuri
      + Fixed hp-makeuri so that it would not report URIs for non-existent
        functions
      + Fixed hp-makeuri quiet modes that they are actually quiet
      + Added a new chooser dialog that presents a list of CUPS queues
        rather than device URIs (hp-sendfax, hp-print)
      + Fixed a hpiod problem with the PS 2570 series. This will fix the
        scanning blue-screen error with USB High Speed
  * dpatch 00_01_upstream-0.9.8-4 (new): 0.9.8 patchlevel 4
  * hplip package: recommend python-reportlab for fax cover page support
  * Instead of modifying the PPD manufacturer tag from HP to HP (HPLIP),
    now append HPLIP and the upstream version to the nickname
    (closes: #347264)
  * Ship hpijs PPDs in /usr/share/ppd/hpijs/<PPD Manufacturer> as per
    the Debian PPD file structure specification.  Ship the pure postscript
    PPDs in /usr/share/ppd/hplip-postscript, for now
  * Normalise case and start all HP PPD file names with "HP-"
  * debian/control: Remove foomatic-db-hpijs from suggests and
    recommends, as it will go away
  * Update READMEs and NEWS files for the above PPD changes, add NEWS
    file for hplip-ppds while at it
  * Update hplip's README for hp-setup
  * Mention that the RSS patch is stale in hpijs' README
  * Removed patch already applied upstream: 00_01_upstream_0.9.7-2
  * dpatches 30_no-ping, 50_doc-location, 60_lp_instead_of_lpr: rediff
  * Let configure detect all standard paths for CUPS, except for the
    PPD path
  * Prune non-shipped-files.txt, and change debian/rules to tell us
    which files were removed instead of doing it silently
  * dpatch 70_sane_ppd_directory_handling (new): modify hplip to
    look for PPD files under /usr/share/ppd/hplip, instead of
    searching the entire CUPS PPD tree (used by hp-setup)
  * Add menu entries for hp-print, hp-sendfax and hp-fab
  * Add HPmenu.xpm icon
  * dpatch 35_no-fax-setuid (new): change hpssd fax queue function
    not to setuid(), as we don't run as root.  This limits sending
    faxes somehow, but the impact is not clear to me yet.  Bug reports
    welcome
  * dpatch 45_quiet_hpijs-fax (new): remove noisy hpijs debug output in
    the fax driver
  * debian/control: rework package descriptions, mention fax support
  * Ship KRGB patches cleaned up and tailored for Debian's gs versions
  * Update debian/copyright for new directories, mention license of KRGB
    patches (MIT)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon,  6 Mar 2006 16:43:08 -0300

hplip (0.9.7-4ubuntu1) dapper; urgency=low

  * Synchronize with Debian unstable.
  * Keep the .desktop file, add "NoDisplay=true".
  * Keep qt build dependencies, now in main.
  * hplip-data now provides hpijs-data (introduced in 0.9.8).
  * Try to open a message dialog for the "No Qt" message. Malone: #26413.
  * Install ppd files into a manufacturer specific directory.
  * Set the manufacturer name to "HP".
  * Start hplip before cupsys. Malone: #3841, #26570.
  * Put toolbox icon in category system, not application. Malone: #25627.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Apr 2006 10:27:47 +0000

hplip (0.9.7-4) unstable; urgency=low

  * New upstream 0.9.7-2 patch: fixes for the following problems:
    + Photosmart 2570 series blue screen scanning error
    + GetDeviceStatus overwrite in hpiod (from RedHat)
    + SuperB margin issue with OJ K550, OJ K850 and DJ9800
    + _GNU_SOURCE define in hpaio.h. (from RedHat)
  * Remove versioning of python-qt3 and pyqt-utils build-dependencies to
    make backports easier.  Current versions in stable, testing and sid
    are safe AFAIK
  * Build-depend on libsnmp9-dev|libsnmp5-dev, to ease sarge backports

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed,  7 Dec 2005 14:05:12 -0200

hplip (0.9.7-3) unstable; urgency=low

  * Switch from two versioned conflicts to two versioned depends/recommends
    to encode the relationship between hplip and hplip-data.  This is
    easier on apt, since conflicts preclude unpack, while depends preclude
    configure
  * Fix non-removal of rem_str on 60_lp_instead_of_lpr (closes: #341445)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 30 Nov 2005 15:04:33 -0200

hplip (0.9.7-2) unstable; urgency=low

  * Brown paperbag release
  * Actually add 60_lp_instead_of_lpr to list of active dpatches.
    This closes: #336407 for real

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 25 Nov 2005 00:24:58 -0200

hplip (0.9.7-1) unstable; urgency=low

  * New upstream version
    * HPIJS 2.1.7:
      + Fixed OJ K550 typo in HPIJS
      + Added photo tray support to DJGenericVIP device class. This effects
        all DJGenericVIP PPD files
      + Added support for the following new printers:
        + HP Color LaserJet 3000 (LJColor/PS)
        + HP Color LaserJet 3600 (LJJetReady)
        + HP Color LaserJet 3800 (LJColor/PS)
    * HPLIP 0.9.7:
      + Added 1284.4 support to hpiod. Previous support was MLC only
      + Changed hp-toolbox startup behavior to increase performance
      + Added checks in messaging code to prevent invalid messages from
        crashing hpssd
      + Added hp-toolbox PML cleanup code to LJ status code
      + Fixed clj28xx scanning issue. Mfpdtf buffer was too small
        libsane-hpaio. This fixes a problem introduced in 0.9.5
      + Modified hp-makeuri to allow hostnames for network addresses
      + Added support for "alternate n-up" for PS documents to hp-print
      + Fixed an issue where the website link for support information is
        wrong in "HP" tab of "Support Information" dialog
      + Fixed an issue setting the scan token in libsane-hpaio
      + Fixed an issue where an error occurs while executing the command
        "hp-check -lnone" in terminal
      + Fixed an issue where an exception is caught but the program does not
        show a correct prompt when running the command "hp-align" with parameter
        -p
      + Fixed System::GetSnmp sigfault in hpiod. This will fix network
        scanning/hp-toolbox issues in previous HPLIP releases
      + Fixed an issue where an error occurs while executing hp-photo after
        the usb cable was disconnected
  * Use far less tight versioning that works with the new rules for binNMUs,
    and break a dependency loop while at it (closes: #339909)
  * Add versioned dependency on coreutils 5.1+ (closes: #337375)
  * New dpatch 60_lp_instead_of_lpr:
    Use "lp" instead of "lpr" to submit jobs (closes: #336407)
  * Ship copyright and changelogs along with hplip-data too, as it is not
    depending on hplip anymore and the /usr/share/doc/hplip-data symlink has
    to go away

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 24 Nov 2005 16:20:29 -0200

hplip (0.9.6-1ubuntu8) dapper; urgency=low

  * Fix symlink in /usr/share/cups/model.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 14 Apr 2006 08:06:24 +0000

hplip (0.9.6-1ubuntu7) dapper; urgency=low

  * Keep the .desktop file, add "NoDisplay=true".
  * Keep qt build dependencies, now in main.
  * hplip-data now provides hpijs-data (introduced in 0.9.8).
  * Try to open a message dialog for the "No Qt" message. Malone: #26413.
  * Install ppd files into a manufacturer specific directory.
  * Set the manufacturer name to "HP".
  * Start hplip before cupsys. Malone: #3841, #26570.
  * Put toolbox icon in category system, not application. Malone: #25627.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Apr 2006 10:27:47 +0000

hplip (0.9.6-1ubuntu6) dapper; urgency=low

  * Updated patch name and listed it from 00list so it's used

 -- Sebastien Bacher <seb128@canonical.com>  Wed, 15 Feb 2006 23:53:10 +0100

hplip (0.9.6-1ubuntu5) dapper; urgency=low

  * Patch to support the newer-style /dev/usblp%d device names we've
    been using in dapper for USB printers.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 15 Feb 2006 18:18:14 +0000

hplip (0.9.6-1ubuntu4) dapper; urgency=low

  * Rebuild with libsnmp9-dev.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 01 Dec 2005 08:13:47 +0100

hplip (0.9.6-1ubuntu3) dapper; urgency=low

  * Really disable .desktop file by removing it from debian/
  * Really make hp-toolbox and hp-unload give helpful error
    messages. (Malone #4659)

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 21 Nov 2005 09:24:32 +0100

hplip (0.9.6-1ubuntu2) dapper; urgency=low

  * Demote python-qt3 to Suggests (so we don't end up with python-qt3 in
    desktop)
  * Don't ship .desktop file.
  * Make hp-toolbox and hp-unload give helpful error messages if
    python-qt3 isn't installed.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Thu, 17 Nov 2005 10:36:22 +0100

hplip (0.9.6-1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian
    - Remove 90_bigendian-fix.dpatch, since it's already upstream
    - Remove 88_configure.in.dpatch and 89_configure.dpatch and pass icon
      path in debian/rules instead.
    - Still use libsnmp5-dev.
    - Switch to newer-style LSB init script functions (which are in the
      Debian package, thanks hmh)
    - Forward-port "have hplip installed, but please don't start it"
      patch.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 15 Nov 2005 11:30:10 +0100

hplip (0.9.6-1) unstable; urgency=low

  * New upstream version
    * HPIJS 2.1.6:
      + Moved DJ450 from DJGenericVIP class to DJ9xxVIP class, because
        mandatory margins are 0.25 inch on left and right sides and it does
        not support fullbleed on any papersize
      + Added a new printer family, DJ55xx to take care of margin issues for
        DJ55xx printers
      + Fixed a bug in sending custom paper size to JetReady and FastRaster
        printers
      + Fixed a bug in LJFastRaster when last band was less than 128 height,
        it was incorrectly positioned.
      + Fixed margin adjustment code to allow fullbleed or .125 inch margins
        for those printers that support it in autoduplex mode
      + Added support for the following new printers:
        + HP Color LaserJet 4730 MFP (LJColor/PS)
        + HP Deskjet 460 (DJGenericVIP)
        + HP Officejet Pro K550, K850 (DJGenericVIP)
    * HPLIP 0.9.6:
      + In hp-toolbox (Device Manager) made a small LaserJet status change
        that makes the CLJ 2550 work correctly
      + Fixed a bug with the PSC3310 with low photo supplies (caused a
        toolbox exception)
      + Fixed a problem that made an offline CLJ2500 crash hpssd
      + The hp-toolbox no longer uses a "listen" server socket.  All
        communication is done over the same client socket to hpssd
      + Added new hp-toolbox UI for supplies and maintenance tools
      + Made numerous changes to hp-toolbox
      + Set CLJ 25xx devices to uni-di mode in models.xml
  * Henrique de Moraes Holschuh:
    * Remove patches already applied upstream:
      00_upstream-0.9.5-3, 11_fix-misc-gcc-warnings, 13_intsign-fixes,
      15_64bit_fixes, 20_fix_unitialized_var_bugs, 50_hp-clean_fix,
      99_ubuntu_hplip-deroot
    * Remove some hunks already applied upstream:
      14_charsign_fixes
    * Add a NEWS file for hpijs, warning users of PPDs that are documented
      by upstream to have been changed significantly
    * Fix hpijs autobuild system to actually work re. libhpip, by adding
      some automake magic and libtool support
    * Merge hplip-base and hplip packages.  Current upstream code makes it
      a losing battle to try to keep the two separate
    * Don't bother explaining about alternate PPD sources in basic docs like
      README.Debian.  Don't suggest them in control file, either.  This is
      needed because HPLIP PPDs often change in non-forward or non-backwards
      compatible ways
    * Remove stray scan/__init__.py file
    * New patch 30_noping: Do not attempt to send icmp packets in hpssd, as
      it will not work since it doesn't run as root anymore.  Thanks to
      tatu.mannisto@iki.fi for the report (closes: #333850)
    * New patch 40_quiet-hpiod: Shut hpiod up while trying to autodetect
      parallel port printers, it was being waay too annoying in syslog
    * New patch 50_doc-location: Add final / to URIs and point the readme
      to the /usr/share/doc location inside hp-toolbox.  If the local admin
      doesn't like documentation and removes /usr/share/doc/hplip, this
      doesn't break anything... you just get no documentation, which was
      kind the point the admin was trying to make, I suppose ;-)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 24 Oct 2005 13:08:43 -0200

hplip (0.9.5-4) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Add more hunks to 14_charsign_fixes, probably non-critical fixes
    * Clean up and revamp configure.in/Makefile.am so that it is less buggy
      re. some 'assumptions' made upstream (closes: #329782)
    * Version pyqt build-dependendices to make sure no autobuilder will
      screw us over the C++/gcc transition, these can be removed in the
      not-so-distant future
    * Fix minor typo in a package description
    * Move hp-print from hplip-base to hplip, as it has a GUI now, thanks
      to HPLIP upstream for the bug report
    * Move /usr/lib/hplip/plugins from hplip-base to hplip package, as it
      is an ui/ component

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed,  5 Oct 2005 00:14:33 -0300

hplip (0.9.5-3) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Added upstream patch 0.9.5-3
      + Fix scanning on little-endian hosts
    * Dropped 40_testmail_fix, not only it was already present upstream,
      but I failed to notice patch screwing up royally when I rediffed it
      for 0.9.5-1.  Thanks to HPLIP upstream for the heads'up(!)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 21 Sep 2005 00:06:21 -0300

hplip (0.9.5-2ubuntu2) breezy; urgency=low

  * Fix big-endian architecture FTBFS.
    - adds 90_bigendian-fix.dpatch
  * Fix configure.in breakage when picking default desktop directory.
    - adds 88_configure.in.dpatch, 89_configure.dpatch

 -- LaMont Jones <lamont@ubuntu.com>  Thu, 22 Sep 2005 12:08:22 +0000

hplip (0.9.5-2ubuntu1) breezy; urgency=low

  * New upstream version, exception from upstream version freeze.
  * Synchronize with unstable.
    - Build against libsnmp5-dev.
    - Use older lsb init functions found in breezy.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Sep 2005 18:03:11 +0200

hplip (0.9.5-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Added upstream patch 0.9.5-2
      + Fix scanning on Laserjets
      + Fix scanning on parallel-port only Inkjets

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 20 Sep 2005 01:01:05 -0300

hplip (0.9.5-1) unstable; urgency=low

  * New upstream version
    * HPIJS 2.1.5:
      + Fixed a 4-sided full bleed printing issue in HPIJS
      + Added support for the following new printers:
        HP Photosmart 420 (PSP100)
        HP Photosmart 470 (PSP100)
        HP Photosmart 2570 (DJGenericVIP)
        HP PSC 1400 (DJ3600)
        HP Officejet 5600 (DJ3600)
        HP Photosmart 3100 (DJGenericVIP)
        HP Photosmart 3200 (DJGenericVIP)
        HP Photosmart 3300 (DJGenericVIP)
        HP Photosmart 8000 (DJGenericVIP)
        HP Photosmart 7800 (DJGenericVIP)
        HP Deskjet 5940 (DJGenericVIP)
        HP Deskjet 5440 (DJGenericVIP)
        HP Color laserJet 4700 (LJColor/PS)
    * HPLIP 0.9.5:
      + Added parallel port support for printing and scanning. See
        Product Support table for supported devices and features
      + Changed the PS8700 PPD inputslot from "default" to "upper"
      + Fixed miser mode MLC credit problem in hpiod
      + Fixed MLC credit problem with short timeouts
      + Fixed many known hp-toolbox issues
      + Fixed case where hp-toolbox crashed if models.xml entry was missing
      + Fixed hp-colorcal incorrect parameter passing to maint routines
      + Fixed a bug in hpssd.py that caused hal:\\ devices to crash hpssd
      + Fixed supplies status for CLJ28xx
      + Fixed powersettings for DJ4x0
      + Fixed LJ1022 status problem
  * Henrique de Moraes Holschuh:
    * Dpatch maintenance:
      + Remove 20_useless_assignment_fix: fixed properly upstream
      + Update 11_fix-misc-gcc-warnings, 14_charsign_fixes,
        50_hp-clean_fix: some hunks fixed upstream, some new hunks added
      + Rediff 13_intsign-fixes, 40_testmail_fix
      + New 20_fix_unitialized_var_bugs: fix some real bugs caused by
        broken code with unitialized variables
      + Switch all dpatches to /usr/share/dpatch/dpatch-run
    * Add hp-levels symlink for new utility, that shows agent levels
      using ASCII-art bar graphs

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 19 Sep 2005 11:44:52 -0300

hplip (0.9.4-4) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Rebuild for C++ transition
    * Mention usblp on README.Debian (closes: #326684)
    * Fix invocation of dh_python for all binary packages other than hplip
    * Do not remove pyc/pyo python compiled files from package hplip-base
      when package hplip is removed
    * Switch initscript to LSB-like reporting, and remove old HPGUId cruft
      while at it
    * hplip-base: add dependency on lsb-base due to initscript changes

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu,  8 Sep 2005 12:47:58 -0300

hplip (0.9.4-3ubuntu4) breezy; urgency=low

  * One hplip B-D has changed under our feet breaking configure in a quite
    impressive useless (for Ubuntu and Debian) point:
    + Fix configure and configure.in to cope with this change.
    + Fix FTBFS.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 19 Sep 2005 13:58:12 +0200

hplip (0.9.4-3ubuntu3) breezy; urgency=low

  * No GUIs here, correct LSB status messages

 -- Matt Zimmerman <mdz@ubuntu.com>  Wed, 14 Sep 2005 11:57:15 -0700

hplip (0.9.4-3ubuntu2) breezy; urgency=low

  * Add /etc/default/hplip to define a variable RUN_HPLIP, so
    users can explicitely disable the start of hplip without
    removing Ubuntu meta packages. Addresses Ubuntu 14054.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Sep 2005 22:35:16 +0200

hplip (0.9.4-3ubuntu1) breezy; urgency=low

  * Synchronize with unstable.
  * Unconditionally run as user hplip (Ubuntu 14061).
  * Use LSB init-functions (Ubuntu 14339).

 -- Matthias Klose <doko@ubuntu.com>  Fri,  2 Sep 2005 14:20:24 +0200

hplip (0.9.4-3) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * New cleanup patches: 14_charsign_fixes, 20_useless_assignment_fix
    * New dpatch: 15_64bit_fixes
    * New hunks to dpatch: 11_fix-misc-gcc-warnings.dpatch

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat,  6 Aug 2005 02:10:24 -0300

hplip (0.9.4-2) unstable; urgency=low

  * Matthias Klose <doko@ubuntu.com>:
    * hplip-base should also replace files in hplip-data (<< 0.9.3)
    * Run HPLIP daemons as non-root user (optional, default as run as root)
      (closes: #320936)
  * Henrique de Moraes Holschuh:
    * Modify Matthias' postinst to create the hplip user in a safer way
    * Depend on the correct adduser version for the above (just in case some
      dweeb tries to backport this to ancient Debian)
    * Add hplip-base.post{inst,rm} and initscript machinery for the hplip
      user, supporting ephemeral /var/run and dpkg-statoverride the way I
      like it
    * Make run-hplip-as-non-root *non*-optional, it is safer and there is
      nothing in hpiod or hpssd that requires root priviledges to work in a
      Debian system
    * Add NEWS.Debian item about running as non-root

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue,  2 Aug 2005 23:36:19 -0300

hplip (0.9.4-1ubuntu1) breezy; urgency=low

  * Synchronize with Debian.
    - Just keep dropping the pyqt-tools build dependency, and don't
      remove the generated .py files from the source.
  * debian/hplip-base.postinst:
    - Create system user "hplip" (with primary group lp).
  * debian/hplip-base.postrm:
    - Remove system user "hplip" on purge.
  * debian/hplip-base.init:
    - Start daemons as as user:group hplip:lp.
    - Create /var/run/hplip, if directory doesn't exist.
  * debian/hplip-base.default:
    - Default to run as user hplip.
    - Add comment not to use port numbers below 1024 if not running as root.
  * debian/control:
    - hplip-base replaces hplib-data (<< 0.9.3).
  * debian/patches/60_derootify.dpatch:
    - New patch, don't run as root.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jul 2005 21:23:58 +0200

hplip (0.9.4-1) unstable; urgency=low

  * New upstream version
    * HPIJS 2.1.4:
      + In order to accommodate 4-sided full bleed, PS320/330/370/380 were
        moved to the DJGenericVIP device class
      + Added hplip_api convenience library
      + Fixed a problem where bi-di was not turned off correctly in hpijs.
        This caused extra deviceid queries
      + Fixed postscript PPD file case sensitivity issue. This issue caused
        a problem with kprinter
      + Added PPD files for the following new printers: HP Color LaserJet
        2800, HP Photosmart 8200, HP Photosmart 330, HP Photosmart 380,
        Deskjet 1280, Deskjet 3040, Deskjet 3920
    * HPLIP 0.9.4:
      + Added uni-di device support to "hp" backend
      + Added hplip_api convenience library.  Converted HPLIP clients (hp,
        libsane-hpaio, hpijs, ptest) to hplip_api
      + Added device ID mode to hp-info utility (Tim Waugh of Red Hat
        request)
      + Added new DeviceOpen() parameters to accommodate different backend
        types
      + Changed and added new "io" support tags to models.xml
      + Added LJ1022 to models.xml file
      + Desensitized model names generated by hpiod. This will eliminate
        leading, trailing and double spaces in the model name
      + Made change to the models.xml file for Photosmart 120 and 240 series
        which had pen 57 mislabeled as black
      + Added LJ 8000, LJ 1160 series entries to models.xml
      + Removed LJ 3100 from models.xml. There are no plans to support this
        printer
      + Fixed a scanimage problem with OJ D135 and OJ 7110
      + Fixed "Invalid color calibration type" error in hp-colorcal
      + Fixed "Unknown internal error" when executing command "hp-probe
        -bnet"
      + Fixed a intermittent SNMP problem reading signed integers in hpiod.
        This will fix some network scanning issues.
      + Enhanced hp-info and hp-makeuri as per Red Hat and Suse request
      + Changed SLP detection to detect more devices based on forum
        feedback
      + Added limited support for HP Color LaserJet 2800, is limited to:
        only postscript printing is supported; Photo Card access is not
        available via hp-photo, but it is available via USB mass storage;
        Network scanning is supported, but USB scanning is not;
        Hp-toolbox status is not complete
  * Henrique de Moraes Holschuh:
    * Removed patches already upstream: 00_upstream_0.9.3-1,
      10_missing-prototypes
    * Merged LTLIBRARY instances in top Makefile.am
    * Fixed some minor typos in README.Debian, thanks to Santiago Vila
    * Bump standards version to 3.6.2, no changes
    * Makefile.am: declare colorcal4form_base.ui, printerform_base.ui as
      noinst_DATA

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 24 Jul 2005 09:37:29 -0300

hplip (0.9.3-3) unstable; urgency=high

  * New upstream patch 0.9.3-1 to hpijs:
    + Fixed a bi-di problem with all LIDIL printers (DJ3320, DJ3600)
    + Fixed a 64-bit problem with LJJetReady printers
    + Fixed a KRGB issue in the VIP path in HPIJS. This fixes a problem
      where black text would drop some pixels with VIP printers (DJ9xxVIP,
      DJGenericVIP) (closes: #314442)
  * Henrique de Moraes Holschuh:
    * Minor updates to README.Debian on the various packages
    * Rework package descriptions a bit in control file
    * Stop confliting with HPOJ.  We are fine with it as long as the same
      device is NOT being used by HPOJ and HPIJS
    * Remove hplip-base dependency from hplip-ppds. Instead, suggest
      hpijs and hplip-base in hplip-ppds, and ship changelog instead of symlink
    * Remove some stray -Nhplip crap from arch-dep section of rules files
    * Remove 12_fix-gcc4-errors.dpatch, accepted upstream (patch 0.9.3-1)
    * debian/rules: avoid useless /usr/bin/find warnings about 
      maxdepth/mindepth

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 29 Jun 2005 00:48:18 -0300

hplip (0.9.3-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * New binary-all package: hplip-ppds, with the PPDs shipped by HPLIP
      upstream.  Other than due to bug-fixes, these are usually a better
      match for the current hpijs/hplip capabilities than those from
      foomatic-filters-ppds or foomatic-db-hpijs
    * Change the Manufacturer string on all PPDs to "HP (HPLIP)", to set
      them apart from PPDs of other sources
    * Update README.Debian with information about the HPLIP PPDs
    * Recommend hplip-ppds (closes: #311470, #311474)
    * New patch: 12_fix-gcc4-errors (closes: #310435)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat,  4 Jun 2005 09:28:18 -0300

hplip (0.9.3-1) unstable; urgency=low

  * New upstream version
    * HPIJS 2.1.3:
      + Increased the printable region for DJGenericVIP. This resolves a
        left margin issue
      + Fixed a problem printing more than one page with LJ 1010/1012
      + Modified hpijs to ignore bi-di errors so the "hp" backend can
        handle them.  This fixed a problem where hpijs would hang
        forever
    * HPLIP 0.9.3:
      + Modified models.xml Deskjet_1220C panel_check_type to be 0
      + Fix the Test Email Alert
      + Added MlcInit retry to hpiod
      + Changed hplip_readme.html "Photo" support to yes for
        OJ7200/7300/7400
      + Fixed intermittent device hang problem with LJ 1010/1012/1015
        in hp.c
      + Added OfficeJet V40 to models.xml
      + Fixed models.xml so that LJ 1010, 1012, 1015, and 1022 all print
        using "raw" io
      + Fixed "hp-probe -s*" error
      + Fixed error while clicking the"Access Photo Cards" without any
        photo card
      + Fixed error while running hp-testpage command to print
        after disconnecting the USB cable
      + Added LJ 1010 and 1012 to models.xml, and made sure the OJ K80xi
        has both a single spaces and a double spaced entry
      + Fixed error which occurs after launching the toolbox in the terminal
      + In models.xml cloned HP LaserJet 4050 Series to the same thing with a
        trailing underscore
  * Henrique de Moraes Holschuh:
    * Swap maintainer and uploader fields for now, since I am spending
      far more time in HPLIP than Torsten.  Should that change, he will
      switch the fields back as they were
    * Tell libtool that the sane plugin is a plugin with -module
    * Split hplip into GUI and non-GUI packages, as suggested by
      Matthias Klose <doko@ubuntu.com> (closes: #307790)
      + Change /usr/share/doc/hplip to a symlink (requires hplip.preinst
        and hplip.postinst glue to support error unwind and downgrades)
      + Change hplip package to arch all, as all C source and binary
        modules belong in hplip-base
      + hplip-base.preinst (new), hplip-base.postrm (new), hplip.postrm:
        Remove any .pyc and .pyo files scattered around /usr/lib/hplip
    * Fix configure.in, Makefile.am to accept and use a PYTHON variable
      to select the python version to run properly, and really use whatever
      python that variable points to, and no other (closes: #307788)
    * Rework configure.in and Makefile.am a bit, in a moment of utter
      boredom
    * Change autogen.sh and debian/rules to get the hpijs versioning
      through autoconf --trace at autotools-run time, and document the
      debian/hpijs.version file in debian/README.Source
    * Remove unneeded #! lines from python modules before packaging the
      debs, to make lintian happier
    * Control new files showing up upstream, by using a static list of
      non-shipped files and passing --fail-missing to dh_install
    * Remove debian/executable.files and debian/deletable.files support,
      as this package does not require it
    * hplip-base: recommend cupsys-client, as some of the utilities
      run "lp -d..." and friends (closes: #308960)
    * Rediff 01_rss.dpatch, 10_missing-prototypes.dpatch,
      11_fix-misc-gcc-warnings.dpatch, 13_intsign-fixes.dpatch,
      40_testmail_fix.dpatch, 50_hp-clean_fix.dpatch to remove some hunks
      accepted upstream and remove any fuzziness and line numbering skews
    * Remove patch 30_bind_to_INADDR_LOOPBACK, completely accepted
      upstream

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 25 May 2005 00:31:22 -0300

hplip (0.9.2-2ubuntu3) breezy; urgency=low

  * Fix FTBFS using GCC 4.0.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 May 2005 15:01:45 +0000

hplip (0.9.2-2ubuntu2) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 May 2005 15:42:15 +0000

hplip (0.9.2-2ubuntu1) breezy; urgency=low

  * Resynchronise with Debian. Ubuntu 10583.
  * Fix location of document registered with doc-base. Ubuntu 10490.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 May 2005 14:57:10 +0200

hplip (0.9.2-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Added new patch: 50_hp-clean_fix, fix hp-clean bad wipeAndSpitType1()
      invocation

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 26 Apr 2005 02:04:27 -0300

hplip (0.9.2-1ubuntu1) breezy; urgency=low

  * Detect python default version.
  * Split out all non GUI stuff into hplip-base, keep only the GUI
    in hplip. Avoids installation of QT.
  * Remove build dependencies on pyqt-tools and python-qt3. Nothing
    needed for the build process. Keep the pregenerated .py files.

 -- Matthias Klose <doko@ubuntu.com>  Thu,  5 May 2005 14:16:04 +0200

hplip (0.9.2-1) unstable; urgency=medium

  * New upstream version
    * HPIJS 2.1.2:
      + Added new print mode "FastDraft Grayscale" to DJGenericVIP
      + Put limit (max=5) on syslog messages when output device write()
        fails (closes: #210449)
      + Removed specified gcc options in hpijs configure.in
      + Fixed a 64-bit compile issue in ljjetready.cpp (closes: #302828)
    * HPLIP 0.9.2:
      + Fixed "Invalid color calibration type" error occurs when executing
        command "colorcal" in terminal
      + Fixed number of arguments error in hp-align
      + Made UI architectural change (removed hpguid.py, removed popup feature,
        etc)
      + Fixed a scanning issue with Laserjet flatbed scanners (PML scanners).
        Scan would fail at end of scan
      + Removed images.tgz after install
      + Fixed a problem when all function buttons are grayed out when toolbox is
        launched at the first time.
      + Fixed DJ450 battery check issue
    * Henrique de Moraes Holschuh:
      * Updated dpatch 11_fix-misc-gcc-warnings with many new hunks
      * Added 40_testmail_fix, to get hpssd and Test Email functionality to
        actually work (it was completely useless and hopelessly broken)
        (closes: #291346)
      * Updated README.Debian files for HPIJS and HPLIP

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 20 Apr 2005 10:05:59 -0300

hplip (0.9.1-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * New dpatch (30_bind_to_INADDR_LOOPBACK):
      Bind to INADDR_LOOPBACK instead of to INADDR_ANY for now, as
      HPLIP is constrained to working bound to localhost currently
      (closes: #304068)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed, 13 Apr 2005 08:14:25 -0300

hplip (0.9.1-1) unstable; urgency=low

  * New upstream version:
    * HPIJS 2.1.1:
      + Fixed hpijs bi-di assert issue with business inkjet 1100
      + Added PPD files for the following printers: HP LaserJet 4240,
        HP LaserJet 9040, HP color LaserJet 4610, HP LaserJet 1022,
        HP Business Inkjet 1000
    * HPLIP 0.9.1:
      + Added a "front panel" enable/disable flag to models.xml. Some printers
        were disabled (ie: deskjets)
      + Ink level and status displays have been fixed for CP1160/1700, OJ7100
         series and OJ D series
      + Added battery level check for mobile deskjets (DJ 450, etc)
      + Fixed issue that could cause DJ 450 to lock-up during panel check
        (miser mode)
      + Fixed extraneous hpiod error. Corrected pml iod in scl path that was
         in libsane-hpaio
      + Added PSC 750xi, OJ 5110 to models.xml file
      + Added device manager *.ui files to package
  * Henrique de Moraes Holschuh:
    * Rebuild 11_fix-misc-gcc-warnings, most of it accepted upstream,
      but we have also new hunks as well
    * Remove 12_portability-fixes, accepted upstream
    * Remove 14_fix-fat-prototypes, accepted upstream
    * Remove 20_jddirect-bug-from-hell, fixed upstream
    * Remove 30_fix-missing-retcode, accepted upstream
    * Avoid shipping check.py, since it is useless for Debian systems
    * Change both upstream and Debian build system to take advantage
      of the .ui files and rebuild the .py files that are generated
      from them using pyuic
    * Build-depend on pyqt-tools for pyuic

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat,  2 Apr 2005 10:58:28 -0300

hplip (0.9-1) unstable; urgency=low

  * New upstream version (closes: #302230):
    * HPIJS 2.1:
      + Added two new device classes - LJFastRaster and LJJetReady
      + Fixed input tray issue with Business Inkjet 1100/1200
      + Changed default quality setting from 300 to 600 dpi for DJ9xxVIP
      + Replaced gdevijs-krgb-1.0.patch with gdevijs-krgb-1.1.patch
        This patch fixes as segfault issue with 1-bit color space IJS drivers
        (ie: epsonepl)
      + Fixed a issue with DJ3600 photo pen printing
      + Support additional printers: LaserJet 1010/1012/1015, Color LaserJet
        3500/3550, HP Photosmart 8750, HP Deskjet 6600, HP Deskjet 9800 Series
    * HPLIP 0.9:
      + Added network scanning support
      + Added full status and supply information for most LaserJets
      + Added hp-makeuri command for generating "hp" URIs from an IP address
         or device node
      + Fixed some network issues with hp-probe
      + Fixed a problem with multiple files using the same name in photo card
      + Fixed a bug in the cancel job code in hp-toolbox
      + Fixed some dialog cancel defects in clean and align
      + Reversed order of status history in hp-toolbox
      + Added photo card access status
      + Added hp-toolbox right click menu
      + Hpssd no longer scans devices at startup, devices are scanned when
        hp-toolbox is first started
      + Removed power-up from the probe command in hpiod.  This means that
        when CUPS queries the "hp" backend for devices, the printer will not
        power-up (closes: #291321)
      + Added non-zero exit codes to hp-toolbox
      + Added changes to display EXIF data in photo card
      + Added channel cleanup code to hpiod.  This will fix some issues when
        canceling print jobs from the host
      + Added a non-scrolling "front panel display" feature to hp-toolbox
      + Added Color Calibration for various printer platforms
      + Do not keep restarting/reopening hp-toolbox at every status change
        (closes: #292672)
  * Henrique de Moraes Holschuh:
    * Build-depend on libjpeg62-dev for hpijs 2.1
    * Version build-dependency on libsnmp5-dev (>> 5.1.2-6), to avoid
      #302195 which completely hoses the hplip build
    * Remove 30_xpp_support.dpatch, applied upstream
    * New patches:
      + 10_missing-prototypes: Add missing prototypes
      + 11_fix-misc-gcc-warnings: Fix bad C code that causes
        warnings and strict aliasing rules problems (closes: #297587)
      + 12_portability-fixes: Remove braindamage that causes
        portability problems and warnings
      + 13_intsign-fixes.dpatch: Fix signed/unsigned comparison issues
      + 14_fix-fat-prototypes: Fix prototypes missing a (void) so that gcc
        shuts up
      + 20_jddirect-bug-from-hell: Fix complete breakage in
        JetDirectDevice::NewChannel (undefined value assigned to channel
        mode)
      + 30_fix-missing-retcode: Add missing assignment of retcode
    * Add hplip.desktop freedesktop.org file, thanks to Christopher Martin
      (closes: #302248)
    * Rename all hplip_* links in /usr/bin to hp-* to follow upstream
    * Ship new SANE backend dll.d configuration, and conflict with libsane
      (<< 1.0.15-7) (closes: #296317)
  * Torsten Landschoff:
    + debian/control: Fix typos in description
      - of hpijs: a IJS driver -> an IJS driver (closes: #299987)
      - of hplip: a X11 session -> an X11 session (closes: #299991)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  1 Apr 2005 09:38:12 -0300

hplip (0.8.8-1) unstable; urgency=low

  * UNRELEASED: This release was never uploaded to unstable due to serious
    issues with many devices

  * New upstream version:
    * Added low ink infrastructure to device manager
    * Made fixes to cleaning procedure
    * Offline devices will now show supplies list with "Unknown" levels (was
      blank before)
    * Fixed the display for black cartridge number 15 on the Supplies Tab
    * Added tech-type to models.xml
    * Fixed Laserjet 1220 model.xml entry
    * Fixed an issue with the Alert email service (does NOT fix #291346)
  * Henrique de Moraes Holschuh:
    * Removed patches accepted upstream:
      20_hpiod_pidfile.dpatch, 40_gcc4_buildfixes.dpatch,
      50_securityfix_umask.dpatch,
      51_securityfix_detect_unsafe_conf_file.dpatch
    * Remove patches that don't make sense anymore
      10_toplevel_makefile.dpatch
    * Rediff 30_xpp_support so that it applies cleanly

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 13 Feb 2005 21:04:27 -0200

hplip (0.8.7-4) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * HPLIP:
      * Remove stray tab on 50_securityfix_umask.dpatch.  Reupload in
        case python decides to croak on us because of it
      * Remove unneeded (but harmless) patch 21_base_pidfile_support.dpatch

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue,  1 Feb 2005 12:46:56 -0200

hplip (0.8.7-3) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * HPLIP:
      * SECURITY FIX: create .hplip.conf on user directory mode 600 (was 666)
        The HPLIP suite was failing to set the process umask to sane values,
        hpssd.py and hpguid.py were affected.  Also, modify HPLIP so that it
        warns the user of the broken permissions, ignores such a file, and 
        fixes the permissions on the next time the config file is written to.
        Thanks to Erwan David <erwan@rail.eu.org> for reporting this bug
        (closes: #293117)
    * Really fix debian/rules to unpatch only after cleaning the tree

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue,  1 Feb 2005 11:03:22 -0200

hplip (0.8.7-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * Updated copyright file with all the relevant information for HPLIP
    * Move dh_python calls to before dh_installdeb (closes: #291746)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 22 Jan 2005 23:24:22 -0200

hplip (0.8.7-1) unstable; urgency=low

  * New upstream source
    + Fixed a issue with the max setting for input trays in APDK (HPIJS 2.0.1)
    + Added OfficeJet K series support
    + Changed scanning default compression from none to jpeg. This speeds up
      device I/O significantly during scans
    + Cleaned up cancel button functionality in device manager.
    + Added r value caching to hpssd to increase responsiveness of some
      printers when doing dynamic counters
    + Fixed a defect in strings.py (wrong string for not installed cart)
    + Added DeviceIDs to the models.xml file
    + Added PPD files for the following new printers: LaserJet 4345 MFP,
      LaserJet 3015/3020/3030
    + Fixed some devices which were wrongly set to MLC mode instead of RAW
  * Henrique de Moraes Holschuh:
    * Better dpatch support on debian/rules: use clean-patched target
      instead of reinvoking make
    * Patches 22_hpssd_pidfile and 50_bigendian merged upstream
    * Rediff all dpatches and switch to -p1, so that using dpatch-edit-patch
      is much easier
    * HPLIP:
      * Try to stop all instances of hpguid.py on initscript stop.  We need
        to revisit this later when hpguid and hpssd get more intelligent
        hpguid pidfile/termination handling

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri, 21 Jan 2005 12:39:24 -0200

hplip (0.8.4-5) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * HPIJS:
      * s/cartridge/pen/ everywhere in the Debian stuff, since that's how HP
        calls the printing head + ink cartridge combo
    * HPLIP:
      * Add dependency on python-qt3 (closes: #291202)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Thu, 20 Jan 2005 04:54:42 -0200

hplip (0.8.4-4) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * HPLIP:
      * Fix FTBFS on big-endian archs: add 50_bigendian.dpatch, to fix typo
        in pcard/vfat.h
    * Add lintian overrides for "description-synopsis-starts-with-a-capital-
      letter", since HP *is* always written in uppercase

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 18 Jan 2005 23:50:03 -0200

hplip (0.8.4-3) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * HPLIP:
      * Add python to build-depends, fix FTBFS on all arches
      * Switch all python2.3-* build-depends to python-* build-depends

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 18 Jan 2005 12:38:40 -0200

hplip (0.8.4-2) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * HPIJS:
      * Apply patch by Andreas Jochens <aj@andaco.de> to fix FTBFS
        problems with gcc 4.0 on AMD64 (#286353)
      * Improve suggests: for foomatic and hplip integration
    * HPLIP:
      * Conflict with all non-bidir-enabled hpijs and foomatic versions
      * Add a quick-install guide to README.Debian
      * Be silent about CUPS reloads, to avoid startling users during
        system shutdown
  * Upload to Debian unstable.  Do note that 64-bit archs are still an
    unknown (feedback welcome)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 18 Jan 2005 00:54:44 -0200

hplip (0.8.4-1) experimental; urgency=low

  * Initial packaging of HPLIP (closes: #285026)
  * Source for HPIJS is now provided by the HPLIP source package
  * Version of the hpijs package will now be:
    <hpijs upstream version>+<hplip package version>

  * Henrique de Moraes Holschuh:
    * HPIJS:
      * New upstream source, supports HPLIP bi-directional channels, and
        DJGenericVIP four-sided full bleed printing.  Now support printers
        that require bi-directional channels to work.
      * Update Depends: to versions of the gs packages with KRBG support
      * Ship KRGB patch in usr/share/doc
    * HPLIP:
      * Added pidfile locking to hpiod, hpssd [merged upstream in 0.8.4]
      * Fixed upstream autotools build system something fierce
      * Build libhpip as a convenience library (and don't package it)
      * Add hplip_* links to the user binaries on /usr/bin
      * Add a hpssd link on /usr/sbin and use that on initscript
      * Support xpp as a default "print" GUI interface

      * This is not complete yet.  This package has not been validated to
        work on 64-bit archs (help is welcome) upstream.  We have absolutely
        no idea if the MFP utilities (photo-card reading, SANE scanning) work
        at all (help is also welcome).
      * Do not install this if you are not ready to help track down the bugs

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Dec 2004 12:25:49 -0200

hpijs (1.7.1-1) unstable; urgency=high

  * Henrique de Moraes Holschuh:
    * New upstream source (1.7.1)
      + Support a few more printers (PPD changes only)
      + No upstream changes to any binary packages
    * Urgency high, since this is only an upstream-sync upload with
      no noteworthy changes
    * debian/watch: add primary watch line using prdownloads.sf.net,
      since the ftp servers for sf.net are not realiable at all

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 15 Nov 2004 11:47:48 -0200

hpijs (1.7-1) unstable; urgency=medium

  * Henrique de Moraes Holschuh:
    * New upstream source (1.7)
      + Support a few more printers (code changes, not only PPD changes)
    * Add watch file for uscan/DEHS
    * Remove patch 03_fixsegfaults, now applied upstream
    * Remove disabled patch 02_destdir, applied upstream a long time ago

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 17 Oct 2004 12:41:21 -0300

hpijs (1.6.2-1) unstable; urgency=medium

  * Henrique de Moraes Holschuh:
    * New upstream version (no changes to binaries, since we do not ship the
      PPD files from this source package).
    * Update autogen.sh for automake 1.9, rerun autotools
    * Remove all autogenerated files from CVS tree (use debian/autogen.sh to
      recreate the files, debian/rules should do this automatically on
      cvs-buildpackage)
    * Suggests foomatic-db-hpijs (closes: #270566)
  * Urgency medium to get sooner into testing

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sat, 18 Sep 2004 10:28:09 -0300

hpijs (1.6.1-1) unstable; urgency=low

  * Henrique de Moraes Holschuh:
    * New upstream version (no changes to binary packages,
      since we do not ship the PPD files from this source package).
    * Move autogen.sh to debian/ for tidyness
  * Not uploaded

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  9 Jul 2004 14:18:41 -0300

hpijs (1.6-3) unstable; urgency=low

  * Mention hpoj on README.Debian and package description.

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Fri,  9 Jul 2004 13:41:00 -0300

hpijs (1.6-2) unstable; urgency=low

  * Add comment about rss patch to package description (closes: #209127)
  * Fix hpijs segfaults (probably non-exploitable) when given bad parameters,
    or when something bad happens at startup time.  HPIJS really needs an
    audit, since the code is doing NULL pointer derreferences that easily
    (closes: #169587)
  * Minor manpage tweaks, mention option -h

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 14 Jun 2004 19:35:45 -0300

hpijs (1.6-1) unstable; urgency=low

  * Henrique de Moraes Holschuh <hmh@debian.org>:
    * New upstream source:
      + Added support for: HP business inkjet 2300, HP officejet 9100,
        HP officejet 4200, HP psc 1310
      + Added envelope support, needed for center-feed envelope
        trays (ie: laserjets): Envelopes #10, A2, C6, DL, Japanese #3,
        Japanese #4
      + Added KRGB colorspace support (patch to ghostscript required to
        enable)
    * Update dependencies to use gs-gpl, add gs-afpl as lowest priority
    * Update standards version to 3.6.1
    * Add copyright notice for the Debian packaging to debian/copyright
    * Use debhelper compatibility mode V4
    * Switch to packaged dpatch
    * Remove auto-generated files auto-include.h and platform.h in clean
      target
    * Autotools-dev support, using links
    * Enable AM_MAINTAINER_MODE
    * Set things up so that we regen the entire autotools toolchain (by
      calling autogen.sh) on cvs-checkout.  Add an autogen.sh, since
      upstream lacks one
    * Modify configure.in so that our CXXFLAGS and CFLAGS are respected
    * Add a simple manpage for the hpijs binary with pointers to the real
      docs, since hpijs is NEVER called directly

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Mon, 17 May 2004 21:35:32 -0300

hpijs (1.5-1) unstable; urgency=low

  * New upstream release (closes: #218074).

 -- Torsten Landschoff <torsten@debian.org>  Wed, 29 Oct 2003 08:53:05 +0100

hpijs (1.4.1-1) unstable; urgency=low

  * New upstream release (closes: #198606).
  * Apply new black-ink-only patch from 
    http://www.linuxprinting.org/download/printing/hpijs/
    using dpatch (closes: #198657).
  * debian/control: Add Henrique de Moraes Holschuh to the Uploaders field
    (thanks for your help, Henrique).
  * debian/rules: Disable foomatic and cups install for now. Not sure how
    to deal with that correctly.

 -- Torsten Landschoff <torsten@debian.org>  Sun, 17 Aug 2003 01:43:11 +0200

hpijs (1.3.1-1.1) unstable; urgency=low

  * NMU
  * Copy in config.guess and config.sub from autotools-dev (20020320.1).
    Closes: #190959

 -- LaMont Jones <lamont@debian.org>  Mon, 12 May 2003 11:00:13 -0600

hpijs (1.3.1-1) unstable; urgency=low

  * New upstream release (closes: #188858).

 -- Torsten Landschoff <torsten@debian.org>  Sun, 13 Apr 2003 19:26:32 +0200

hpijs (1.3-1) unstable; urgency=low

  * New upstream release.
  * Disable the -rss patch as it no longer applies to this version of 
    hpijs and some of the changes have been folded upstream.

 -- Torsten Landschoff <torsten@debian.org>  Sat,  2 Nov 2002 09:50:10 +0100

hpijs (1.2.2-1) unstable; urgency=low

  * Co-Maintainer upload
  * New upstream version (Closes: #163094)
  * Added -rss patch (via dpatch)
  * debian/control: fix dependancy line (Closes: #153514, #159716)
  * debian/control: Updated Standards-Version
  * debian/copyright: Added note about the -rss patch

 -- Martin Loschwitz <madkiss@madkiss.org>  Sun, 13 Oct 2002 22:36:00 +0200

hpijs (1.2-1) unstable; urgency=low

  * New upstream release (closes: #147065).

 -- Torsten Landschoff <torsten@debian.org>  Thu, 18 Jul 2002 11:49:36 +0200

hpijs (1.0.4-2) unstable; urgency=low

  * Ship the hpijs_readme.html with the package (closes: #143492).
    For some reason the upstream Makefile does not install it anymore, 
    it is now listed in debian/docs.

 -- Torsten Landschoff <torsten@debian.org>  Thu, 18 Apr 2002 21:25:06 +0200

hpijs (1.0.4-1) unstable; urgency=low

  * New upstream release (closes: #135271).
  * No longer puts documentation files in /usr/share/doc/hpijs-$ver
    (closes: #131588).

 -- Torsten Landschoff <torsten@debian.org>  Mon, 25 Mar 2002 23:18:32 +0100

hpijs (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: As HP has updated the license of this software 
    it can now go into main. Woohoo! :-) Changed the section accordingly.
  * debian/copyright: Update to the new license.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 19 Jan 2002 02:08:24 +0100

hpijs (1.0-3) unstable; urgency=low

  * debian/copyright: Include the more restrictive license. Seems like 
    hpijs.cpp was already changed to be DFSG compatible. Kudos to 
    James Troup for pointing this out.

 -- Torsten Landschoff <torsten@debian.org>  Tue, 15 Jan 2002 21:40:00 +0100

hpijs (1.0-2) unstable; urgency=low

  * ijs_server.c (ijs_server_init): Fix off by one bug which clobbered the
    stack making the binary unusable when compiled with optimization.
  * debian/rules.c (configure): Add support for --enable-debug using the
    DEB_BUILD_OPTIONS interface as suggested in debian-policy.

 -- Torsten Landschoff <torsten@debian.org>  Mon, 14 Jan 2002 03:09:00 +0100

hpijs (1.0-1) unstable; urgency=low

  * Initial release.

 -- Torsten Landschoff <torsten@debian.org>  Sat, 12 Jan 2002 03:40:10 +0100

